commit ae039b6078ea0f3454ddfb1074730076da43d061
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon May 25 21:18:54 2015 +0100

    Revert "build: Disable libsocialweb backend on distcheck"

    This reverts commit cdd1ff41c6b58841f3be29845ccab2668e35c0db.

    It turns out it’s more pain to disable libsocialweb and try to
    fight the
    irrepressible combination of automake and Vala than it is to just
    un-break libsocialweb to get distcheck to pass. Turns out that it’s
    basically impossible to stop automake trying to generate C files from
    .vala files, even if those .vala files are listed in EXTRA_DIST
    and not
    SOURCES, or are hidden behind an if ENABLE_LIBSOCIALWEB.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad95d641b62955a2f228968f4a141a80c053180a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon May 25 18:53:56 2015 +0100

    build: Tidy up GITIGNOREFILES in the docs directory

    folks-dummy was missing from it; it should have been referencing
    $(distclean_dirs) all along anyway.

 docs/Makefile.am | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit f2b54418bd5839586ca360642a76b47ca070eaed
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon May 25 16:52:39 2015 +0100

    docs: Fix incorrect @since lines in documentation comments

 backends/eds/lib/edsf-persona.vala |  6 +++---
 folks/extended-info.vala           | 16 ++++++++--------
 folks/individual.vala              |  6 +++---
 folks/persona-store.vala           |  2 +-
 folks/query.vala                   | 12 ++++++------
 folks/search-view.vala             | 22 +++++++++++-----------
 folks/simple-query.vala            | 10 +++++-----
 7 files changed, 37 insertions(+), 37 deletions(-)

commit f91438a0ad3a4099e28182834d9200234a130150
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu May 14 16:51:27 2015 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 135
 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 87 insertions(+), 48 deletions(-)

commit 077b9a73b5c0a92f45483a6c666d79009f9a007b
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Sun May 10 08:33:14 2015 +0900

    Updated Korean translation

 po/ko.po | 185
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 112 insertions(+), 73 deletions(-)

commit f100b5961943954462d1a7a3845647fd9870a777
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sat May 9 09:05:14 2015 +0000

    Updated French translation

 po/fr.po | 134
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 88 insertions(+), 46 deletions(-)

commit 90bf4d8403494040b10ddee97f78007fa816c965
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Apr 27 16:59:58 2015 +0100

    inspect: Return error codes on failure in non-interactive mode

    If the user runs folks-inspect and it fails (for example, because the
    individual ID they’ve specified doesn’t exist), return a
    non-zero exit
    status, rather than returning zero and pretending everything is
    perfect.

    Interactive mode continues to return zero.

 tools/inspect/command-backends.vala       |  6 ++++--
 tools/inspect/command-debug.vala          |  3 ++-
 tools/inspect/command-help.vala           | 13 ++++++++++---
 tools/inspect/command-individuals.vala    |  6 ++++--
 tools/inspect/command-linking.vala        | 20 ++++++++++++--------
 tools/inspect/command-persona-stores.vala |  6 ++++--
 tools/inspect/command-personas.vala       | 15 ++++++++++++++-
 tools/inspect/command-quit.vala           |  2 +-
 tools/inspect/command-search.vala         |  4 +++-
 tools/inspect/command-set.vala            | 15 ++++++++-------
 tools/inspect/command-signals.vala        | 12 +++++++-----
 tools/inspect/inspect.vala                | 23 +++++++++++++++--------
 12 files changed, 84 insertions(+), 41 deletions(-)

commit 77585ebbcfb3a67404e91e36ca690b0252022902
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Apr 27 16:58:41 2015 +0100

    tracker: Handle GLib.Error from
    Tracker.SparqlConnection.update_async()

    This seems to have been added in recent versions of Tracker, or just
    exposed in the introspected bindings.

 backends/tracker/lib/trf-persona-store.vala | 5 +++++
 1 file changed, 5 insertions(+)

commit 6d9068cf8797683314a8f8dfd687c532220dbb5d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Apr 27 16:57:21 2015 +0100

    bluez: Fix [DBus] attribute capitalisation in OBEX interface

    This fixes a number of compiler warnings.

 backends/bluez/org-bluez-obex-client.vala | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 75a6f37d7c0516accbbaed9f1a98009c39b96212
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Apr 23 10:46:01 2015 +0200

    Updated Spanish translation

 po/es.po | 164
 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 105 insertions(+), 59 deletions(-)

commit 731615faec69519834b23cbd6adbd5f12011edb8
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Apr 16 18:17:13 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 135
 +++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 88 insertions(+), 47 deletions(-)

commit 12fa665ae06a3b20ccc75ad57ebc8981402e9978
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Mon Apr 13 19:20:24 2015 +0200

    Updated Danish translation

 po/da.po | 121
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 80 insertions(+), 41 deletions(-)

commit d758f53400934d671baab26fb69b350c126ba8b5
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Sun Apr 12 09:48:29 2015 +0000

    Updated Hungarian translation

 po/hu.po | 168
 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 106 insertions(+), 62 deletions(-)

commit f559b51691767e401917a35d29ce5fe9ae545f69
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Apr 12 07:20:06 2015 +0000

    Updated Swedish translation

 po/sv.po | 155
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 97 insertions(+), 58 deletions(-)

commit 28f20c07112639dd97a91f5a7aed5ac3d6259b51
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Apr 11 15:39:38 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 141
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 93 insertions(+), 48 deletions(-)

commit eb22405b5f8baed9e99a5d0c91c66875cc4b3a4d
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   Wed Apr 8 12:28:01 2015 +0000

    Updated Greek translation

 po/el.po | 146
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 96 insertions(+), 50 deletions(-)

commit cc9fd0571349ea7fe14b3a9b94c9280a19d8c429
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Apr 4 13:10:20 2015 +0200

    Updated Basque language

 po/eu.po | 133
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 86 insertions(+), 47 deletions(-)

commit 0ddccd7d324c3da1306e8ea6efc5b75ee90ff6db
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Apr 3 20:21:34 2015 +0300

    Updated Latvian translation

 po/lv.po | 146
 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 92 insertions(+), 54 deletions(-)

commit d9dd6774c46af394f8923be1bf63b1f1dce55694
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Thu Apr 2 08:06:23 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 608
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 417 insertions(+), 191 deletions(-)

commit b2656c842215a00fc40c3603d4c0b84fb00613df
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Wed Apr 1 14:28:40 2015 +0000

    Updated Galician translation

 po/gl.po | 145
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 97 insertions(+), 48 deletions(-)

commit f1829898f4216783a09104af1f953dae03dcf90d
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Apr 1 11:06:40 2015 +0200

    Udated Czech translation

 po/cs.po | 155
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 97 insertions(+), 58 deletions(-)

commit 3574cadc56e2215e7d1d9e9b457b248a3df080b4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Mar 31 21:08:33 2015 +0200

    Updated Slovenian translation

 po/sl.po | 362
 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 143 insertions(+), 219 deletions(-)

commit 2e23f48cfebe7c4cda71c47c73f758a0629a2440
Author: Stas Solovey <whats_up@tut.by>
Date:   Tue Mar 31 09:46:45 2015 +0000

    Updated Russian translation

 po/ru.po | 155
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 101 insertions(+), 54 deletions(-)

commit 282e17787c3f0d899ac086fc9b218ae81ed4d8cc
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Mar 30 20:45:48 2015 +0000

    Updated Slovak translation

 po/sk.po | 127
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 83 insertions(+), 44 deletions(-)

commit 5085489c486561c16222b45002f4fe1521e61f66
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 30 17:26:46 2015 +0200

    Updated Polish translation

 po/pl.po | 137
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 90 insertions(+), 47 deletions(-)

commit 5a58b7b07a69663a0feba14bfc4e51623750fea5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sat Mar 28 15:36:01 2015 +0000

    eds: Handle removed contacts in objects-added signal handler

    This is a very unlikely situation, but it may be possible for
    a contact
    with the same UID as an existing one in the store to be received from
    the server in an objects-added signal. If so, folks' internal state
    would previously be corrupted. Fix this by signalling removal of the
    previous persona before adding the new one for that UID.

 backends/eds/lib/edsf-persona-store.vala | 29
 +++++++++++++++++++++++------
 1 file changed, 23 insertions(+), 6 deletions(-)

commit 0c9ab5e415e1deae30d0cf7c4b5660752c77b8fb
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sat Mar 28 15:32:48 2015 +0000

    eds: Fix race condition when adding contacts

    Similarly to with property modifications, there is a race condition
    when
    adding contacts to EDS: the EBookClient.add_contact() method returns
    once the EDS server has allocated a UID for the contact, but this
    may be
    before folks has received the objects-added signal with the new
    contact's updated vCard. This vCard has potentially been modified
    by the
    server (e.g. by adding a VERSION property) from the version initially
    submitted by folks; so it is important that folks uses this to create
    its Edsf.Persona. It was not doing so previously — there were
    two code
    paths adding the Edsf.Persona to the store, which would race with
    slightly different results.

    The fix is to factor out the add_contact() call and yield until
    the new
    contact is seen in an objects-added signal emission.

 backends/eds/lib/edsf-persona-store.vala | 263
 ++++++++++++++++++++++++++-----
 1 file changed, 220 insertions(+), 43 deletions(-)

commit 12badbdffbdf791f9e6bfbd2c4f15baae73749e7
Author: Bernd Homuth <dev@hmt.im>
Date:   Sun Mar 22 16:08:41 2015 +0000

    Updated German translation

 po/de.po | 119
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 61 insertions(+), 58 deletions(-)

commit 170cb8287a8d4623858a0d8cc9d5d513074b78ea
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Mar 22 11:35:58 2015 +0000

    Updated Italian translation

 po/it.po | 113
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 58 insertions(+), 55 deletions(-)

commit 6b035e257dfa922d4c5f0e4c5bd506e7670a0a4e
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Mar 21 16:46:47 2015 +0100

    Updated Basque language

 po/eu.po | 118
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 61 insertions(+), 57 deletions(-)

commit adeeff2fa3afb4d2f1e043b80f7146e22f46b7b6
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Mar 21 16:27:36 2015 +0100

    Updated Danish translation

 po/da.po | 117
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 58 insertions(+), 59 deletions(-)

commit 953a05e2b7b90dd7ffda6a1d1b1bf13f09f79a24
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Mar 21 12:38:59 2015 +0000

    Updated Indonesian translation

 po/id.po | 114
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 59 insertions(+), 55 deletions(-)

commit cbdde5cfaa1e36ddc7a99de7732146af9bb21e3b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 19 11:05:32 2015 +0000

    eds: Pass contact update notifications through idle queue

    This is a follow-up to commit
    e397d869d8f84641825252657aa34ae8487dd526.
    If the main context queue was non-empty, the idle callback from
    _contacts_changed_cb() would be queued for a while, whereas the
    callback
    in _commit_modified_property() would be executed immediately. This
    means
    _commit_modified_property() would finish yielding before the
    contact in
    question had been updated from EDS (the updated vCard would be sitting
    in the idle queue at this point), which is wrong.

    Fix that by queueing the callback in _commit_modified_property()
    in the
    idle queue, to keep it in order with the _contacts_changed_cb()
    callback.

 backends/eds/lib/edsf-persona-store.vala | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 1c6266fe3409b6076bdf557275c91f2f4417294e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 19 11:05:12 2015 +0000

    tests: Add a test for setting an EDS extended info field

    This is a unit test for commit
    e397d869d8f84641825252657aa34ae8487dd526.

 tests/eds/extended-info.vala | 88
 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 88 insertions(+)

commit 9a7bc6d438fc822a9b7b3ecc30cd5869a2e0504d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 19 11:04:47 2015 +0000

    tests: Error on failure instead of warning in extended-info test

 tests/eds/extended-info.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 110915f8be2ac3f0e193f636545ca051c027cb8e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 19 11:04:22 2015 +0000

    tests: Eliminate use of deprecated IndividualAggregator API

    In the extended-info test.

 tests/eds/extended-info.vala | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 83987e055de4e2ff4983ba692ee7528a5de6d15b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 19 11:03:46 2015 +0000

    tests: Clear aggregator on end of extended-info test

    Don’t have it hanging around. Could cause problems if another
    test were
    to be added.

 tests/eds/extended-info.vala | 3 +++
 1 file changed, 3 insertions(+)

commit ed86baf140df2c59a46eb15d5afc588feac707b3
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 19 11:03:16 2015 +0000

    tests: Switch EDS extended-info test to use a const string

    Rather than a variable which is set once only.

 tests/eds/extended-info.vala | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 523c9d7406448f987f9f9c5db4b89cad845bd51d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Mar 17 15:17:29 2015 +0000

    core: Accept FOLKS_DEBUG_NO_COLOR as an alternative to the UK spelling

    Embarrassingly, I have mistyped this one too many times.

 folks/backend-store.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e397d869d8f84641825252657aa34ae8487dd526
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Mar 17 14:40:41 2015 +0000

    eds: Yield for longer in Edsf.Persona.change_extended_field()

    …and .remove_extended_field(). Previously these two functions
    yielded
    until the updated vCard had been submitted to EDS, but not until
    EDS had
    sent back a change notification to folks. All other properties
    correctly
    yield until the latter, meaning that code like:
        yield persona.change_some_property ("new-value");
        assert (persona.get_some_property () == "new-value");
    is guaranteed not to race. This was not the case for EDS extended
    fields, which would return stale values until the updated vCard
    finished
    its round trip through EDS and reached folks again.

    This also adds the timeout machinery from
    Edsf.PersonaStore._commit_modified_property() to extended fields,
    so if
    the modification times out, the client will not yield forever.

 backends/eds/lib/edsf-persona-store.vala | 79
 +++++++++++++++++++++-----------
 1 file changed, 52 insertions(+), 27 deletions(-)

commit 3ab1a7361eaa3c26f42188150fdff01e62d2987e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Mar 17 14:07:51 2015 +0000

    core: Fix get_extended_field() to check all Personas

    Individual.get_extended_field() should check all Personas for
    the first
    non-null value before bailing out, rather than returning the property
    from the first Persona it finds, null or otherwise.

 folks/individual.vala | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 6f068f2d7174de8b3327f86c0c93b2e1b4afb6b4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Mar 17 08:47:17 2015 +0000

    core: Remove final references to FOLKS_DEBUG environment variable

    We have been using G_MESSAGES_DEBUG exclusively for quite a while now.

 folks/debug.vala         | 4 ++--
 tests/lib/test-case.vala | 1 -
 2 files changed, 2 insertions(+), 3 deletions(-)

commit aec374ba7a1f9e04266392a24a6724bd9d26fc41
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 20:44:37 2015 +0000

    Added Bosnian translation

 po/LINGUAS |   1 +
 po/bs.po   | 848
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 849 insertions(+)

commit 7e85a9943043db9f99406ef28350bdaff7e4d3a3
Author: Stas Solovey <whats_up@tut.by>
Date:   Fri Mar 13 10:03:51 2015 +0000

    Updated Russian translation

 po/ru.po | 114
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 54 insertions(+), 60 deletions(-)

commit 6e5bb0b616c03c6ac204c4ee67b497199f8c25c6
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Mar 12 21:56:16 2015 +0200

    Updated Latvian translation

 po/lv.po | 107
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 52 deletions(-)

commit 177528b0ad3ad51d103f77eb0c246c5699760f01
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Mar 9 16:14:26 2015 +0000

    tests: Fix race condition in multi-store EDS tests

    If a single EDS test used multiple persona stores (i.e. address books,
    each of which is a single ESource), it was possible for creation
    of the
    ESources to race so that the ESourceRegistry notified of creation
    of the
    sources in a different order from the calls to Eds.Backend.set_up().
    This caused Eds.Backend.set_up() to return prematurely for some of the
    persona stores, causing failures later on.

    Check the UID of ESources which have been signalled as created
    to ensure
    the correct one is chosen for each set_up() call.

 tests/lib/eds/backend.vala | 3 +++
 1 file changed, 3 insertions(+)

commit 1fd8dbb86c0435f8f0926cf8e2f6ced9f503b931
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Mar 9 16:13:45 2015 +0000

    tests: Clean up EDS backend testing library API

    The address book name should be a construction time parameter, not a
    setup parameter.

    This introduces no functional changes.

 tests/eds/enable-disable-stores.vala     | 4 ++--
 tests/eds/link-personas-diff-stores.vala | 9 +++++----
 tests/lib/eds/backend.vala               | 8 +++-----
 tests/lib/eds/test-case.vala             | 5 +++--
 4 files changed, 13 insertions(+), 13 deletions(-)

commit 2a2d18ead40de3e8b72f52dc35f0661e6b7a4bf9
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Sun Mar 8 02:43:00 2015 +0900

    Updated Korean translation

 po/ko.po | 104
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 54 insertions(+), 50 deletions(-)

commit cdd1ff41c6b58841f3be29845ccab2668e35c0db
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Nov 1 15:59:13 2014 +0000

    build: Disable libsocialweb backend on distcheck

    libsocialweb is effectively dead upstream, with no releases or
    meaningful code changes in two years. I can no longer build it on a
    modern GNOME development system, and it’s unlikely that it works as
    described any more due to changes in the web services.

    If users or packagers want to re-enable the backend, they will have to
    build from source with configure flags:
        --enable-vala --enable-libsocialweb-backend
    and with a Vala compiler available.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0fd3638077caaee42da6fc56b1985ffe0d60c6c6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Mar 4 13:50:47 2015 +0000

    tests: Add more debug output to EDS link-personas test

 tests/eds/link-personas.vala | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 6b99c505ac13c2cf8edae61da868fb815275a130
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Mar 4 13:09:40 2015 +0000

    tests: Remove unnecessary timeout from link-personas

    This is redundant with the addition of the generic test code which
    empties the main context at the end of each test.

 tests/eds/link-personas.vala | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit f4a1d69dac40de54f4d2491d7287b2789e61f846
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Mar 4 13:09:26 2015 +0000

    tests: Use errors instead of warnings in link-personas

 tests/eds/link-personas.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 994b2f200494727e6cb496cfb9a9298ebee26dec
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Mar 3 19:20:08 2015 +0100

    Updated Serbian translation

 po/sr.po       | 112
 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 112
 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 114 insertions(+), 110 deletions(-)

commit 2a0fd6f9d89288326d3f3037bf09d5a48c002c46
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 2 19:50:34 2015 +0100

    Updated Polish translation

 po/pl.po | 110
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 58 insertions(+), 52 deletions(-)

commit c48518931ff9144d78497903b94921f886ab6a01
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Feb 28 11:48:31 2015 +0000

    Updated Slovak translation

 po/sk.po | 305
 +++++++++++++++++++++++----------------------------------------
 1 file changed, 111 insertions(+), 194 deletions(-)

commit e8a4a5a13df8a9d867b5aa08a232326dd89a20e3
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Feb 28 00:09:22 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 108
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 53 deletions(-)

commit 22a878c2124778ed9f331b7e67ee870885803e92
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Feb 26 20:42:19 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 236
 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 109 insertions(+), 127 deletions(-)

commit f0021c4a8c68ccda1242655c81d2d5b669dbb136
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 25 14:59:43 2015 +0000

    inspect: Ensure terminal state is restored if PAGER cannot be spawned

    If $PAGER cannot be spawned (e.g. due to not existing, or due to the
    user not having permission to run it), we would previously leave the
    terminal with the readline handler uninstalled. Correctly restore the
    readline state instead, and redisplay the current prompt.

    This avoids leaving the user with no way to enter text or kill
    folks-inspect in cases similar to
        PAGER=really-doesnt-exist folks-inspect

 tools/inspect/inspect.vala | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit 4584a3e74ba0c32553ba3d0de277808d137faad4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 25 14:59:26 2015 +0000

    inspect: Fix capitalisation in some help text

 tools/inspect/command-set.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa4f3ea1d7b1799caf7fd02b198cd9217992cc4d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 25 14:58:53 2015 +0000

    inspect: Split out validation of subcommands from a few commands

    And expand the help output to list the expected subcommands.

 tools/inspect/command-linking.vala | 20 ++++++++++----------
 tools/inspect/command-set.vala     | 16 ++++++++--------
 tools/inspect/command-signals.vala | 13 ++++++++-----
 tools/inspect/utils.vala           | 21 +++++++++++++++++++++
 4 files changed, 47 insertions(+), 23 deletions(-)

commit 29a0a0251e33cfe0fc4be078b987b48926cfb8b5
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 24 00:37:48 2015 +0000

    Updated French translation

 po/fr.po | 102
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 53 insertions(+), 49 deletions(-)

commit 9407c207466477b8b0ac19563c0c453cba17f430
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 21 11:14:30 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 106
 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 54 insertions(+), 52 deletions(-)

commit b17a3c0a8af0db35bcc2681dccd9abd20a2266d2
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Fri Feb 20 21:29:40 2015 +0000

    Updated Greek translation

 po/el.po | 111
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 59 insertions(+), 52 deletions(-)

commit 27b1a9ddb99c2cbb099c91bcce0b5217f7de4d93
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Feb 19 16:55:26 2015 +0000

    Updated Swedish translation

 po/sv.po | 89
 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 47 insertions(+), 42 deletions(-)

commit 8417df892ce2fb4eba274b16c536b2da1bb94a1b
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Thu Feb 19 10:50:07 2015 +0100

    Updated Galician translations

 po/gl.po | 108
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 56 insertions(+), 52 deletions(-)

commit 8e7b403fd1ee413c0b9c62d3835010ba95c71f5e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Feb 17 09:18:53 2015 +0000

    tests: Fix UTF-8 encoding of the letter énye in test vectors

    https://bugzilla.gnome.org/show_bug.cgi?id=646808

 tests/dummy/search-view.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ef48e74dac960c2c64d4eb341e04979b187c507e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Feb 15 21:11:31 2015 +0100

    Updated Slovenian translation

 po/sl.po | 104
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 54 insertions(+), 50 deletions(-)

commit fac412ac7b79872d61aa1da1844cb08e0306c095
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Fri Feb 13 18:58:25 2015 +0000

    Updated Turkish translation

 po/tr.po | 296
 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 164 insertions(+), 132 deletions(-)

commit e6402767a0e6fd4548785c9eece9e90471c93523
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 13 12:29:39 2015 +0000

    Post-release version bump

 NEWS         | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 2450b2f7cb042b55cddcbb1c6b85e49a9897b39e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 13 12:28:18 2015 +0000

    Release version 0.11.0

 NEWS         |  2 ++
 configure.ac | 38 +++++++++++++++++++-------------------
 2 files changed, 21 insertions(+), 19 deletions(-)

commit 9384164754d972498b807c0526a81238c518b5cf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 13 12:09:42 2015 +0000

    tests: Add test data to EXTRA_DIST

    The all_test_data variable should be added to EXTRA_DIST where
    the files
    are not auto-generated.

 tests/data/Makefile.am      | 2 ++
 tests/telepathy/Makefile.am | 2 ++
 2 files changed, 4 insertions(+)

commit fd251e1410f32d17a832b69364af923938b3d974
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 13 11:53:41 2015 +0000

    tests: Add .service files for latest EDS APIs

    Changing API version numbers is like changing clothes in the morning.

 tests/lib/eds/test-case.vala | 2 ++
 1 file changed, 2 insertions(+)

commit b4c33754dc69b7f1b0d360346e4fe0c8e48284cc
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   Wed Aug 28 16:50:35 2013 -0300

    inspect: Add search option to folks-inspect

    https://bugzilla.gnome.org/show_bug.cgi?id=646808

 tools/inspect/Makefile.am         |  1 +
 tools/inspect/command-search.vala | 83
 +++++++++++++++++++++++++++++++++++++++
 tools/inspect/inspect.vala        |  1 +
 3 files changed, 85 insertions(+)

commit 8a07a8c29f473826264d53615cce821129cc6ae2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jan 22 16:26:10 2015 +0000

    core: Implement base classes for searching

    This bumps our GLib dependency to 2.40.0 for use of
    g_str_tokenize_and_fold() to perform the fuzzy search matching.

    This adds the following new API allowing for dynamic search views over
    an IndividualAggregator:
     • Query interface
     • SimpleQuery class
     • SearchView class

    It includes a fairly comprehensive test suite.

    https://bugzilla.gnome.org/show_bug.cgi?id=646808

 NEWS                         |   6 +
 configure.ac                 |   2 +-
 folks/Makefile.am            |   3 +
 folks/query.vala             | 140 ++++++++
 folks/search-view.vala       | 538 ++++++++++++++++++++++++++++++
 folks/simple-query.vala      | 522 +++++++++++++++++++++++++++++
 tests/dummy/Makefile.am      |   5 +
 tests/dummy/search-view.vala | 778
 +++++++++++++++++++++++++++++++++++++++++++
 8 files changed, 1993 insertions(+), 1 deletion(-)

commit 3871174d33e834087e81be25ca77f3dea11d8650
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 11 16:31:23 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 105
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 55 insertions(+), 50 deletions(-)

commit 8b1a717c6d66cb7b60ea82d906fae9646bb90b19
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 6 12:16:45 2015 +0000

    core: Remove a couple of FIXMEs for a Vala bug

    The bug, https://bugzilla.gnome.org/show_bug.cgi?id=638208, is now
    fixed, so we can remove the FIXMEs. Can’t change the code because
    ‘var’
    is always owned, and Vala now throws a warning when copying classes
    around, which is expected.

 folks/individual-aggregator.vala | 2 --
 1 file changed, 2 deletions(-)

commit ef70ba956a1acb07a26928a52bd5def466102733
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Feb 4 07:44:00 2015 +0000

    build: Drop outdated BlueZ conditional dependency checks

    Since our overall EDS dependency is now higher than that needed
    for the
    BlueZ backend, we can drop the conditional EDS version checks which
    could previously disable building the BlueZ backend.

    https://bugzilla.gnome.org/show_bug.cgi?id=743934

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit baa67c2bd6f07180921fd917f9aecc1e2082ac17
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 3 17:10:00 2015 +0000

    eds: Update to new EDS address book timeout API

    Add a timeout parameter to handle the new EDS authentication process.
    This means that folks no longer triggers authentication dialogues from
    EDS, which will prevent them popping up unexpectedly (particularly
    from
    GNOME Shell). However, it does mean that external processes using
    folks
    which _do_ want to display authentication dialogues should manually
    create an ECredentialsPrompter and use that to display the dialogues.

    This bumps the EDS dependency to 3.13.90 unconditionally.

    https://bugzilla.gnome.org/show_bug.cgi?id=743934

 NEWS                                       | 2 ++
 backends/eds/lib/edsf-persona-store.vala   | 2 +-
 configure.ac                               | 6 +++---
 tests/eds/helper-create-many-contacts.vala | 2 +-
 tests/eds/helper-delete-contacts.vala      | 2 +-
 tests/lib/eds/backend.vala                 | 2 +-
 6 files changed, 9 insertions(+), 7 deletions(-)

commit 016b1059e61cabe18ecd150989a3e80de51bccd9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Feb 3 15:36:42 2015 +0000

    telepathy: Fix use of deprecated telepathy-glib API

    get_valid_accounts() was deprecated in 0.19.9.

 backends/telepathy/tp-backend.vala | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit cf822bea376bb985d9039da9039471a5758aa5c1
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Feb 2 17:55:53 2015 +0000

    core: Fix some Valadoc comments to use namespaces correctly

 folks/avatar-cache.vala | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 44308b7eb6ff90c5a01b1c94643b94ce8e7c48d8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Feb 2 16:35:06 2015 +0000

    tests: Disable the GVFS remote volume monitor when running tests

    We don’t need it, and it can cause GVFS to emit a warning about not
    being able to spawn org.gtk.vfs.Daemon, which will cause our tests to
    fail.

 tests/lib/test-case.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit a012e6061396687bd169d07242f1d5e59bad46df
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Jan 30 21:24:38 2015 +0000

    Updated Hungarian translation

 po/hu.po | 113
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 57 insertions(+), 56 deletions(-)

commit 8d3cc124c5694b47288d70ba9d4441642caed1ba
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 15:01:45 2015 +0000

    telepathy: Update a deprecated Vala attribute

    ‘Property’ became ‘Description’ sometime very early on
    in Vala’s
    lifetime. We never caught up.

 backends/telepathy/lib/tpf-persona-store.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9b639b12082af78d34fc06d71d2be7dd79c8aa7
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 15:01:36 2015 +0000

    docs: Update NEWS file

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit cc091166c138310f06297803fd3991f119624fb6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 15:00:40 2015 +0000

    telepathy: Fix use of deprecated Telepathy API

    This bumps our telepathy-glib dependency from 0.19.0 to 0.19.9, which
    should be fine — it’s a micro version bump, and all distributions
    which
    ship telepathy-glib have shipped something newer than 0.20.0 for ages.

 NEWS                                          |  1 +
 backends/telepathy/lib/tpf-persona-store.vala |  6 +++---
 backends/telepathy/lib/tpf-persona.vala       | 16 +++++++++++-----
 configure.ac                                  |  2 +-
 4 files changed, 16 insertions(+), 9 deletions(-)

commit 4a6db9226dc9396830985f0f36e00aa0179303d2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 14:58:21 2015 +0000

    inspect: Fix use of deprecated Vala API

    This wasn’t fixed before because there was apparently no way of
    specifying the base to use for the conversion. Then I realised that
    hexadecimal can be forced by ensuring the string has a ‘0x’
    prefix,
    which it does.

 tools/inspect/command-signals.vala | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 69030c4037fe02d98d1dafc330a3c556c6653814
Author: Colin Walters <walters@verbum.org>
Date:   Fri Jan 23 14:31:17 2015 +0000

    build: Mark as not supporting srcdir != builddir

    Basically automake's vala rules cd $(srcdir), which breaks variable
    references like $(top_srcdir), since they're relative to the build
    directory.

 configure.ac | 6 ++++++
 1 file changed, 6 insertions(+)

commit bc77be3eac424004ff4571a3df6c24bdebce9714
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 11:19:35 2015 +0000

    tests: Port to use installed-tests

    Port the unit tests to follow the installed-tests standard, installing
    the test binaries and generated .test metadata files.

    This removes the existing --enable-tests configure option,
    replacing it
    with the standard:
     • --enable-modular-tests
     • --enable-installed-tests
    options. --enable-modular-tests is a direct replacement for
    --enable-tests, controlling whether tests are built at compile
    time, or
    only when run under `make check`. --enable-installed-tests controls
    whether tests will be installed on the system.

    If the tests are installed, use
        gnome-desktop-testing-runner folks
    to run them all.

    https://bugzilla.gnome.org/show_bug.cgi?id=743398

 Makefile.am                    |  2 +-
 NEWS                           |  3 +++
 configure.ac                   | 26 +++++++++++++++++++++-----
 folks/build-conf.vapi          |  6 ++++++
 tests/bluez/Makefile.am        |  5 ++---
 tests/data/Makefile.am         |  5 ++++-
 tests/dummy/Makefile.am        |  5 ++---
 tests/eds/Makefile.am          |  7 +++----
 tests/folks/Makefile.am        |  5 ++---
 tests/key-file/Makefile.am     |  5 ++---
 tests/lib/Makefile.am          |  2 ++
 tests/lib/test-utils.vala      | 14 +++++++-------
 tests/libsocialweb/Makefile.am |  5 ++---
 tests/telepathy/Makefile.am    |  9 ++++-----
 tests/test.mk                  | 39
 +++++++++++++++++++++++++++++++++++++++
 tests/tracker/Makefile.am      |  5 ++---
 16 files changed, 102 insertions(+), 41 deletions(-)

commit 98fe7836cd9cbb8bc3fd61e5c65df236dd9e5da2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 12:57:15 2015 +0000

    tests: Fix load path for a Telepathy test file

    The path works fine when running the tests in the source directory,
    but
    not for installed tests. Also, it seems a bit pointless to keep
    the file
    in its own subdirectory; and this will cause problems when
    installing it
    for installed-tests.

    https://bugzilla.gnome.org/show_bug.cgi?id=743398

 tests/lib/telepathy/test-case.vala           | 2 +-
 tests/telepathy/Makefile.am                  | 2 +-
 tests/telepathy/data/relationships-empty.ini | 0
 tests/telepathy/relationships-empty.ini      | 0
 4 files changed, 2 insertions(+), 2 deletions(-)

commit 324f8687f1bc547b87600d1ccf845065e6fad117
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 12:42:18 2015 +0000

    tests: Allow pkg-config calls to be overridden by environment
    variables

    When running installed tests, the pkg-config files for our
    dependencies
    might not be available, so the runtime pkg-config calls will fail and
    hence the tests will fail.

    Allow overriding the pkg-config calls with environment variables which
    will be set in the .test files for the installed tests.

    https://bugzilla.gnome.org/show_bug.cgi?id=743398

 tests/lib/eds/test-case.vala     | 21 ++++++++++++++++++---
 tests/lib/tracker/test-case.vala | 21 ++++++++++++++++++---
 2 files changed, 36 insertions(+), 6 deletions(-)

commit 3a95647776cf5f1a42b433bf013a2cc29aa64b98
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 11:29:38 2015 +0000

    build: Local change to git.mk to ignore installed-test metadata files

    Submitted upstream as: https://github.com/behdad/git.mk/pull/28/.

    https://bugzilla.gnome.org/show_bug.cgi?id=743398

 git.mk | 1 +
 1 file changed, 1 insertion(+)

commit 1ecb3346985a0b155f074810da848a9de3b55770
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 12:58:34 2015 +0000

    tests: Upgrade a warning to an error

    If this fails, the test cannot complete successfully, so we might as
    well make sure the warning message doesn’t get buried by subsequent
    log
    output.

 tests/lib/test-utils.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f10d0a18966aac296336364812bbc0eb0f942ec
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 23 11:24:40 2015 +0000

    build: Update git.mk from upstream

 git.mk | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 56ae93e3e655c9b2a42d71807ba22b828bfcf25e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jan 23 11:42:37 2015 +0100

    Updated Spanish translation

 po/es.po | 108
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 53 deletions(-)

commit bd4b1b31d34ef6fa6a6a9f06825a99b55c58a64c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 17:35:52 2015 +0000

    tests: Factor out common database disambiguation in EDS tests

    Why not just make all the tests use unique databases?

 tests/eds/anti-linking.vala  | 11 -----------
 tests/eds/link-personas.vala | 11 -----------
 tests/eds/perf.vala          |  9 ---------
 tests/eds/set-avatar.vala    |  9 ---------
 tests/lib/eds/test-case.vala |  5 ++++-
 5 files changed, 4 insertions(+), 41 deletions(-)

commit 09bc2de85f6d32af895843362ad7f0c3ca8f1c0a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 17:32:02 2015 +0000

    tests: Fix EDS set-avatar test

    The same address book database was being re-used between unit tests,
    causing the second one to fail with a duplicate contact UID.

 tests/eds/set-avatar.vala | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 8db58cfc01436ffdcf7ca0b338d645299b1fcc66
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:29:14 2015 +0000

    build: Add a missing backslash in a file list

    It was at the end of the list, so this doesn’t actually change
    anything.
    Just fixes an automake warning.

 tests/eds/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bdf03cf9633689a162bb235df3a617a0b562fead
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:19:33 2015 +0000

    core: Indentation fix

 folks/individual-aggregator.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a446d66e6b93d50bb157703b648f3dcb6dce6af2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:19:03 2015 +0000

    core: Unmark a private method as async

    It does not use any async features or yields, so there’s no point
    in it
    being async.

 folks/individual-aggregator.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f78bee03297a2d886ba0a0535498d87d238bcf9f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:18:39 2015 +0000

    core: Remove use of a deprecated libgee API

 folks/individual-aggregator.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0dfb4b67733343e0d06dfd34dc9728265c465a5b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:16:50 2015 +0000

    dummy: Set DummyPersona.property_change_delay default value

    To zero, so persona property changes are queued in an idle callback.
    This is not a functional change, as the property would have previously
    been implicitly zero-initialised.

 backends/dummy/lib/dummy-persona.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d040ce6cbad9bad8c25f052254f3df6d9535a9a3
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:15:49 2015 +0000

    core: Hook up the FolksSmallSet.dispose vfunc

    It was accidentally not hooked up before, which was a potential memory
    leak if read-only views are used.

 folks/small-set.c | 1 +
 1 file changed, 1 insertion(+)

commit 0db4ad513b0141e5a0862954db74439ebb175bcc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:14:55 2015 +0000

    core: Implement more vfuncs in FolksSmallSet

    Implement the generic type vfuncs, which are needed for some of the
    search code.

 folks/small-set.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 537063c475d3347369abca001721603c0cd6d883
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 22 16:14:31 2015 +0000

    core: Remove unused function declarations from FolksSmallSet

 folks/small-set.c | 3 ---
 1 file changed, 3 deletions(-)

commit a0e8278131dd7fde01b6ef456da5e2761de93787
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jan 21 14:51:47 2015 +0000

    tests: Skip primary-store-changes test if running uninstalled

    It requires the folks GSettings schema to be installed, which
    might not
    be the case if running the unit tests without installing.

 tests/folks/primary-store-changes.vala | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit b9f79746b4d56569f498c2e45a245bbbde194578
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jan 21 14:12:05 2015 +0000

    core: Fix some code formatting

    This introduces no functional changes.

 folks/individual-aggregator.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9421fb70ac4a3a21051cfd0547ecbb0b31913951
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Jan 21 07:57:09 2015 +0100

    Updated Czech translation

 po/cs.po | 107
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 56 insertions(+), 51 deletions(-)

commit 171adc50db474ee11ebcad293371700ccda2189a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jan 20 17:47:08 2015 +0000

    build: Bump version to 0.11.0

    Since we’re now adding API, this is the 0.11.0 unstable branch.

 NEWS         | 7 ++++++-
 configure.ac | 4 ++--
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 699bf9a70f2ba7b80e20e16820b04db21c62a79b
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   Tue Jan 20 12:36:35 2015 +0000

    eds: Implement ExtendedInfo interface

    Store extended info fields as arbitrary vCard properties.

    https://bugzilla.gnome.org/show_bug.cgi?id=641211

 backends/eds/lib/edsf-persona-store.vala |  64 +++++++++++++++
 backends/eds/lib/edsf-persona.vala       |  32 ++++++++
 tests/eds/Makefile.am                    |   5 ++
 tests/eds/extended-info.vala             | 136
 +++++++++++++++++++++++++++++++
 tests/lib/eds/backend.vala               |  13 ++-
 5 files changed, 249 insertions(+), 1 deletion(-)

commit 31018a77990ee1ecdf696fd679cb83d711524b23
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   Tue Jan 20 12:07:28 2015 +0000

    core: Add an ExtendedInfo interface for storing arbitrary fields

    This adds a new interface which allows clients to store arbitrary
    fields
    in backends. No backends currently implement it, but that will change.

    See the documentation for reasoning about when it’s appropriate
    to use
    this interface.

    New API:
     • ExtendedInfo interface
     • ExtendedFieldDetails class
     • Individual now implements ExtendedInfo

    https://bugzilla.gnome.org/show_bug.cgi?id=641211

 folks/Makefile.am        |   1 +
 folks/extended-info.vala | 151
 +++++++++++++++++++++++++++++++++++++++++++++++
 folks/individual.vala    | 119 ++++++++++++++++++++++++++++++++++++-
 folks/persona-store.vala |  10 +++-
 po/POTFILES.in           |   1 +
 po/POTFILES.skip         |   1 +
 6 files changed, 281 insertions(+), 2 deletions(-)

commit 4bda16a913d00b44ada0111f89dfc6548a550625
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jan 20 12:09:11 2015 +0000

    doc: Fix a typo in HACKING

 HACKING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2660ca904e31b62ad0418327af3c8ce9aecb244
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jan 20 10:31:42 2015 +0000

    build: Add -no-undefined to all LDFLAGS

    Let’s not get caught by the linker failing on undefined symbols
    again.

 backends/backend-library.mk | 1 +
 backends/backend.mk         | 1 +
 folks/Makefile.am           | 5 ++++-
 3 files changed, 6 insertions(+), 1 deletion(-)

commit 6bfdae26b5311d280f2e566d05534b0ddf57603b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jan 20 10:27:36 2015 +0000

    build: Fix LIBADD for libsocialweb backend

    The variable was accidentally completely empty, which was causing
    build
    failures when compiling with -no-undefined. Fix that by populating
    LIBADD correctly.

 backends/libsocialweb/lib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc9e0684504c32b71ee2913d48ee8298e8468d46
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jan 20 10:26:50 2015 +0000

    build: Add dependency on libm for the BlueZ backend

    It uses Math.pow().

 backends/bluez/Makefile.am | 1 +
 configure.ac               | 2 ++
 2 files changed, 3 insertions(+)

commit 916eaa6eff3d3fa416d2fb8d8f1dc5cd39ad872a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jan 19 20:38:25 2015 +0000

    Post-release version bump

 NEWS         | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit bde07a22c23b2c49d370c793dab5dce3da1d11f9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jan 19 20:37:14 2015 +0000

    Release version 0.10.1

 NEWS         |  7 +------
 configure.ac | 14 +++++++-------
 2 files changed, 8 insertions(+), 13 deletions(-)

commit 256fa1ea13e5145272192ed6848bda99fcc72e1a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jan 19 19:19:43 2015 +0000

    tests: Add support for recent EDS D-Bus APIs in the unit tests

    We’re now on AddressBook8. Gosh.

 tests/lib/eds/test-case.vala | 56
 ++++++++++++++++++++------------------------
 1 file changed, 25 insertions(+), 31 deletions(-)

commit 7fabf0493dca7d51976d64d75ce3c9091233e7b5
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sat Dec 6 21:58:40 2014 +0000

    Updated Turkish translation

 po/tr.po | 319
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 219 insertions(+), 100 deletions(-)

commit cf7940606e34439257574f4f26258662e5a0a819
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sun Nov 30 13:30:09 2014 +0100

    Added Romanian Translation

 po/LINGUAS |   1 +
 po/ro.po   | 954
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 955 insertions(+)

commit fad9447dddb1bc114738ada2e0bd52b855e1638e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Nov 19 18:53:05 2014 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 77e70d06a9c40b82ca4879ca53c3fc7d68700d9f
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sat Nov 15 22:39:07 2014 +0000

    Updated Portuguese translation

 po/pt.po | 270
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 142 insertions(+), 128 deletions(-)

commit c0b2bceca5a20419b11fce917f8bdf25b1cece51
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Oct 30 18:10:32 2014 +0000

    build: Re-add missing API declaration -include for EDS backend

    Originally added in commit 7a9c8133468c1f8eb7fbb0e68a6a7e061b9452fb,
    mistakenly removed in commit 9864169bfd0631ca5b46eccb77c37ea6411059a1.
    Whoops. :-(

    Bug reported on the Telepathy mailing list:
    http://lists.freedesktop.org/archives/telepathy/2014-October/006635.html

 backends/eds/lib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit ecfe13d86ddcc58788c5246227e98e283c9760f5
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Oct 5 11:11:30 2014 +0000

    Updated Italian translation

 po/it.po | 49 ++++++++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 19 deletions(-)

commit 33a1eb30a99c9eebf5d1e4c40cf578dcd65d6c27
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Oct 3 21:30:36 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit ca5c4ddb97b05c296169c8a0f05a9527f6b5627a
Author: Saibal Ray <sray@redhat.com>
Date:   Thu Sep 25 08:14:07 2014 +0000

    Updated Bengali (India) translation

 po/bn_IN.po | 414
 ++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 276 insertions(+), 138 deletions(-)

commit bd0daf8746866f1c3822be9fbd6317148b256ed4
Author: Krishnababu Krothapalli <k.meetme@gmail.com>
Date:   Tue Sep 23 20:46:55 2014 +0000

    Updated Telugu translation

 po/te.po | 361
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 246 insertions(+), 115 deletions(-)

commit 52452b56ec10167385d902a47e09aa5bd5c6f55a
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:   Tue Sep 23 10:34:01 2014 +0000

    Updated Hindi translation

 po/hi.po | 362
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 246 insertions(+), 116 deletions(-)

commit 4892388e9e6ed95a3921099b0049c7ba84176fe0
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 21 08:30:24 2014 -0500

    update Punjabi Translation for 3.14 release

 po/pa.po | 175
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 91 insertions(+), 84 deletions(-)

commit 06212cab9259c6715dc668a3a8ace894190d4066
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Sat Sep 20 21:27:05 2014 +0000

    Updated Swedish translation

 po/sv.po | 863
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 471 insertions(+), 392 deletions(-)

commit 85f5969f6729989765019c4e2f658f01400e4c52
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 17 20:40:02 2014 +0200

    Updated Serbian translation

 po/sr.po       | 171
 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 171
 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 172 insertions(+), 170 deletions(-)

commit 6341b79edcb450f7eeca2eec1c76d8379b18a43d
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Tue Sep 16 20:47:33 2014 +0200

    Updated Danish translation

 po/da.po | 67
 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 38 insertions(+), 29 deletions(-)

commit 5459ac7da267e6ceda092926145d7bae45bd42a6
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Sep 16 18:31:28 2014 +0000

    Updated Slovak translation

 po/sk.po | 396
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 271 insertions(+), 125 deletions(-)

commit 0901c154ebf6628f754787ec241592255f11ef2a
Author: Saibal Ray <sray@redhat.com>
Date:   Tue Sep 16 10:57:31 2014 +0000

    Updated Bengali (India) translation

 po/bn_IN.po | 243
 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 126 insertions(+), 117 deletions(-)

commit f98122abe3863a50dfd77a6e8f724bd2d7366425
Author: Shantha kumar <shantha.thamizh@gmail.com>
Date:   Mon Sep 15 13:36:35 2014 +0000

    Updated Tamil translation

 po/ta.po | 178
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 92 insertions(+), 86 deletions(-)

commit 4ece23254e2185a416f66a6c6858e0357f7aa330
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Sat Sep 13 21:09:22 2014 +0530

    Updated Marathi Translations

 po/mr.po | 362
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 248 insertions(+), 114 deletions(-)

commit 45795b46d806bb0cbe2e9b1ef6a955d6e9240957
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Sep 12 17:32:48 2014 +0100

    Post-release version bump

 NEWS         | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit b0b92946267b773ebb4913d253ad5fb76fb48bc6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Sep 12 17:31:00 2014 +0100

    Release version 0.10.0

 NEWS         | 13 +++++++++----
 configure.ac | 18 +++++++++---------
 2 files changed, 18 insertions(+), 13 deletions(-)

commit 951b2aa156ffad26f0a076ee0492495ddd36aa53
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Sep 12 17:12:42 2014 +0100

    build: Allow building with Tracker 0.16, 0.18 and 1.0

    Allow configuring against one of several versions of Tracker. This
    uses
    the chained PKG_CHECK_MODULES technique from
    https://www.flameeyes.eu/autotools-mythbuster/pkgconfig/pkg_check_modules.html#idm103041829189696

    Based on a patch by Maciej Piechotka <uzytkownik2@gmail.com>.

    https://bugzilla.gnome.org/show_bug.cgi?id=728520

 configure.ac | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 5f33f801cf3ce4ccb8ca4905125f1891f5a05bbf
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Sep 10 09:52:58 2014 -0400

    tests: Add test for primary-store setting changes

    https://bugzilla.gnome.org/show_bug.cgi?id=731470

 tests/folks/Makefile.am                |   9 +++
 tests/folks/primary-store-changes.vala | 136
 +++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

commit ebba8fce0e856329db6ec1d6ee07e6f97508dcb0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Sep 10 10:22:08 2014 -0400

    core: Listen on primary-store settings changes

    https://bugzilla.gnome.org/show_bug.cgi?id=731470

 folks/individual-aggregator.vala | 35 ++++++++++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 7 deletions(-)

commit b939ac27fb910accbf21b66258253e46e59eac43
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Sep 11 12:33:46 2014 +0530

    Updated gujarati translations

 po/gu.po | 357
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 243 insertions(+), 114 deletions(-)

commit 0b82d83fa300f9a156d2d6ebb3f4e715037e50de
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Tue Sep 9 15:44:45 2014 +0900

    Updated Korean translation

 po/ko.po | 134
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 71 insertions(+), 63 deletions(-)

commit 90535dc23830e0b7fcf7f9bed980f6392c85857e
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Mon Sep 8 14:25:22 2014 +0000

    Updated Kannada translation

 po/kn.po | 408
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 272 insertions(+), 136 deletions(-)

commit bf2c8498d0c7d733dcebaf26505bf0df0a46f87b
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Sep 7 15:36:05 2014 +0300

    Updated Latvian translation

 po/lv.po | 142
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 76 insertions(+), 66 deletions(-)

commit 29378a91b591c717f1468a136d4d9313a5761634
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Sep 2 23:01:50 2014 +0200

    Updated French translation

 po/fr.po | 275
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 129 insertions(+), 146 deletions(-)

commit 32346eef7ca0bb621bd3346b1116fb3661680a8a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Aug 30 18:25:34 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 145
 +++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po | 145
 +++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 158 insertions(+), 132 deletions(-)

commit 5322f56da7412caf0c13ad4a59a1b289ce90e898
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Wed Aug 27 11:40:08 2014 +0000

    Updated Oriya translation

 po/or.po | 365
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 250 insertions(+), 115 deletions(-)

commit 6dc22cf157be2b4773d759dcbe23d9b061ee470e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Aug 23 12:41:12 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 504782638fb47daa051f12d298a4ab98d05e4190
Author: ngoswami <ngoswami@redhat.com>
Date:   Tue Aug 19 10:30:22 2014 +0000

    Updated Assamese translation

 po/as.po | 186
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 96 insertions(+), 90 deletions(-)

commit d460395db34c75d7b61a781377119191bacb01e9
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Thu Aug 14 01:10:30 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 370
 +++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 256 insertions(+), 114 deletions(-)

commit 70d33b7cc1033ba139b6e091db88b664cf6fc26b
Author: Gil Forcada <gforcada@gnome.org>
Date:   Thu Aug 14 01:09:22 2014 +0200

    [l10n] Update Catalan translation

 po/ca.po | 50 ++++++++++++++++++++++++++------------------------
 1 file changed, 26 insertions(+), 24 deletions(-)

commit 97474e2016882c616452095312b0922f3045da4a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Aug 13 23:58:41 2014 +0100

    eds: Remove use of the AvatarCache

    For several reasons:
     1) Now that only local URIs are permitted for URI-based photos,
     loading
        the photos should no longer be slow and need caching.
     2) Inline photos don’t need caching (and if they do, it should
     be in
        EDS, not folks — see bug #710826).
     3) The cached photos were never actually loaded again. How
     embarrassing.

    https://bugzilla.gnome.org/show_bug.cgi?id=697695

 backends/eds/lib/edsf-persona.vala | 35
 ++++-------------------------------
 1 file changed, 4 insertions(+), 31 deletions(-)

commit 3caef48df30d25cb3445d3b45551c6ccb3656d23
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Aug 13 23:57:18 2014 +0100

    eds: Ignore non-local URIs for photos for security reasons

    We can’t entirely trust the URIs provided to us in contacts,
    and they
    could reference huge photos which we really don’t want to download
    (and
    incur huge bandwidth bills). Since non-local URIs are really rare, it
    seems reasonable to ignore them entirely, avoiding the security issue.

    https://bugzilla.gnome.org/show_bug.cgi?id=697695

 backends/eds/lib/edsf-persona.vala | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 96884ec0a3d1a85b6a4523ebc309ef2814e0360f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Aug 14 00:00:57 2014 +0100

    bluez: Mark photos as initially up-to-date

    The BlueZ backend only downloads contact photos if it determines
    its set
    of photos is out of date (since BlueZ only lets it download _all_
    photos, or _no_ photos). However, the variable controlling this could
    never actually be set to true, so the backend always thought its
    set of
    photos was outdated, and always re-downloaded them.

 backends/bluez/bluez-persona-store.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3c928eea2f4644c81958dc9d3e928281c7dd3ff8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Aug 13 10:07:19 2014 +0100

    Post-release version bump

 NEWS         | 13 +++++++++++--
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 4 deletions(-)

commit bf1fc4df17036d019af2b6b42b2b45c3812c97b8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Aug 13 10:05:46 2014 +0100

    Release version 0.9.8

 NEWS         |  3 +--
 configure.ac | 14 +++++++-------
 2 files changed, 8 insertions(+), 9 deletions(-)

commit 5280f3363eb1abd782d25dfdcad33f01958bdb1c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Aug 8 15:13:53 2014 +0100

    bluez: Ensure to yield until OBEX transfers have completed

    It was possible for the code to not yield on an in-progress
    transfer if
    the transfer_status was initially non-null (e.g. ‘queued’). This
    change
    ensures that the transfer is yielded on if the status isn’t
    ‘complete’
    or ‘error’. The yield callback is only invoked once the status has
    changed to ‘complete’ or ‘error’, so the code is now
    guaranteed to not
    hit the assert_not_reached() call.

    https://bugzilla.gnome.org/show_bug.cgi?id=733891

 backends/bluez/bluez-persona-store.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b5794c9ed995535aec7068a5d63c26ec0c4412ba
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Wed Aug 6 22:45:03 2014 +0000

    Updated German translation

 po/de.po | 160
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 83 insertions(+), 77 deletions(-)

commit b446c1274a7c698bc0d177fce9d545527fb91330
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Aug 5 13:16:15 2014 +0200

    Updated Basque language

 po/eu.po | 70
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 38 insertions(+), 32 deletions(-)

commit 99083accf06f972209c9f31a063ebfd281185a52
Author: MarMav <mavridou@gmail.com>
Date:   Sun Aug 3 21:27:08 2014 +0000

    Updated Greek translation

 po/el.po | 291
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 149 insertions(+), 142 deletions(-)

commit 955a0ead391afcc4ab2538fbc196765d57ac25e3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 17:37:50 2014 +0200

    doap: add <programming-language>

 folks.doap | 1 +
 1 file changed, 1 insertion(+)

commit 234d00c72bd3e18529b8a1b6592fb8afa8f371e6
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 19:43:57 2014 +0200

    doap category core

 folks.doap | 1 +
 1 file changed, 1 insertion(+)

commit 3b7dc69df35a35c05bb156915a6b2957636b8bb8
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Tue Jul 29 14:06:19 2014 +0800

    update zh_CN translation

 po/zh_CN.po | 178
 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 89 insertions(+), 89 deletions(-)

commit 5932c74b3f0a993300eb3b13d59bcaaf93203107
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jul 23 14:40:46 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 135
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 71 insertions(+), 64 deletions(-)

commit 77fa9508101085bb7f5bc3ab2a1f2cc0604b94fd
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jul 1 20:40:32 2014 +0200

    Updated Slovenian translation

 po/sl.po | 153
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 78 insertions(+), 75 deletions(-)

commit 307468baa0562c23ccfc0e50fcca1904db1aa326
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 1 18:05:41 2014 +0200

    Updated Galician translations

 po/gl.po | 164
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 83 insertions(+), 81 deletions(-)

commit d1f3a2584347f8c4fbfcf6e4a3d257befe50f9a0
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Mon Jun 30 23:59:14 2014 +0200

    Updated Hungarian translation

 po/hu.po | 173
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 90 insertions(+), 83 deletions(-)

commit d968777b9636720e7adc394f7a20c13997faeb94
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Mon Jun 30 13:47:12 2014 +0200

    Updated Spanish translation

 po/es.po | 175
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 85 insertions(+), 90 deletions(-)

commit ce15df883a8b6df64c2848b889ac27600c41461e
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jun 28 21:38:11 2014 +0200

    Updated Czech translation

 po/cs.po | 162
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 82 insertions(+), 80 deletions(-)

commit 900af79c0c4a45a702c055cc5d00389e54ef2230
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jun 28 22:01:30 2014 +0300

    Updated Lithuanian translation

 po/lt.po | 170
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 85 insertions(+), 85 deletions(-)

commit 5ddd4cfc689c25b76df8459354bffb21ca65a50e
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Jun 27 14:04:42 2014 +0000

    Updated Indonesian translation

 po/id.po | 70
 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 34 insertions(+), 36 deletions(-)

commit 78d2c1fce63e477b31d8b2b97f0f4ed620ae6c34
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Jun 27 01:57:02 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 171
 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 88 insertions(+), 83 deletions(-)

commit 6c2b65a8fd3480b84b646d8e24a8a136a701f4b5
Author: Renato Araujo Oliveira Filho <renatox@gmail.com>
Date:   Wed Jun 25 19:59:00 2014 +0000

    dummy: Don’t modify a HashMap while iterating over it

    Iterate over a copy instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=732244

 NEWS                                  | 1 +
 backends/dummy/lib/dummy-backend.vala | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 1f57b12dcaaa2cbce89fd28f4c79cde2a3d70420
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Wed Jun 25 22:31:13 2014 +0400

    Updated Russian translation

 po/ru.po | 141
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 75 insertions(+), 66 deletions(-)

commit 7e25e2baadf417fa5eab0419cb25f4ff3079eb97
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jun 25 19:10:13 2014 +0200

    Updated Polish translation

 po/pl.po | 166
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 83 insertions(+), 83 deletions(-)

commit 47f872c8dd947236a96385a3ea0e372e8d97eb75
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jun 24 23:47:17 2014 +0100

    core: Correctly resolve symlinks when loading backends

    Instead of ignoring symlinks, we should resolve their targets, and
    deduplicate after that. This fixes cases where folks is run in an
    environment with software installed in loop mounted file systems
    — each
    backend .so file in the backend path is actually a symlink to
    the proper
    .so file in the loop mounted file system. This is the case on
    Tinycorelinux. folks was previously not loading any backends in
    such an
    environment because it ignored all symlinks.

    Thanks to John Frankish for help in debugging this problem.

 NEWS                     |  2 ++
 folks/backend-store.vala | 43 +++++++++++++++++++++++++++++++++++++++----
 2 files changed, 41 insertions(+), 4 deletions(-)

commit 12fb1a8508e8a9fd3e74f561b6f171f4e207475e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jun 24 12:37:47 2014 +0100

    Post-release version bump

 NEWS         | 11 +++++++++++
 configure.ac |  6 +++---
 2 files changed, 14 insertions(+), 3 deletions(-)

commit 99c9e8640366c52582822ae694355c5df6b486c2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jun 24 12:36:10 2014 +0100

    Release version 0.9.7.1

 NEWS         | 12 ++++++------
 configure.ac |  6 +++---
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 3aeb86e583e045d703fdf3d07e4407f2a888f5d0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jun 24 12:27:18 2014 +0100

    tests: Disable main context assertions

    They’re causing too many false positive failures at the moment and I
    just want to make a release.

 tests/lib/test-case.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3635a6c62f126e5d373a50e77faa5f04adbc75c7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jun 22 13:44:51 2014 +0100

    build: Ensure Telepathy VAPI files are built

    I hate build systems. I really do. Mostly this one.

 backends/telepathy/lib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit dabb1680fc09c8b76d347f3b5285e33e8f6f5b83
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 23:41:20 2014 +0100

    Post-release version bump

 NEWS         | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 5f199c4fe2e65c7b41c278f362ac22f4fdcd1030
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 23:39:31 2014 +0100

    Release version 0.9.7

 NEWS                                        |  25 ++++++
 backends/bluez/bluez-backend.vala           |   2 +-
 backends/bluez/bluez-persona-store.vala     |   4 +-
 backends/bluez/bluez-persona.vala           |   2 +-
 backends/dummy/dummy-backend-factory.vala   |   4 +-
 backends/dummy/lib/dummy-backend.vala       |  26 +++---
 backends/dummy/lib/dummy-full-persona.vala  | 120
 ++++++++++++++--------------
 backends/dummy/lib/dummy-persona-store.vala |  60 +++++++-------
 backends/dummy/lib/dummy-persona.vala       |  20 ++---
 backends/eds/lib/edsf-persona.vala          |   2 +-
 configure.ac                                |  38 ++++-----
 folks/anti-linkable.vala                    |   6 +-
 folks/individual-aggregator.vala            |   4 +-
 folks/individual.vala                       |   2 +-
 folks/name-details.vala                     |   2 +-
 folks/utils.vala                            |   2 +-
 tests/lib/bluez/backend.vala                |  20 ++---
 tests/lib/bluez/test-case.vala              |  12 +--
 tests/lib/dummy/test-case.vala              |  14 ++--
 tests/lib/org-freedesktop-dbus-mock.vala    |   2 +-
 tests/lib/test-case.vala                    |   4 +-
 tests/lib/test-utils.vala                   |  10 +--
 22 files changed, 204 insertions(+), 177 deletions(-)

commit 7f2d6459ca86ae2ff5db2eb9d6fc6843e526d079
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 23:25:23 2014 +0100

    build: Remove a redundant .stamp file from the Makefile

    It was breaking distcheck by trying to be deleted from the read-only
    $srcdir.

 backends/telepathy/lib/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit f974cd245a753f9d7e5f0c63beb8f8be77cb5cc7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 20:29:57 2014 +0100

    tests: Don’t close stdout for dbus-daemon in GTestDBus

    The stdout FD passed to dbus-daemon is propagated to all its child
    processes, such as service activated processes. If we close the
    FD after
    reading the bus address from the daemon, any child process which
    subsequently writes to stdout (e.g. for logging) will get a SIGPIPE
    and
    explode.

    Instead of closing the stdout FD immediately after dbus-daemon has
    spawned, keep it open until the daemon is killed.

    This fixes the Tracker tests, as tracker-store writes startup
    information to stdout.

 tests/lib/gtestdbus.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 4a2d04d8dca7924ac6c0cfba84ed6042a9d1b70d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 19:15:35 2014 +0100

    tracker: Standardise the TestCase set up procedure

    Make it match the EDS one so we’re not doing heavyweight IPC in the
    constructor.

 tests/lib/tracker/test-case.vala              | 21 +++++++++++++++++++--
 tests/tracker/additional-names-updates.vala   |  2 --
 tests/tracker/avatar-updates.vala             |  2 --
 tests/tracker/birthday-details-interface.vala |  2 --
 tests/tracker/birthday-updates.vala           |  2 --
 tests/tracker/emails-updates.vala             |  2 --
 tests/tracker/family-name-updates.vala        |  2 --
 tests/tracker/favourite-updates.vala          |  2 --
 tests/tracker/fullname-updates.vala           |  2 --
 tests/tracker/gender-details-interface.vala   |  2 --
 tests/tracker/given-name-updates.vala         |  2 --
 tests/tracker/imaddresses-updates.vala        |  2 --
 tests/tracker/nickname-updates.vala           |  2 --
 tests/tracker/note-details-interface.vala     |  2 --
 tests/tracker/phones-updates.vala             |  2 --
 tests/tracker/prefix-name-updates.vala        |  2 --
 tests/tracker/role-details-interface.vala     |  2 --
 tests/tracker/suffix-name-updates.vala        |  2 --
 tests/tracker/url-details-interface.vala      |  2 --
 tests/tracker/website-updates.vala            |  2 --
 20 files changed, 19 insertions(+), 40 deletions(-)

commit 31d3b43db1bc81a156fd162b1908985b435962b6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 18:21:31 2014 +0100

    tracker: Ensure all properties of Trf.Persona are initialised

    The nickname and is-favourite properties were not being initialised on
    construction, so if Trf.Persona.nickname was accessed before
    being set,
    it would return null, which is invalid.

 backends/tracker/lib/trf-persona.vala | 2 ++
 1 file changed, 2 insertions(+)

commit f18239080b4f3f73fd7a4d303a0afc1ab9f066fe
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 18:20:49 2014 +0100

    tracker: Ensure the Tracker connection is disposed in test teardown

    This was causing the Tracker tests to fail.

 tests/lib/tracker/backend.vala | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0d894ff621680587a3e16d636ca3b517cfe7d1ab
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jun 20 20:35:28 2014 +0100

    eds: Bypass test failures on GTestDBus teardown

    GTestDBus can sometimes fail on teardown, causing our EDS tests to
    spuriously fail, and this has become a real thorn in our side. While
    we
    wait for the proper solution to the relevant GLib bugs to be
    hashed out,
    let’s simply exit early from the tests to ignore failures in
    teardown.

    This will not affect (non-teardown) test failures from true positives,
    as it only happens on final teardown.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/Makefile.am    |  1 +
 tests/lib/test-case.vala | 25 +++++++++++++++++++------
 2 files changed, 20 insertions(+), 6 deletions(-)

commit ae1f281855d2f47102a61b56188f841807571537
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jun 20 20:34:34 2014 +0100

    eds: Ignore errors from unimplemented EDS methods

    We can assume the methods are deliberately not implemented, so we
    shouldn’t warn about them.

    This complements the patch in
    https://bugzilla.gnome.org/show_bug.cgi?id=731981.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 backends/eds/lib/edsf-persona-store.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47776e621dda8041a3329986f663cb83e8a4a4fa
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Thu Jun 19 18:53:24 2014 -0300

    Create a new function set_string_afd_equal.

    This is necessary to avoid problems with phone numbers that has
    a special values_equal function to try match phone numbers in
    different formats.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=731175

 NEWS                                       |  2 ++
 backends/bluez/bluez-persona.vala          |  2 +-
 backends/dummy/lib/dummy-full-persona.vala |  2 +-
 backends/eds/lib/edsf-persona-store.vala   |  2 +-
 backends/eds/lib/edsf-persona.vala         |  6 ++--
 backends/telepathy/lib/tpf-persona.vala    |  2 +-
 folks/individual.vala                      |  2 +-
 folks/utils.vala                           | 55
 ++++++++++++++++++++++++++++++
 8 files changed, 66 insertions(+), 7 deletions(-)

commit cc8acf86bf4349f60c576e79e9d39c35980e6490
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Thu Jun 19 18:57:58 2014 -0300

    Create unit test for change the phone number prefix.

    https://bugzilla.gnome.org/show_bug.cgi?id=731175

 tests/eds/Makefile.am          |   5 ++
 tests/eds/updating-phones.vala | 168
 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 173 insertions(+)

commit 1f667e32acff90c32e531cc53fc382e96188ebf9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jun 12 08:39:37 2014 +0100

    tests: Add a missing D-Bus service file for EDS source registry

    We were missing v2 of the source file, causing the EDS tests to
    all fail
    with certain versions of EDS.

    https://bugzilla.gnome.org/show_bug.cgi?id=731464

 NEWS                         |  1 +
 tests/lib/eds/test-case.vala | 57
 +++++++++++++++++++-------------------------
 2 files changed, 26 insertions(+), 32 deletions(-)

commit 60b0255fc6628510cef674b12f29b84abf6163e6
Author: Vadim Rutkovsky <vrutkovs@redhat.com>
Date:   Thu Jun 5 15:44:12 2014 -0400

    Fix builddir != srcdir issue

    https://bugzilla.gnome.org/show_bug.cgi?id=731325

 NEWS                               | 1 +
 backends/backend-library.mk        | 6 +++++-
 backends/telepathy/lib/Makefile.am | 3 ++-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 8060048edf41a3123c59bdc1101f024c90f4178e
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Jun 3 00:43:03 2014 +0200

    [l10n] Update Catalan translation

 po/ca.po | 368
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 254 insertions(+), 114 deletions(-)

commit ef541513345aa2c83bd207cd2f38f23125cdf3eb
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Thu May 15 17:59:15 2014 +0100

    build: fix over-linking in backends

    https://bugzilla.gnome.org/show_bug.cgi?id=730201

 backends/backend.mk | 1 -
 1 file changed, 1 deletion(-)

commit 96814b8699c917743b663c3928769ff8e4a86603
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Thu May 15 17:58:46 2014 +0100

    Revert "build: Remove some over-linking in the oFono backend"

    This reverts commit d9a38f5fa4c0c7c4ea131f76b90dc0f3bc208cb6.

 backends/ofono/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit d9a38f5fa4c0c7c4ea131f76b90dc0f3bc208cb6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 15 15:53:45 2014 +0100

    build: Remove some over-linking in the oFono backend

    If it links against folks-generics, the GTypes for the FolksSmallSet
    functions are included in the runtime image twice, and the backend
    fails
    to load.

 backends/ofono/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 83e7b9b4c6a9ca79ba3a55f836306fb6c657a605
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 29 12:02:50 2014 +0100

    bluez: Add a test for an empty ‘FN’ attribute

    This has tripped up other vCard parsers in the past. Thankfully, it
    seems fine with EDS for us.

 tests/bluez/vcard-parsing.vala | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit e3806d4240d1ff8058e1ef31173f2950d084943d
Author: Dirgita <dirgitadevina@gmail.com>
Date:   Tue Apr 22 14:34:22 2014 +0000

    Updated Indonesian translation

 po/id.po | 178
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 89 insertions(+), 89 deletions(-)

commit 0085cb463849e5b30d4b4c58da63a5df3fd0d0be
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 20 21:12:52 2014 +0100

    tests: Add assertions to check for null DateTimes

    If the DateTime would end up being invalid, construction fails
    and null
    is returned. Gracefully catch that in the unit tests.

    https://bugzilla.gnome.org/show_bug.cgi?id=727944

 tests/eds/add-contacts-stress-test.vala    | 2 ++
 tests/telepathy/individual-properties.vala | 1 +
 2 files changed, 3 insertions(+)

commit 48f5e7094cd50eb7ebdb3dec9d8c602472f14042
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 20 21:08:55 2014 +0100

    tracker: Fix crash on handling invalid birthday dates from contacts

    If a GDateTime cannot be constructed due to the requested date being
    invalid or out of range, the constructor will return null. The
    code was
    not previously handling this.

    https://bugzilla.gnome.org/show_bug.cgi?id=727944

 backends/tracker/lib/trf-persona.vala | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit f3c9b4b47d0a36c6ef19ba0534523243a4c38160
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 20 21:08:03 2014 +0100

    telepathy: Fix crash on handling invalid birthday dates from contacts

    If a GDateTime cannot be constructed due to the requested date being
    invalid or out of range, the constructor will return null. The
    code was
    not previously handling this.

    https://bugzilla.gnome.org/show_bug.cgi?id=727944

 backends/telepathy/lib/tp-zeitgeist.vala            |  4 ++++
 backends/telepathy/lib/tpf-persona-store-cache.vala |  2 ++
 backends/telepathy/lib/tpf-persona.vala             | 10 +++++++---
 3 files changed, 13 insertions(+), 3 deletions(-)

commit 5e82482a31915215cb365605654dd11a92ba9664
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 20 21:03:16 2014 +0100

    eds: Fix crash on handling invalid birthday dates from contacts

    If a GDateTime cannot be constructed due to the requested date being
    invalid or out of range, the constructor will return null. The
    code was
    not previously handling this.

    https://bugzilla.gnome.org/show_bug.cgi?id=727944

 NEWS                               | 2 ++
 backends/eds/lib/edsf-persona.vala | 7 +++++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit e19a4daa4600c7d01178be5a5e18057e5ef2db6d
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Apr 18 12:12:50 2014 -0700

    Don't hard-code the Tracker major version for tests

 configure.ac                     | 1 +
 folks/build-conf.vapi            | 3 +++
 tests/lib/tracker/Makefile.am    | 1 +
 tests/lib/tracker/test-case.vala | 3 ++-
 4 files changed, 7 insertions(+), 1 deletion(-)

commit 562a94c44f6ae99f390f1fed9122ab011d9d67c3
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Tue Apr 8 17:15:07 2014 +0000

    Updated Italian translation

 po/it.po | 120
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 60 insertions(+), 60 deletions(-)

commit 7b410981821bdf0f19f1681ad682c9032624ce33
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Apr 8 00:13:22 2014 +0100

    tests: Fix enable-disable-stores EDS test

    The test was occasionally spuriously failing because the persona
    stores
    were being prepare()d after being re-enabled, and these prepare()
    calls
    were being suspended part-way through when the test finished and
    killed
    its main loop. They were being resumed when the main loop was
    re-started
    during tear down — it’s re-started to wait for the singleton D-Bus
    connection to be destroyed, so the prepare() calls ended up
    consistently
    having their D-Bus connection drop out from beneath them, resulting in
    warnings. These warnings would normally be useful to have, but not in
    the middle of a unit test.

    Fix this by rearchitecting the test slightly to force each persona
    store
    to be prepared after being re-enabled. Also simplify how this is
    tracked.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/eds/enable-disable-stores.vala | 66
 +++++++++++++++++++-----------------
 1 file changed, 34 insertions(+), 32 deletions(-)

commit 2001d7adaff969a7c900dce613a00d4668cae01c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 6 11:10:16 2014 +0100

    core: Rate-limit AvatarCache.store_avatar() to prevent FD exhaustion

    If connecting to a new EDS address book, or doing something else which
    may cause a torrent of AvatarCache.store_avatar() calls, it is
    possible
    to hit the operating system’s file descriptor limit, which causes
    further store operations to fail.

    Implement a simple FIFO rate limit on concurrent
    AvatarCache.store_avatar() calls to try and ensure this won’t
    happen. It
    is still possible if the process calls store_avatar() several times
    while already near the FD limit, but then failure is pretty inevitable
    anyway, and is already handled gracefully.

    The changes are implemented in a self-contained wrapper function
    around
    store_avatar(), and only result in memory allocations in the queueing
    case.

    A test case is included. This does not affect the AvatarCache API or
    ABI.

    https://bugzilla.gnome.org/show_bug.cgi?id=705742

 NEWS                          |  1 +
 folks/avatar-cache.vala       | 58
 +++++++++++++++++++++++++++++++++++++++++++
 tests/folks/avatar-cache.vala | 51 +++++++++++++++++++++++++++++++++++++
 3 files changed, 110 insertions(+)

commit 12b7985e8f28e66420ec522cb5fcb621e8e07a78
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Apr 7 09:38:36 2014 -0700

    tests: Manually iterate main context on tear_down in Dummy tests

    The code under test in these cases doesn’t (yet) correctly ensure
    there
    are no pending events before returning. To avoid assertion failure,
    manually iterate the global default main context until all pending
    events have been handled, then continue to tear_down.

    In future, it would be better to fix the tests and backends themselves
    to not leak main context events after unprepare() has been called.
    See https://bugzilla.gnome.org/show_bug.cgi?id=727700.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/dummy/test-case.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 45e1af8c28747154278ee5058a3b144899050abb
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Apr 7 09:12:02 2014 -0700

    tests: Manually iterate main context on tear_down in Dummy tests

    The code under test in these cases doesn’t (yet) correctly ensure
    there
    are no pending events before returning. To avoid assertion failure,
    manually iterate the global default main context until all pending
    events have been handled, then continue to tear_down.

    In future, it would be better to fix the tests and backends themselves
    to not leak main context events after unprepare() has been called.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/dummy/test-case.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 1236e1c521fdf38d70dfce95c7b4055f27794522
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 16:37:29 2014 +0000

    eds: Only use enabled ESources from EDS

    Don’t ignore the enabled/disabled state of the ESource. When
    EDS sources
    (such as the Google Contacts address book) are toggled in GOA,
    they’re
    disabled, not removed. Folks needs to respect that.

    https://bugzilla.gnome.org/show_bug.cgi?id=722579

 NEWS                                     | 2 ++
 backends/eds/eds-backend.vala            | 2 +-
 backends/eds/lib/edsf-persona-store.vala | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 89ba19db4f6532afaf30944deba6a5f188695e9c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Apr 3 14:42:38 2014 +0100

    bluez: Ignore missing sessions when removing sessions

    This occasionally happens when running the unit tests. The check only
    applies to unit tests, so will have no effect in production use.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 backends/bluez/bluez-persona-store.vala | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit b2bdc304d02fde725c5ad0919036ea23f3301b4d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Apr 3 14:40:56 2014 +0100

    tests: Manually iterate main context on tear_down in various tests

    The code under test in these cases doesn’t (yet) correctly ensure
    there
    are no pending events before returning. To avoid assertion failure,
    manually iterate the global default main context until all pending
    events have been handled, then continue to tear_down.

    In future, it would be better to fix the tests and backends themselves
    to not leak main context events after unprepare() has been called.
    See https://bugzilla.gnome.org/show_bug.cgi?id=727700.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/bluez/test-case.vala        |  9 +++++++++
 tests/lib/eds/test-case.vala          |  9 +++++++++
 tests/lib/key-file/test-case.vala     | 15 +++++++++++++++
 tests/lib/libsocialweb/test-case.vala |  9 +++++++++
 tests/lib/telepathy/test-case.vala    |  9 +++++++++
 tests/lib/tracker/test-case.vala      |  9 +++++++++
 6 files changed, 60 insertions(+)

commit 5c0c1c6801ab43adacfd53d46d7cc856092c2501
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Apr 3 14:39:03 2014 +0100

    tests: Add an assertion that the main context is empty on tear_down

    Leaving the global default main context with pending events is
    a common
    cause of cross-test interference which can cause spurious test
    failures.
    Try and ensure there are no pending events at the end of each test’s
    tear_down function.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/test-case.vala  |  2 ++
 tests/lib/test-utils.vala | 16 ++++++++++++++++
 2 files changed, 18 insertions(+)

commit 7ee8118248cdd393797a282acfcaed45ed9bc336
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Thu Apr 3 10:08:12 2014 -0300

    dummy: Fix dummy test cases to allow more than one test to run

    https://bugzilla.gnome.org/show_bug.cgi?id=727405

 tests/dummy/individual-retrieval.vala | 4 +++-
 tests/lib/dummy/test-case.vala        | 4 ++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 1b770fb19a9c1b8e5f9ce0e3ab00d75fd3af5ca1
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Mon Mar 31 16:14:16 2014 -0300

    core: Fix FOLKS_DISABLE_LINKING

    The second step of the _add_personas() function looks at
    candidate_inds,
    which is currently populated even if linking is disabled (in a failed
    attempt to keep all the FOLKS_DISABLE_LINKING logic to a single
    if-statement at the bottom of the function).

    This patch takes a different approach, and ensures that candidate_inds
    is not populated if FOLKS_DISABLE_LINKING is enabled, adding an
    assertion to try and prevent this bug being re-introduced in future.

    A test case will be added in a future commit (see the bug report).

    https://bugzilla.gnome.org/show_bug.cgi?id=727405

 NEWS                             |  3 ++-
 folks/individual-aggregator.vala | 18 ++++++++++++++----
 2 files changed, 16 insertions(+), 5 deletions(-)

commit dda8b6beb16a9b4ab70f2448c6a90fe0d9d019af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Mar 24 10:10:07 2014 +0000

    EDS test-cases: be backwards-compatible with Evolution 3.8

    The D-Bus API version changes between releases. We want all known
    versions to be activatable.

    https://bugzilla.gnome.org/show_bug.cgi?id=726980

 NEWS                         |  1 +
 tests/lib/eds/test-case.vala | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

commit da4544b9cf2a10d8d060bf8ed3e09a12006b80e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Mar 24 09:45:01 2014 +0000

    Reduce libebook dependency when not compiling the BlueZ backend

    Debian unstable is currently stuck with Evolution 3.8, due to the
    number of ABI transitions required to get from here to there. Folks
    does not appear to need a newer version if the optional BlueZ backend
    is not installed, and Debian doesn't currently enable that backend
    anyway.

    https://bugzilla.gnome.org/show_bug.cgi?id=726980

 configure.ac | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 71f6f79f7a9e95078d2e5a0ad2a48652197339a9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Mar 24 14:16:11 2014 +0000

    tests: avoid using dconf

    tests/eds/perf reliably fails for me with this warning:

    dconf-WARNING **: failed to commit changes to dconf:
    GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
    ca.desrt.dconf was not provided by any .service files

    and in any case we shouldn't be changing the user's real
    configuration.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/test-case.vala | 3 +++
 1 file changed, 3 insertions(+)

commit b16bd87240424632d7881172e87b2571d3df57be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Mar 24 16:12:23 2014 +0000

    Make warnings non-fatal during "final teardown"

    Historically, the Folks tests have not been expected to cope
    gracefully
    with dropping off the session bus. This frequently results in
    warnings,
    which default to being fatal. For instance, enable-disable-stores
    fails with this fatal warning:

    folks-WARNING **: Error preparing persona store 'eds:test': Couldn't
    get view for address book ‘test’: The connection is closed

    The long-term solution would be to make sure that disconnection from
    the bus is an identifiable error domain/code that gets propagated
    through the stack, but that would have to be done individually
    per-backend.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/test-case.vala | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit ad92c2a3a6408db165df59a0cc183643ff3f33a3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Mar 24 12:37:53 2014 +0000

    FolksTestDBus: flush and close connection before disposing of it

    g_dbus_connection_dispose() sets connection->worker = NULL, which
    means any attempt to send a message will crash with a segfault.
    If anything still has a ref to the connection - in Folks, that's
    often a backend reffed by the IndividualAggregator - then it'll
    tend to assume that it's still usable.

    Attempts to send messages are guarded by a check whether the
    connection is closed, which we can use to avoid this.

    https://bugzilla.gnome.org/show_bug.cgi?id=726973

 tests/lib/gtestdbus.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d582273308915f171d49966b1d1ac454a72d3fa8
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 25 21:08:25 2014 +0100

    Updated Basque language

 po/eu.po | 336
 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 236 insertions(+), 100 deletions(-)

commit 766510d2ae84cd04a770626a76029447bc4cdf66
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Fri Mar 21 07:48:01 2014 +0000

    Updated Italian translation

 po/it.po | 360
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 245 insertions(+), 115 deletions(-)

commit e28adbf4955bb1ca9bcb42d65ade270cc4f60cdd
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Thu Mar 20 21:06:34 2014 +0100

    Updated Danish translation

 po/da.po | 367
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 252 insertions(+), 115 deletions(-)

commit 59d9a26b53401c81882fc81a2169f1e07316df53
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Thu Mar 20 15:13:10 2014 -0300

    Fixed EDS persona store display-name value.

    https://bugzilla.gnome.org/show_bug.cgi?id=726787

 backends/eds/lib/edsf-persona-store.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ab691d4feab030bab7d03f5f5a6f86a0cdd930d6
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Tue Mar 18 10:53:32 2014 +0000

    Updated Portuguese translation

 po/pt.po | 358
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 241 insertions(+), 117 deletions(-)

commit a07da7f2d2f741f1d789994e570a4bf999c5bab5
Author: Frédéric Péters <fpeters@0d.be>
Date:   Sat Mar 15 19:33:25 2014 +0000

    Updated French translation

 po/fr.po | 475
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 316 insertions(+), 159 deletions(-)

commit 24695ce215dcc5a9945b6d4c8eca5909e2ef554a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Mar 14 12:37:01 2014 +0000

    build: Fix documentation build for the dummy backend

    This was inadvertently broken by commit
    77d39108cc912ab3926357b5dedbe19e0a3f921a. Whoops.

 docs/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 90055ae5d0322efd18a8e903bcaab88b28ff1c40
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Thu Mar 13 01:16:34 2014 +0900

    Updated Korean translation

 po/ko.po | 370
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 246 insertions(+), 124 deletions(-)

commit 77d39108cc912ab3926357b5dedbe19e0a3f921a
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Fri Jan 24 05:38:00 2014 -0300

    dummy: Add Folks.DummyPersona.update_linkable_properties()

    Allow the linkable properties of a dummy persona to be edited. This
    includes a unit test.

    New API:
     • Folks.DummyPersona.update_linkable_properties()

    https://bugzilla.gnome.org/show_bug.cgi?id=722892

 NEWS                                       |   1 +
 backends/dummy/lib/dummy-full-persona.vala |  15 +-
 backends/dummy/lib/dummy-persona.vala      |  30 +++-
 tests/dummy/Makefile.am                    |   5 +
 tests/dummy/linkable-properties.vala       | 275
 +++++++++++++++++++++++++++++
 5 files changed, 323 insertions(+), 3 deletions(-)

commit 952389b11df1e2df646fc3f2e2d0432d8e1bca2d
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Mon Mar 10 21:25:54 2014 +0400

    Updated Russian translation

 po/ru.po | 342
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 236 insertions(+), 106 deletions(-)

commit 9d42bf02df1c530891bd7476c3d5a508589dbb3f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Mar 8 16:35:51 2014 +0200

    Updated Latvian translation

 po/lv.po | 353
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 238 insertions(+), 115 deletions(-)

commit e42d2a6ac717cb1f5fd0b506c33f04b43a63c6e2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Mar 5 23:18:36 2014 +0000

    docs: Fix incorrect @since lines in documentation comments

 backends/eds/lib/edsf-persona.vala | 2 +-
 folks/anti-linkable.vala           | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8dccb393e1a46c28af7161b003695a3b3c231b24
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Mon Feb 10 15:03:08 2014 -0300

    core: Implement global anti-link functionality

    You can use this functionality to block a person to get linked
    with any other person.

    https://bugzilla.gnome.org/show_bug.cgi?id=724058

 folks/anti-linkable.vala | 70
 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 69 insertions(+), 1 deletion(-)

commit bc989fdb27d0c782cf2f85dfbba1de72490e9ffc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Mar 5 18:15:13 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 340
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 226 insertions(+), 114 deletions(-)

commit 87e037787476ba645ced4b8d6a406b32f7dbfae0
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Thu Feb 20 18:21:27 2014 -0300

    Replaced use of EVCard.remove_attribute to EVCard.remove_attributes.

    https://bugzilla.gnome.org/show_bug.cgi?id=724809

 NEWS                                     |  1 +
 backends/eds/lib/edsf-persona-store.vala | 14 +++++---------
 2 files changed, 6 insertions(+), 9 deletions(-)

commit 9685842537243b5086aaf7353280aef248e10488
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Feb 18 08:16:25 2014 +0000

    build: Fix test library build

    Apparently my build environment *wasn’t* clean when I tested the
    stuff I
    pushed at the weekend, even though I definitely cleaned it a few
    times.
    Aaargh.

    https://bugzilla.gnome.org/show_bug.cgi?id=724591

 tests/lib/Makefile.am              | 2 +-
 tests/lib/dummy/Makefile.am        | 1 +
 tests/lib/eds/Makefile.am          | 1 +
 tests/lib/folks-test-dbus.vapi     | 4 +++-
 tests/lib/key-file/Makefile.am     | 1 +
 tests/lib/libsocialweb/Makefile.am | 1 +
 tests/lib/telepathy/Makefile.am    | 1 +
 tests/lib/tracker/Makefile.am      | 1 +
 tests/test.mk                      | 1 +
 9 files changed, 11 insertions(+), 2 deletions(-)

commit fdd023596ef123e3e22a330e4fd215ace63c8f7f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 22:51:32 2014 +0000

    eds: Don’t warn if trying to close an already closed connection

 backends/eds/lib/edsf-persona-store.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a92acd8a9ff837df5636fa9f7e9cf09d6c2d3e15
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 22:50:56 2014 +0000

    eds: Fix incorrect removal of elements of a read-only libgee
    collection

    The .remove() calls would hit an assert_not_reached() in
    libgee. Remove
    from the MapIterator instead.

 backends/eds/eds-backend.vala | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit bdd4d235def0c2662e125aaa4ed4b77d2dad14e6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Nov 19 00:35:49 2013 +0000

    tracker: Don’t warn if prepare() fails due to the bus disappearing

    This is not an uncommon occurrence during the unit tests. It doesn’t
    deserve a warning.

 backends/tracker/lib/trf-persona-store.vala | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit ecfe72ef925a9e561d9a6c94ba7bac12eede550e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Nov 19 00:33:29 2013 +0000

    tracker: Move with-session-bus-tracker.sh into test-case.vala

    Eliminate the last bits of shell scripting from the test
    suites. Instead
    of starting and stopping the Tracker services through tracker-control,
    the Tracker services are now started through D-Bus activation, and die
    when the mock D-Bus bus is destroyed.

 tests/lib/eds/test-case.vala            |   2 +-
 tests/lib/telepathy/Makefile.am         |   8 +++
 tests/lib/test-case.vala                |   6 +-
 tests/lib/tracker/test-case.vala        |  66 +++++++++++++-----
 tests/tools/Makefile.am                 |   4 --
 tests/tools/dbus-session.sh             | 119
 --------------------------------
 tests/tools/tracker.sh                  |  34 ---------
 tests/tools/with-session-bus-tracker.sh |  48 -------------
 tests/tools/with-session-bus.sh         |  42 -----------
 tests/tracker/Makefile.am               |  11 ---
 10 files changed, 57 insertions(+), 283 deletions(-)

commit 919a6dc73ed9717f5d2696dcf1d753cb5a789851
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Nov 18 23:41:42 2013 +0000

    tests: Remove redundant execute-test.sh script

    It was used to redirect verbose logging output to a log file,
    but automake
    1.11 does that automatically now with its parallel test framework
    (which
    folks has enabled).

 HACKING                                 |  5 +++--
 check.mk                                |  1 -
 tests/folks/Makefile.am                 |  4 ----
 tests/lib/telepathy/test-case.vala      |  5 +++++
 tests/libsocialweb/Makefile.am          |  4 ----
 tests/telepathy/Makefile.am             |  5 -----
 tests/tools/Makefile.am                 |  1 -
 tests/tools/execute-test.sh             | 30
 ------------------------------
 tests/tools/with-session-bus-tracker.sh |  2 +-
 tests/tools/with-session-bus.sh         |  2 +-
 10 files changed, 10 insertions(+), 49 deletions(-)

commit 3acaaeeb997f1240011806fabda95c17cbe0df1a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Nov 18 23:24:27 2013 +0000

    eds: Move with-session-bus-eds.sh into test-case.vala

    Eliminate some more of the shell scripting which plagues our test
    cases.
    This wipes up to 2s off the startup time for the EDS tests (which was
    previously hard-coded to spend waiting for the EDS processes to
    start up;
    now the processes are started through D-Bus service activation,
    so we only
    wait as long as necessary).

 tests/eds/Makefile.am                      | 12 ----
 tests/eds/helper-create-many-contacts.vala |  2 +-
 tests/eds/helper-delete-contacts.vala      |  2 +-
 tests/eds/helper-prepare-aggregator.vala   |  2 +-
 tests/lib/eds/test-case.vala               | 94
 +++++++++++++++++++++++++-----
 tests/tools/Makefile.am                    |  2 -
 tests/tools/eds.sh                         | 35 -----------
 tests/tools/with-session-bus-eds.sh        | 49 ----------------
 8 files changed, 82 insertions(+), 116 deletions(-)

commit 336b51e55633b9791b1bfc903bb40b48b2fa5b81
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 27 13:58:03 2013 +0000

    tests: Add a function for asserting persona changes in an aggregator

    This allows asserting that certain personas are added to an
    aggregator,
    or are removed from the aggregator. It will be useful for testing the
    behaviour of individual PersonaStores.

 tests/lib/test-utils.vala | 92
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 92 insertions(+)

commit 9e0bc6144ed28686055baabccf53c4d9295ef852
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 27 13:51:09 2013 +0000

    bluez: Set the alias and trust level when first adding a persona store

 backends/bluez/bluez-backend.vala       | 4 ++++
 backends/bluez/bluez-persona-store.vala | 2 ++
 2 files changed, 6 insertions(+)

commit 3513c3779a96a858642731e0b23bd9c106a90e60
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 27 11:48:17 2013 +0000

    tests: Unconditionally enable verbose debugging output from tests

    Since we now require the automake-1.12 parallel test harness, we can
    take advantage of the fact that it only outputs tests’ debug spew if
    they fail. That means tests can now unconditionally output everything,
    which should simplify debugging.

 tests/lib/test-case.vala | 7 +++++++
 1 file changed, 7 insertions(+)

commit 28821702af19b6ff65aeb18f5514d34d10b00f29
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 27 11:43:49 2013 +0000

    core: Add an IndividualAggregator.backend_store property

    This is a simple construct-only getter convenience property. It tidies
    up IndividualAggregator construction a little, and allows runtime
    access
    to the BackendStore without having to have explicitly constructed it
    before the aggregator.

 NEWS                             |  1 +
 folks/individual-aggregator.vala | 19 +++++++++++++------
 2 files changed, 14 insertions(+), 6 deletions(-)

commit ffea2730dc983d8acaf8b4e29fdb1a5c23925a12
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 15 11:30:40 2013 +0000

    eds: Remove redundant variable assignment

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/eds/lib/edsf-persona.vala | 1 -
 1 file changed, 1 deletion(-)

commit f36c4b74355132bb6c46aa7bf06a2f2d7bfbefbf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 15 11:29:02 2013 +0000

    bluez: Allow persona store update poll frequency to be modified

    For unit testing, it’s nice to not have to wait 5s between polled
    updates of the BlueZ persona store. Add a new environment variable,
    FOLKS_BLUEZ_TIMEOUT_DIVISOR, which allows the poll frequency to be
    divided by the specified amount.

    This should speed up the unit tests 100×.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-persona-store.vala | 32
 +++++++++++++++++++++++++++++---
 1 file changed, 29 insertions(+), 3 deletions(-)

commit 0f398ab516bb662727242a753f7fd0ac4a6eb123
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 15 11:27:23 2013 +0000

    bluez: Correctly handle OBEX transfers which take zero time

    If an OBEX transfer takes zero time (say, in an ideal world or,
    perhaps,
    in a unit test) the transfer Status property will start out as
    ‘complete’ and never change. Previously, completed transfers
    were only
    detected on receipt of a property change notification which, in this
    situation, never came. Now, the initial value of the Status
    property is
    also checked.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-persona-store.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit e054d029bec2af3f1e744cd407ea073df627fe32
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 15 11:26:49 2013 +0000

    bluez: Don’t warn if removing an OBEX session fails due to
    cancellation

    Or due to the connection being closed.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-persona-store.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 34bb16686f4016053cffa7b940a47e404b2d03df
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 15 11:22:54 2013 +0000

    bluez: Calculate Persona IID checksums without the vCard PHOTO
    attribute

    Persona IIDs can come from two places:
     • the vCard UID attribute (preferred); or
     • a checksum of the vCard’s string representation.
    Previously, the checksum was calculated over all fields in the vCard,
    which interacted very badly with download_photos mode. When
    downloading
    photos, only the PHOTO and UID attributes would be downloaded;
    otherwise, all attributes except PHOTO would be downloaded. Obviously,
    this meant that it was impossible to calculate the same checksum for a
    Persona in download_photos and non-download_photos mode. This
    meant that
    matching the photos up to the existing Personas was impossible. Sad
    times.

    Now, when in download_photos mode, download all vCard attributes
    (including the PHOTO) but calculate the IID checksum over all the
    attributes except the PHOTO. This should yield the same checksum
    as from
    non-download_photos mode, unless one of the other vCard properties has
    changed between downloads; a new checksum would be produced then,
    which
    is the expected behaviour.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-persona-store.vala | 34
 ++++++++++++++++++++++++++-------
 1 file changed, 27 insertions(+), 7 deletions(-)

commit d5a4faa0b786fb0248f05012cec8fdaabce7791d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 15 11:16:22 2013 +0000

    bluez: Reimplement vCard parsing when updating Personas

    This completely re-implements parsing of the vCards returned from the
    Bluetooth device, with the following aims:
     • Improve efficiency.
     • Correctly support multi-instance attributes (such as TEL
     and EMAIL).
     • Fix comparison of new and old values to reduce property
     notification
       spew.

    Previously, the code was calling E.VCard.get_attribute() for each
    attribute it expected, which iterates over the vCard’s entire
    attribute
    list every time. Now, the code iterates over the attribute list
    once and
    checks for the attributes it expects. This also means that unsupported
    attributes can be detected. The performance improvement from this
    should
    come from reduced iteration and better cache utilisation, although it
    has not been measured. If further performance improvements are needed,
    the attribute name strings could be interned and pointer comparisons
    used instead of lots of strcmp()s.

    The code was also previously using E.VCardAttribute.get_values()
    to get
    the values of TEL, EMAIL and URL attributes, which is incorrect, as
    those attributes are single-valued but may exist several times in the
    vCard. Consequently, the code previously only parsed the first
    telephone
    number, e-mail address and phone number in the vCard and ignored the
    rest. This has now been fixed.

    Finally, the code was doing pointer comparisons of elements in the
    phone, e-mail and URI sets, and hence was always detecting them as
    different (even if strcmp() comparison would have yielded equality).
    This was causing excess property notification spew. This has been
    fixed
    by correctly specifying the hash and equality functions to use for the
    Sets.

    Additionally, the code has been ported to use SmallSet instead of
    HashSet. The memory and performance improvements of this change
    have not
    been measured.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/Makefile.am        |   1 +
 backends/bluez/bluez-persona.vala | 305
 +++++++++++++++++++++++---------------
 2 files changed, 183 insertions(+), 123 deletions(-)

commit eb8b1ad75692316596ac8d96d8ee757139f530bf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:28:05 2013 +0000

    bluez: Fix removal of a Map element while iterating over the Map

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-backend.vala | 25 +++++++++++++++----------
 1 file changed, 15 insertions(+), 10 deletions(-)

commit f880acf39c0f396c992da70c1b6eb2b353882c1d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:22:53 2013 +0000

    bluez: Don’t warn about the store being offline

    If the Bluetooth device is disconnected by the user between updates of
    the contact metadata, the code previously printed a warning when the
    next update attempt failed. Instead, just gracefully and silently fail
    and schedule the next update.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-persona-store.vala | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 8a5f2890f4a60a9605de5624bc57a0344633684e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:20:19 2013 +0000

    bluez: Handle the optional Filename property of BlueZ

    Previously the code assumed that Filename was always set, but it’s
    actually an optional property. Gracefully handle it not existing.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-persona-store.vala | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit d1fe72ace7171f208e3886c319f5c9d84cc94835
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:19:56 2013 +0000

    bluez: Add some more debug output

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-persona-store.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 9064888b65eff3d30023bffebe5fa042a8e0369b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:08:08 2013 +0000

    core: Unprepare all backends when destroying the BackendStore

    This helps free up some reference cycles (particularly in the BlueZ
    backend) and hence ensure no memory is leaked.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 folks/backend-store.vala | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 3dbd9467780991f00eba209899fdf865141700dd
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:04:25 2013 +0000

    bluez: Remove BluezBackendFactory class

    It was utterly pointless.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/bluez-backend-factory.vala | 31
 ++++---------------------------
 1 file changed, 4 insertions(+), 27 deletions(-)

commit 6e85b2bec3ee5511d596e71438e228ce343c663a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 13:44:14 2013 +0000

    bluez: Add a test suite

    This adds a test suite for the BlueZ backend, using a python-dbusmock
    mock up of the BlueZ and OBEX D-Bus services.

    This requires the latest version of python-dbusmock, plus up-to-date
    versions of GLib and Vala for binding updates. The use of the
    second and
    third arguments to AM_PROG_VALAC in configure.ac also necessitates use
    of automake 1.12 or newer.

    Only a few test cases have been added so far, covering vCard
    parsing and
    general set up of PersonaStores. Using python-dbusmock it should
    be easy
    to add more tests covering advanced Bluetooth device
    appearance/disappearance situations in future.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 autogen.sh                            |  13 --
 configure.ac                          |  25 ++-
 tests/Makefile.am                     |   7 +
 tests/bluez/Makefile.am               |  48 ++++++
 tests/bluez/device-properties.vala    | 305
 +++++++++++++++++++++++++++++++++
 tests/bluez/individual-retrieval.vala | 232 ++++++++++++++++++++++++++
 tests/bluez/vcard-parsing.vala        | 255 ++++++++++++++++++++++++++++
 tests/lib/Makefile.am                 |   7 +
 tests/lib/bluez/Makefile.am           |  51 ++++++
 tests/lib/bluez/backend.vala          | 306
 ++++++++++++++++++++++++++++++++++
 tests/lib/bluez/test-case.vala        | 127 ++++++++++++++
 tests/lib/test-case.vala              |   3 +
 12 files changed, 1365 insertions(+), 14 deletions(-)

commit 02bf00de034ba639a5a81faf555001c084975da6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 14 08:54:25 2013 +0000

    tests: Add python-dbusmock support to the base TestCase class

    This allows derived test cases to easily use python-dbusmock to
    mock up
    D-Bus services which are used by the code under test. The derived code
    simply needs to call:
        this.create_dbusmock_service (BusType.SESSION, "org.foo", "foo")
    to allow instantiation of the ‘org.foo’ service using the
    ‘foo’
    python-dbusmock template.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 tests/lib/Makefile.am                    |   1 +
 tests/lib/org-freedesktop-dbus-mock.vala | 124
 +++++++++++++++++++++++++++++++
 tests/lib/test-case.vala                 |  84 +++++++++++++++++++++
 3 files changed, 209 insertions(+)

commit 21b7563cc4473b90028db8c77309c6b734693468
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:11:19 2013 +0000

    tests: Add support for an isolated system bus

    In addition to an isolated session bus, the tests are now run with an
    isolated system bus as well. This is needed for the BlueZ backend,
    which
    uses the org.bluez service on the system bus.

    This depends on the GLib.TestDBus changes here:
    https://bugzilla.gnome.org/show_bug.cgi?id=712148

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 tests/lib/test-case.vala | 54
 +++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 51 insertions(+), 3 deletions(-)

commit 8f88775dd35ef72c0d1f096f0e365a046baad4b3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 18:20:37 2014 +0000

    tests: Add a FOLKS_TEST_DBUS_SESSION_BUS flag

    This mirrors the FOLKS_TEST_DBUS_SYSTEM_BUS flag, and can be used
    to clarify
    which bus is expected to be created. The default behaviour (if
    FOLKS_TEST_DBUS_SYSTEM_BUS isn’t specified) is to create a
    session bus,
    however, so setting this flag isn’t at all required.

    This is a tweaked version of the patch from
    bug: https://bugzilla.gnome.org/show_bug.cgi?id=712148

 tests/lib/gtestdbus.c | 5 +++++
 tests/lib/gtestdbus.h | 4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 7301078c0934d5d931460ba7109762536d6cd328
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 18:18:29 2014 +0000

    tests: Unset the DBUS_SESSION_BUS_[PID|WINDOWID] variables

    Might as well do a complete job when unsetting environment variables
    which are associated with D-Bus.

    This is a tweaked version of the patch from
    bug: https://bugzilla.gnome.org/show_bug.cgi?id=712148

 tests/lib/gtestdbus.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit d98b0903df5a5a76e9897c1cf82f8417268cc7b8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 18:16:48 2014 +0000

    tests: Selectively unset D-Bus environment variables

    Don’t always unset all D-Bus environment variables when starting
    up or
    shutting down an isolated bus, as to do so might trample on other
    FolksTestDBus instances for other kinds of bus (e.g. session
    vs. system).

    Instead, always unset a few common environment variables (like
    DISPLAY),
    but only unset the DBUS_*_BUS_ADDRESS variable corresponding to
    the type
    of bus being start up or shut down.

    This is a tweaked version of the patch from
    bug: https://bugzilla.gnome.org/show_bug.cgi?id=712148

 tests/lib/gtestdbus.c | 58
 +++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 52 insertions(+), 6 deletions(-)

commit 497be9584b3336eab3e0b4eef1cc6affde2c2633
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 18:12:52 2014 +0000

    tests: Add support for starting isolated system buses

    Add a new FOLKS_TEST_DBUS_SYSTEM_BUS flag which can be passed to
    folks_test_dbus_new() to create a system bus instead of a session
    bus. This
    handles setting the correct environment variables, and ensures
    that the
    bus’ security policy is completely permissive.

    This is a tweaked version of the patch from
    bug: https://bugzilla.gnome.org/show_bug.cgi?id=712148

 tests/lib/gtestdbus.c | 61
 +++++++++++++++++++++++++++++++++++++++------------
 tests/lib/gtestdbus.h |  6 +++--
 2 files changed, 51 insertions(+), 16 deletions(-)

commit 104c4e596465af838c3509eb967d252f5af4cc88
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 18:04:17 2014 +0000

    tests: Switch from GTestDBus to FolksTestDBus

    The functionality should be equivalent at this point.

 tests/lib/test-case.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 362de38b3ff0bed45f7554cf0ae59a7ebce83bf1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 17:17:25 2014 +0000

    tests: Fix build errors in gtestdbus.c

    This changes the pristine GLib-copied version of the file to something
    which compiles locally, and renames it to FolksTestDBus.

 tests/lib/Makefile.am          |    3 +-
 tests/lib/folks-test-dbus.vapi |   50 ++
 tests/lib/gioenums.h           | 1763
 ----------------------------------------
 tests/lib/giotypes.h           |  535 ------------
 tests/lib/gtestdbus.c          |  226 ++---
 tests/lib/gtestdbus.h          |   62 +-
 6 files changed, 210 insertions(+), 2429 deletions(-)

commit b21c68a2860fbbff1b3387cd81f896c11c772e2a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 17:12:30 2014 +0000

    tests: Add private copy of GTestDBus

    This is due to the suggested deprecation of GTestDBus, and the refusal
    of upstream to accept patches which add system bus support. Those
    patches are a requirement for folks to use GTestDBus to test its BlueZ
    backend.

    Ideally, folks could be ported to some other D-Bus mocking framework,
    but a lot of work has been invested in the GTestDBus approach,
    and it’s
    currently bit rotting something horrible. I just don’t have time
    at the
    moment to port it all over to something else; so copying the GTestDBus
    sources locally and modifying them is the most pragmatic approach.

    gtestdbus.[ch] are licensed under LGPLv2.1+ (same as libfolks),
    and the
    copyright is held by:
     • Copyright © 2008–2010 Red Hat, Inc.
     • Copyright © 2012 Collabora Ltd.
    Authors:
     • David Zeuthen <davidz@redhat.com>
     • Xavier Claessens <xavier.claessens@collabora.co.uk>

 tests/lib/Makefile.am |    3 +
 tests/lib/gioenums.h  | 1763
 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/lib/giotypes.h  |  535 +++++++++++++++
 tests/lib/gtestdbus.c |  833 +++++++++++++++++++++++
 tests/lib/gtestdbus.h |   72 ++
 5 files changed, 3206 insertions(+)

commit 7d45d5297adafe3cfc16f3229c6dce1392a20fa5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 16 16:25:07 2014 +0000

    eds: Add debugging information to
    PersonaStore._commit_modified_property()

 backends/eds/lib/edsf-persona-store.vala | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 9f2d893a27e98bc9335ebf8b65da8360f0170805
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Feb 13 21:59:49 2014 -0500

    vala.m4: don't keep generated files in git

    This is automatically taken during autogen from the vala install.
    This
    file was recently updated and having our own copy prevents the updated
    version from being used.

    https://bugzilla.gnome.org/show_bug.cgi?id=724339

 NEWS       |  1 +
 m4/vala.m4 | 70
 --------------------------------------------------------------
 2 files changed, 1 insertion(+), 70 deletions(-)

commit 30246de72061bb8ade42ddca58d58dcc42c9f8ca
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Feb 11 21:58:52 2014 +0000

    tests: Comment out an overly-stringent assert in
    standalone-individuals

    As described in the comment added to the test, the core of folks
    needs a
    bit of in-depth work to make the behaviour do what the test expects.
    This work needs to be done at some point, but I don’t have time
    for it
    now.

    https://bugzilla.gnome.org/show_bug.cgi?id=723540

 NEWS                                    | 1 +
 tests/folks/standalone-individuals.vala | 9 ++++++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 97a79409d59c77453b3a217761cf07824acb242c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Feb 11 20:24:16 2014 +0000

    build: Update git.mk from upstream

 git.mk | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit c752e88b77e40ab00eff7ed39f8839da19e851de
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Tue Feb 4 14:15:57 2014 +0530

    updated kn.po

 po/kn.po | 126
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 63 insertions(+), 63 deletions(-)

commit 26d59c77ed89a3384ae4f2eb5e935cab3cdb6912
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 1 06:54:43 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 320
 +++++++++++++++++++++++++++++++++++++++-------------------
 po/zh_TW.po | 326
 +++++++++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 438 insertions(+), 208 deletions(-)

commit 8d17efeb1f750dc9e6ae21993c50ed254c8972b5
Author: Renato Araujo Oliveira Filho <renato.filho@canonical.com>
Date:   Tue Jan 28 17:23:53 2014 -0300

    eds: Add a extra parameter on IM fields created based on e-mail
    address

    https://bugzilla.gnome.org/show_bug.cgi?id=723187

 backends/eds/lib/edsf-persona.vala | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit eac52ef741bade059d077bd149889accb40ab2af
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Jan 30 07:49:29 2014 +0000

    core: Don’t warn if a D-Bus service is missing

    If a backend fails to start because a D-Bus service is missing,
    don’t
    spew a warning into stderr. It probably means that the user is running
    folks from git and has more development packages installed than
    services
    running. Or it means that a distro packager has built too many
    backends
    by default, rather than packaging them up separately and adding
    dependencies on the relevant D-Bus packages.

    In any case, it’s irrelevant, unnecessary debug spew.

 folks/backend-store.vala | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit c9a9472927a274ab945535130a52f55fd8781388
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jan 29 11:12:31 2014 +0000

    backends: Fix calls to ImDetails.normalise_im_address()

    Newer versions of the Vala compiler have got stricter about
    unnecessary
    (owned) transfer annotations. Folks had some unnecessary ones, which
    have now been removed. This shouldn’t affect compilation with older
    versions of Vala, though this is untested.

    https://bugzilla.gnome.org/show_bug.cgi?id=723054

 NEWS                                       | 2 ++
 backends/eds/lib/edsf-persona.vala         | 4 ++--
 backends/libsocialweb/lib/swf-persona.vala | 5 ++---
 backends/tracker/lib/trf-persona.vala      | 5 ++---
 4 files changed, 8 insertions(+), 8 deletions(-)

commit c505430080462d9febb303aaf49193291de91d52
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jan 17 22:45:13 2014 +0000

    core: Document that PersonaStore.trust_level must not be set by
    clients

    It’s effectively internal API, and is only exposed publicly due
    to me
    foolishly not making it abstract when first implementing it.

    https://bugzilla.gnome.org/show_bug.cgi?id=722421

 folks/persona-store.vala | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 5e1cd45b89bdcf2c87de2432a8e203906dc64b33
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jan 17 22:45:01 2014 +0000

    core: Remove trailing whitespace

 folks/persona-store.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6bd4eadc4fe674ba2a8e1079641aa47e20094a9f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jan 17 22:41:22 2014 +0000

    docs: Update NEWS with recent changes

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 6ec9f9e32681e6b2bfe2b562d8ebae2ab5dc41ad
Author: Ting-Wei Lan <lantw44@gmail.com>
Date:   Thu Jan 16 22:56:59 2014 +0000

    tests: Add missing return value to function precondition

    https://bugzilla.gnome.org/show_bug.cgi?id=722335

 tests/lib/test-case-helper.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac6c0df4320c5b653f158a94cef7b21e22c99c4f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jan 10 17:57:14 2014 +0000

    docs: Document workarounds for D-Bus problems with folks and JHBuild

    jwendell was experiencing them and it was discussed briefly on IRC.

 HACKING | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit e758f59168262cb1fea3b539c3676fdf0bbbddf6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jan 8 18:45:13 2014 +0000

    telepathy: Fix nullability of a function parameter

    GBusNameVanishedCallbacks can legitimately have a NULL GDBusConnection
    pointer passed to them. If the formal parameter isn’t marked as
    nullable, Vala inserts an assertion which then fails and crashes.

 backends/telepathy/lib/tpf-logger.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 615a58a34693e9c04b9521960f50856fdcb6b98e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jan 8 18:43:00 2014 +0000

    build: Don’t link backend libraries with libfolks-internal.la helper

    Because libfolks-internal.la is a libtool helper library, and is never
    actually installed, it gets statically linked into each backend. This
    means that the GObject types in it (such as FolksSmallSet) get
    duplicated between libfolks.so and each backend. This causes GObject
    errors when the backends are loaded and attempt to re-register types
    which already exist.

    This is a partial revert of commits:
     • 150858a0237291d8269d222defcb82f54c1125cf
     • ef76b7cacb5cfdf7963e5c2a2fe3bc8c1c97838e

 backends/backend-library.mk | 1 -
 1 file changed, 1 deletion(-)

commit 0bdce574c45dd957ff3f25832136c6c57aea63ed
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 10:17:44 2013 +0000

    eds: Remove unused variable

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/eds/lib/edsf-persona.vala | 4 ----
 1 file changed, 4 deletions(-)

commit f98693a07d36ebf5d0d84dd6a40229c170364734
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:21:08 2013 +0000

    bluez: Don’t block on cleanup finishing when updating contacts

    This speeds up updating the contacts, and also elimates the
    possibility
    of Vala’s async state machine getting into an illegal state, which
    somehow happened before.

    https://bugzilla.gnome.org/show_bug.cgi?id=711827

 backends/bluez/bluez-persona-store.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c83bddc2bf5a31c3e864091b92ae00b39afef535
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 13 16:06:34 2013 +0000

    bluez: Eliminate a reflexive reference in Bluez.PersonaStore

    Since the persona store is always scheduling the next update,
    it always
    holds a reference to itself in the timeout closure, which is
    unavoidable. Add a cancel_updates() internal method which can
    be called
    by the Backend to break this reflexive reference and allow the
    store to
    be finalised.

    https://bugzilla.gnome.org/show_bug.cgi?id=711827

 backends/bluez/bluez-backend.vala       |  4 ++++
 backends/bluez/bluez-persona-store.vala | 29
 ++++++++++++++++++++++-------
 2 files changed, 26 insertions(+), 7 deletions(-)

commit 3439f37b9f8f00d04376195103f0242ecfd4f2e0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 09:34:39 2013 +0000

    bluez: Implement periodic refreshes of the persona store from
    the phone

    This implements two major changes:
     • Downloading contacts now happens in two phases. In the first
     phase, only
       textual properties are downloaded (not contact photos). This
       is fast,
       taking only a few seconds to download several hundred contacts over
       Bluetooth. In the second phase, contact photos are downloaded
       in the
       background and personas are updated to use them.
     • Contacts are periodically re-downloaded on an exponential timeout
       leading to a linear region. This keeps the persona store
       up-to-date with
       changes in the phone’s address book.

    For full details, see the documentation on
    BlueZ.PersonaStore._schedule_update_contacts().

    https://bugzilla.gnome.org/show_bug.cgi?id=711827

 backends/bluez/bluez-persona-store.vala | 212
 ++++++++++++++++++++++++++++----
 backends/bluez/bluez-persona.vala       |  14 ++-
 2 files changed, 202 insertions(+), 24 deletions(-)

commit ab765424681093e22b34ef44bda4b27b42177a01
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 08:19:29 2013 +0000

    bluez: Support updating contacts instead of replacing them when
    re-querying

    When downloading the contact list over PBAP for anything other
    than the
    first time, support updating the properties of existing personas,
    rather
    than replacing them all wholesale. This is a step on the way towards
    supporting periodic refreshes of the contact list.

    https://bugzilla.gnome.org/show_bug.cgi?id=711827

 backends/bluez/bluez-persona-store.vala |  79 +++++++++++++++--
 backends/bluez/bluez-persona.vala       | 151
 +++++++++++++++++++++++++-------
 2 files changed, 191 insertions(+), 39 deletions(-)

commit 1652c7b5d33791076bbc18a7196ada9fe77784dc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 08:17:04 2013 +0000

    core: Tighten up definition of Persona.display_id to ensure it’s
    unique

    It is defined as being unique, so cannot be a human-readable full
    name,
    since those can be non-unique. Update the EDS, oFono and Tracker
    backends to
    use their persona IIDs as display IDs, instead full names. This
    isn’t an
    API break, as the API was always documented as being unique.

    https://bugzilla.gnome.org/show_bug.cgi?id=711827

 backends/bluez/bluez-persona.vala     | 19 +++++--------------
 backends/eds/lib/edsf-persona.vala    |  4 +++-
 backends/ofono/ofono-persona.vala     |  4 +++-
 backends/tracker/lib/trf-persona.vala | 11 +++--------
 folks/persona.vala                    |  4 +++-
 5 files changed, 17 insertions(+), 25 deletions(-)

commit 0d05c5651fdd5118e3de53de6024d38adac8cb98
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 8 13:20:21 2013 +0000

    bluez: Remove unnecessary OBEX List() D-Bus call

    It returns a mapping of VCF filenames to contact full names, which we
    already have from the full VCF file. Minor performance improvement
    (although I haven’t profiled it).

    https://bugzilla.gnome.org/show_bug.cgi?id=711827

 backends/bluez/bluez-persona-store.vala | 54
 ++++++++-------------------------
 backends/bluez/bluez-persona.vala       | 22 +++++++++-----
 2 files changed, 28 insertions(+), 48 deletions(-)

commit 5c2424a275bc344ee9a4554df46f47185462b2a2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 30 11:51:50 2013 +0100

    Updated Spanish translation

 po/es.po | 154
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 90 insertions(+), 64 deletions(-)

commit a99525dbc08d64665fd7e430846ca51d80028562
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Dec 30 00:24:28 2013 +0100

    Updated Galician translations

 po/gl.po | 144
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 76 insertions(+), 68 deletions(-)

commit e96736f1c4081283d054a28cf99a377967dba5ca
Author: Benjamin Steinwender <b@stbe.at>
Date:   Sat Dec 28 12:15:41 2013 +0100

    Updated German translation

 po/de.po | 108
 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 75 insertions(+), 33 deletions(-)

commit ef76b7cacb5cfdf7963e5c2a2fe3bc8c1c97838e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Dec 23 12:02:05 2013 -0800

    build: Only link the "endpoint" backend libraries against
    libfolks-internal

    This fixes a build-breaking bug introduced in commit 150858a023

 backends/backend-library.mk | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4e681e5c78aabf43fbd197dc914b7257680a7233
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Dec 23 12:00:57 2013 -0800

    Don't doubly-link libfolks-dummy against libfolks-internal

 backends/dummy/lib/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit f60a2ba1c75449b031db8ca6fd52b1a4eb35cb5a
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Dec 23 09:22:34 2013 +0200

    Updated Greek translation

 po/el.po | 74
 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 49 insertions(+), 25 deletions(-)

commit 614ea11ec0b70bd62e7ecc2bc47d850665480b42
Author: 甘 露 <rhythm.gan@gmail.com>
Date:   Sun Dec 22 16:55:33 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 02d8bf4af0c7ee4fc1887321035801b456e53f90
Author: 甘 露 <rhythm.gan@gmail.com>
Date:   Sun Dec 22 16:49:02 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 331
 +++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 237 insertions(+), 94 deletions(-)

commit 91485c34f231615412b054f89c63f9be09198457
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Dec 21 22:31:38 2013 +0100

    Updated Slovenian translation

 po/sl.po | 175
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 118 insertions(+), 57 deletions(-)

commit 32b5227777886bfa580f64db93d8a39d882caf8c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 20 17:13:41 2013 +0000

    ofono: Fix translatable strings spanning multiple lines

    Follow-up from commit 983bb285a223f834092a21098801c850cf9b256a.

    https://bugzilla.gnome.org/show_bug.cgi?id=720707

 backends/ofono/ofono-backend.vala | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 521b2635b09cc4b84536efdd7e22a0771083c814
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 20 17:07:30 2013 +0000

    bluez: Implement [enable|disable]_persona_store()

    Disable all persona stores by default in the BlueZ backend, since they
    should only be connected to when explicitly requested by the
    user. This
    can only be programmatically achieved at the moment by calling
    bluez_backend.set_persona_stores(["00:11:22:33:44:55"]), where the
    string is the Bluetooth address of the phone to enable. (Multiple
    phones
    may be specified.)

    This is a partial solution to the problem. A complete solution would
    involve creating PersonaStores for all eligible Bluetooth devices,
    then
    only allowing prepare() on the ones which are enabled by the user.
    That’s still under discussion in the bug; this is an interim fix to
    ensure folks doesn’t continually cause “do you want to allow your
    computer access to this phone’s address book” messages to pop
    up on
    people’s phones.

    https://bugzilla.gnome.org/show_bug.cgi?id=720274

 backends/bluez/bluez-backend.vala | 119
 ++++++++++++++++++++++++++++++--------
 1 file changed, 95 insertions(+), 24 deletions(-)

commit 150858a0237291d8269d222defcb82f54c1125cf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 20 17:07:00 2013 +0000

    build: Ensure backends correctly link to internal folks libraries

 backends/backend-library.mk | 1 +
 backends/backend.mk         | 1 +
 2 files changed, 2 insertions(+)

commit 875018ca1eb555ff8e7bc01f41f1110d91b29de1
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Dec 20 22:58:54 2013 +0700

    Updated Indonesian translation

 po/id.po | 47 +++++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 22 deletions(-)

commit 983bb285a223f834092a21098801c850cf9b256a
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Dec 20 14:42:26 2013 +0000

    bluez: Fix translatable strings spanning multiple lines

    gettext versions older than 0.18.3 don’t support multi-line
    translatable
    strings in Vala source code. Rather than bumping the gettext version,
    don’t split the strings.

    In future, the gettext dependency can be bumped to 0.18.3 and the
    strings can be line-wrapped again.

    https://bugzilla.gnome.org/show_bug.cgi?id=720707

 NEWS                                    |  1 +
 backends/bluez/bluez-backend.vala       |  8 ++------
 backends/bluez/bluez-persona-store.vala | 25 +++++++++++--------------
 3 files changed, 14 insertions(+), 20 deletions(-)

commit 2621e4b045b0b0b20a02caf3cf8e1a1abcfed6b4
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Fri Dec 20 08:35:23 2013 +0100

    Updated German translation

 po/de.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9ac6b3d5c1222ef744294da6c7e116f2e0b44f30
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Fri Dec 20 00:27:21 2013 +0100

    Updated German translation

 po/de.po | 350
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 228 insertions(+), 122 deletions(-)

commit 9d378f21164cb3188e7dfb43ddf371aeeead06fb
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Dec 19 18:08:08 2013 +0100

    Updated Galician translations

 po/gl.po | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit f570c68dc226736723e409b840406b31ea0bbb61
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 19 14:35:44 2013 +0100

    Updated Spanish translation

 po/es.po | 138
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 74 insertions(+), 64 deletions(-)

commit eb323b01b02d791225efb3bca8d1993f07fe2318
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Dec 18 23:32:27 2013 +0100

    Updated Galician translations

 po/gl.po | 153
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 74 insertions(+), 79 deletions(-)

commit 3eb474fe0dc4925f56d75569df3fc29dfb56cffc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 28 17:12:59 2013 +0000

    backends: Add [freeze|thaw]_notify() calls to [un]prepare()
    in backends

    Reduce signal duplication. Inspired by the dummy backend.

 backends/bluez/bluez-backend.vala     | 2 ++
 backends/eds/eds-backend.vala         | 4 ++++
 backends/key-file/kf-backend.vala     | 4 ++++
 backends/libsocialweb/sw-backend.vala | 5 +++++
 backends/ofono/ofono-backend.vala     | 8 ++++----
 backends/telepathy/tp-backend.vala    | 5 +++++
 backends/tracker/tr-backend.vala      | 4 ++++
 7 files changed, 28 insertions(+), 4 deletions(-)

commit e0e767505e23561aba924bee4d23f832780f07d8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 21 19:46:51 2013 +0000

    tests: Add a standalone-individuals test program

    This contains a few test cases which check folks’ behaviour when
    manually creating Individuals *outside* an IndividualAggregator. These
    should catch the problems found in the following two bugs:
     • https://bugzilla.redhat.com/show_bug.cgi?id=1031252
     • https://bugzilla.gnome.org/show_bug.cgi?id=712839
    and hopefully fixed by commits:
     • f00534294d7d52ac7e37dfaa075e3465b7755483
     • 1ec050efc4f7135e9958c74da2028daf669077a0

    https://bugzilla.gnome.org/show_bug.cgi?id=648811

 tests/folks/Makefile.am                 |   5 ++
 tests/folks/standalone-individuals.vala | 153
 ++++++++++++++++++++++++++++++++
 tests/test.mk                           |   5 ++
 3 files changed, 163 insertions(+)

commit 3a63de91648c822306df37e3b88285da8e28f057
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 10:26:02 2013 +0000

    dummy: Add a dummy backend

    This is a new backend targeted at making libfolks more testable. It is
    designed to be used in internal libfolks unit tests, allowing the test
    driver code to manipulate the backing store state to test how that
    affects front-end state in libfolks. For example, it will be useful in
    more thoroughly testing the IndividualAggregator.

    It includes work by Renato Araujo Oliveira Filho <renatox@gmail.com>.

    The backend may also be useful for testing libfolks clients,
    such as contacts UIs, by providing an easy way to create well-known
    personas to appear in the the UI. Hence, it is an installed backend,
    and
    is loaded by default (although creates no Backend or PersonaStore
    instances
    unless API calls are made).

    It is designed to allow delay and error injection into all major
    PersonaStore operations, and to allow any kind of Persona
    implementation
    to be returned from the store.

    It includes a few small test cases to sanity-check that the backend
    works, but no thorough self-test-coverage.

    Full API documentation is included and installed by default. The
    API is
    not currently stable, so while external projects may start to consume
    it, they should be prepared for breakage in the future as the API
    stabilises. No timescale is given for such stabilisation.

    This commit does not include any changes to the core libfolks unit
    tests, but future changes could be made to port them to use the dummy
    backend.

    New API:
     • libfolks-dummy.la mocking library and all its symbols

    https://bugzilla.gnome.org/show_bug.cgi?id=648811

 NEWS                                             |    3 +
 backends/Makefile.am                             |    2 +
 backends/dummy/Makefile.am                       |   40 +
 backends/dummy/dummy-backend-factory.vala        |   49 +
 backends/dummy/lib/Makefile.am                   |   47 +
 backends/dummy/lib/dummy-backend.vala            |  394 ++++++++
 backends/dummy/lib/dummy-full-persona.vala       | 1139
 ++++++++++++++++++++++
 backends/dummy/lib/dummy-persona-store.vala      | 1079
 ++++++++++++++++++++
 backends/dummy/lib/dummy-persona.vala            |  312 ++++++
 backends/dummy/lib/folks-dummy-uninstalled.pc.in |   12 +
 backends/dummy/lib/folks-dummy.deps              |    4 +
 backends/dummy/lib/folks-dummy.pc.in             |   15 +
 configure.ac                                     |   17 +
 docs/Makefile.am                                 |   61 ++
 tests/Makefile.am                                |    2 +
 tests/dummy/Makefile.am                          |   41 +
 tests/dummy/add-persona.vala                     |  449 +++++++++
 tests/dummy/individual-retrieval.vala            |  176 ++++
 tests/lib/Makefile.am                            |    2 +
 tests/lib/dummy/Makefile.am                      |   59 ++
 tests/lib/dummy/test-case.vala                   |  141 +++
 tests/lib/test-case.vala                         |    1 +
 22 files changed, 4045 insertions(+)

commit 120252f8f8150ef593b2c70acb47dc732273eb8f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 28 16:38:29 2013 +0000

    build: Ensure the TpLowlevel GIR and typelib are cleaned properly

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 backends/telepathy/lib/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 42184a9372ed0d96d7dc07db91b8f95b8841bda2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 28 16:32:55 2013 +0000

    build: Update git.mk to fix valac-generated C header file ignores

    Update to the latest git.mk from master.

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 git.mk | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit 69b04cd358e4833f8087948f78deb2ef05867dcf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 28 16:21:47 2013 +0000

    build: Allow backend libraries to have individual API versions

    The API version is included in the GIR file name, and only changes
    when
    API is broken or removed. If new backends, such as the dummy backend,
    are to have unstable APIs, having individual versions for each backend
    library is necessary to allow backend API breaks without breaking the
    whole of the folks API.

    The API version has not been added to the VAPI file name, though it
    should, because that would be a backwards-incompatible change. It
    can be
    added when folks next breaks API compatibility.

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 backends/backend-library.mk                  | 19 ++++++++++++++++--
 backends/eds/lib/Makefile.am                 |  4 +++-
 backends/eds/lib/edsf-namespace.vala         | 30
 ----------------------------
 backends/libsocialweb/lib/Makefile.am        |  4 +++-
 backends/libsocialweb/lib/swf-namespace.vala | 30
 ----------------------------
 backends/telepathy/lib/Makefile.am           |  4 +++-
 backends/telepathy/lib/tpf-namespace.vala    | 30
 ----------------------------
 backends/tracker/lib/Makefile.am             |  4 +++-
 backends/tracker/lib/trf-namespace.vala      | 30
 ----------------------------
 configure.ac                                 |  9 +++++++++
 10 files changed, 38 insertions(+), 126 deletions(-)

commit 9864169bfd0631ca5b46eccb77c37ea6411059a1
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 28 11:40:22 2013 +0000

    build: Factor common backends/*/lib makefilery into backend-library.mk

    This simplifies and standardises the build process for the installed
    backend libraries (libfolks-eds.so and friends).

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 backends/Makefile.am                        |   5 +-
 backends/backend-library.mk                 | 178
 +++++++++++++++++++++++++++
 backends/eds/lib/Makefile.am                | 132 ++------------------
 backends/libsocialweb/lib/Makefile.am       | 126 ++-----------------
 backends/telepathy/lib/Makefile.am          | 183
 +++++-----------------------
 backends/tracker/lib/Makefile.am            | 121 +++---------------
 configure.ac                                |   1 -
 tests/lib/telepathy/contactlist/Makefile.am |   2 +-
 8 files changed, 252 insertions(+), 496 deletions(-)

commit 133a599fdf3d49497dc3b9cb12fce26b7eb76554
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 28 10:30:20 2013 +0000

    build: Minor build simplification

    No need to create a new directory variable; just use lib_LTLIBRARIES
    directly.

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 backends/eds/lib/Makefile.am          | 3 +--
 backends/libsocialweb/lib/Makefile.am | 3 +--
 backends/telepathy/lib/Makefile.am    | 3 +--
 backends/tracker/lib/Makefile.am      | 3 +--
 4 files changed, 4 insertions(+), 8 deletions(-)

commit 25996628d86d93dca1dc6300aa6b69a8d86dd4b7
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 13:51:15 2013 +0000

    build: Allow backend libraries to have separate LT versions from
    libfolks.so

    With the addition of the dummy backend, backend libraries (such as
    libfolks-dummy.so) no longer necessarily have the same stability
    guarantees
    as the core of libfolks. Consequently, they must have separate
    LT versions.

    These versions will be incremented in-line with the core LT version,
    but
    may also be incremented separately. They don’t affect whether
    libfolks will
    load a given backend module (that’s predicated on the core LT
    current
    version); merely whether client code needs to be re-linked against
    a given
    backend library due to an ABI-incompatible change in its
    backend-specific
    API.

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 backends/eds/lib/Makefile.am          |  2 +-
 backends/libsocialweb/lib/Makefile.am |  2 +-
 backends/telepathy/lib/Makefile.am    |  2 +-
 backends/tracker/lib/Makefile.am      |  2 +-
 configure.ac                          | 58
 ++++++++++++++++++++++++++++++++---
 5 files changed, 57 insertions(+), 9 deletions(-)

commit bf4f7438d124324ebbfee53e185b67f8d46a1e7e
Author: A S Alam <apreet.alam@gmail.com>
Date:   Sat Dec 7 20:41:09 2013 -0600

    update Punjabi Translation byt Alam

 po/pa.po | 336
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 232 insertions(+), 104 deletions(-)

commit 176c8855b79b598c88b7d50cf9b5e981e9806e06
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 5 23:52:13 2013 +0000

    docs: Update website links

    The website has moved to https://wiki.gnome.org/Projects/Folks.

 HACKING      | 3 ++-
 README       | 3 +--
 configure.ac | 2 +-
 folks.doap   | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit c3ace8c0f10964fd644dbaf17d54336167d1a97c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 21 20:08:55 2013 +0000

    individual: Allow Individual.id to be an empty string with no personas

    If an Individual has no Personas (as can happen when it’s just been
    constructed), document the ID as being the empty string. This is a
    special case.

    Previously, the ID defaulted to being null, which violated its
    specified
    type.

    https://bugzilla.gnome.org/show_bug.cgi?id=648811

 folks/individual.vala | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 1cff44abae96df74cb98093355ea0bddec0f1197
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 21 20:08:07 2013 +0000

    individual: Add default values for PresenceDetails properties

    If an Individual is created with no Personas (as in the
    standalone-individuals test cases), the PresenceDetails properties
    should be initialised to empty strings. They were previously
    defaulting
    to null.

    https://bugzilla.gnome.org/show_bug.cgi?id=648811

 folks/individual.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 40d27444a7585656e05ec671065b16db3b2f1b15
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 14 07:45:53 2013 +0000

    tests: Add a function for asserting personas are in an aggregator

    This will be useful for testing the behaviour of individual
    PersonaStores.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 tests/lib/test-utils.vala | 160
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 160 insertions(+)

commit 7fa70f18ab9c5e8988f6243b92c52c5d3be4cf16
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 11:02:46 2013 +0000

    build: Move backend.mk inclusions to the top of the files

    Make it more obvious, and also make it non-optional.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/bluez/Makefile.am        | 2 +-
 backends/eds/Makefile.am          | 2 +-
 backends/key-file/Makefile.am     | 2 +-
 backends/libsocialweb/Makefile.am | 2 +-
 backends/ofono/Makefile.am        | 2 +-
 backends/telepathy/Makefile.am    | 2 +-
 backends/tracker/Makefile.am      | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 43d92e79f349608bb9cee2158043bc07b50a9b27
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 10:58:41 2013 +0000

    build: Rename AM_VALAFLAGS to TARGET_VALAFLAGS in configure.ac

    Remembering to always append to AM_VALAFLAGS, rather than define
    it from
    scratch, is hard and error-prone. Simpler and more consistent to
    define a
    new variable, TARGET_VALAFLAGS, which must be manually included
    in every
    AM_VALAFLAGS or target-specific *_VALAFLAGS declaration.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 backends/backend.mk                   | 1 +
 backends/eds/lib/Makefile.am          | 1 +
 backends/libsocialweb/lib/Makefile.am | 1 +
 backends/telepathy/lib/Makefile.am    | 7 +++++--
 backends/tracker/lib/Makefile.am      | 1 +
 configure.ac                          | 6 +++---
 folks/Makefile.am                     | 2 ++
 tests/lib/Makefile.am                 | 3 ++-
 tests/lib/eds/Makefile.am             | 3 ++-
 tests/lib/key-file/Makefile.am        | 3 ++-
 tests/lib/libsocialweb/Makefile.am    | 3 ++-
 tests/lib/telepathy/Makefile.am       | 3 ++-
 tests/lib/tracker/Makefile.am         | 3 ++-
 tools/Makefile.am                     | 4 +++-
 tools/inspect/Makefile.am             | 4 +++-
 15 files changed, 32 insertions(+), 13 deletions(-)

commit 75943c1062d0af4abc60bf2d1969f4f0a4d8fb17
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 10:29:55 2013 +0000

    build: Factor common test build rules into test.mk

    Simplify the build system a little.

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 tests/Makefile.am              |  4 +++
 tests/eds/Makefile.am          | 53 ++++++++++++--------------------
 tests/folks/Makefile.am        | 67
 +++++++++++++++--------------------------
 tests/key-file/Makefile.am     | 41 ++++++++-----------------
 tests/libsocialweb/Makefile.am | 49 ++++++++++--------------------
 tests/telepathy/Makefile.am    | 68
 +++++++++++++++---------------------------
 tests/test.mk                  | 59 ++++++++++++++++++++++++++++++++++++
 tests/tracker/Makefile.am      | 47 ++++++++++-------------------
 8 files changed, 175 insertions(+), 213 deletions(-)

commit 5a38700caaad1f459274e47b27085c2809d2780e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 11 10:18:02 2013 +0000

    key-file: Add missing licencing header

    https://bugzilla.gnome.org/show_bug.cgi?id=712274

 tests/lib/key-file/backend.vala | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 44cc39bdf3e32703aed173e8b1f607fa9e33d04c
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Nov 26 10:01:03 2013 +0700

    Updated Indonesian translation

 po/id.po | 154
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 106 insertions(+), 48 deletions(-)

commit 1ec050efc4f7135e9958c74da2028daf669077a0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 21 19:43:44 2013 +0000

    individual: Remove a Persona if its ‘individual’ property changes

    As a follow-on from commit f00534294d7d52ac7e37dfaa075e3465b7755483,
    automatically remove a Persona from an Individual if the Individual
    receives a property change notification for the Persona.individual
    property.

    See: https://bugzilla.redhat.com/show_bug.cgi?id=1031252

 folks/individual.vala | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit f02e2b10c60a2fd5c82c31ef69ca96a87c7c2f9f
Author: Shantha kumar <shkumar@redhat.com>
Date:   Thu Nov 21 13:07:56 2013 +0530

    Tamil Translations Updated

 po/ta.po | 396
 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 280 insertions(+), 116 deletions(-)

commit f00534294d7d52ac7e37dfaa075e3465b7755483
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 20 13:12:11 2013 +0000

    individual: Clean up how Personas are transferred between Individuals

    Slightly improve it so that (theoretically) it’s now impossible
    for two
    Individuals to be connected to the same Persona simultaneously. Now,
    the
    old Individual will be automatically disconnected when the new
    Individual is connected.

 folks/individual.vala | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit c7318f12dede2d56c64b7e9cddc5a26b77c2c89a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 20 11:55:05 2013 +0000

    individual: Change an assertion into a warning and relax its
    conditions

    This should fix a crash (probably) caused by a Persona which is in the
    process of being moved between two Individuals emitting a property
    change notification while both Individuals are still connected to its
    ‘notify’ signal.

    This is only ‘probably’ because I can’t reproduce the problem.

    See: https://bugzilla.redhat.com/show_bug.cgi?id=1031252

 folks/individual.vala | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 956c1d2aea563e6ef8cacafbb1edebb8b8ec7d7f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Mar 19 17:59:14 2013 +0000

    Add DisconnectionQueue, which disconnects signals semi-automatically

 tests/lib/Makefile.am              |  1 +
 tests/lib/disconnection-queue.vala | 70
 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

commit ff3ebb6595730e7c1e7633369da53dfef3f161fa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Mar 19 15:22:23 2013 +0000

    Eds.Backend: use a safe remove-while-iterating pattern

    Otherwise, if we unprepare with more than 0 address books, we'll
    remove
    from a hash map while iterating over it, resulting in a crash.

 backends/eds/eds-backend.vala | 42
 +++++++++++++++++++++++-------------------
 1 file changed, 23 insertions(+), 19 deletions(-)

commit a9e15326b07b0c284d50013e220717b375521a50
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Oct 10 16:23:32 2013 -0700

    libsocialweb tests: disconnect all signals

    Patch by Simon McVittie

 tests/libsocialweb/aggregation.vala | 28 ++++++++++++++++++----------
 tests/libsocialweb/dummy-lsw.vala   | 12 ++++++++----
 2 files changed, 26 insertions(+), 14 deletions(-)

commit eb53653c3ca361666883ef029c08d8d5cdfee0f7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Nov 16 18:25:20 2013 +0100

    Updated Spanish translation

 po/es.po | 374
 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 260 insertions(+), 114 deletions(-)

commit 6b365665b76b885e3d1b614e90fba65df6567200
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Nov 15 07:53:23 2013 +0100

    Updated Czech translation

 po/cs.po | 330
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 227 insertions(+), 103 deletions(-)

commit baa553f5f496f0f7ad184adea97d41d9b7521168
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Wed Nov 13 17:19:07 2013 +0200

    Updated Greek translation

 po/el.po | 351
 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 247 insertions(+), 104 deletions(-)

commit 8180d7d24b4f7a6a506c6cd67f2a3936226c2c34
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Nov 13 23:28:02 2013 -0200

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 155
 +++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 107 insertions(+), 48 deletions(-)

commit d61f7c05acdb3a43bb89a1595487a5e613e7747a
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Nov 11 10:26:56 2013 +0100

    Updated Hungarian translation

 po/hu.po | 345
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 237 insertions(+), 108 deletions(-)

commit f19e702221b0ca1be11f91a88f854876e30ba405
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Mon Nov 11 13:32:32 2013 +0530

    Assamese translation updated

 po/as.po | 339
 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 235 insertions(+), 104 deletions(-)

commit 1972b105ba27b3edfd2d4557f4e2a60cacc3b05b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Nov 8 22:57:15 2013 +0200

    Updated Lithuanian translation

 po/lt.po | 164
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 110 insertions(+), 54 deletions(-)

commit 55846de44fcddb4654f312d4d2b22b209966ffd9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Nov 8 14:00:28 2013 +0100

    Updated Polish translation

 po/pl.po | 142
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 96 insertions(+), 46 deletions(-)

commit 83f9455ffb2e85d38bef8cabdc95f748d2c330d3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Nov 8 10:32:13 2013 +0100

    Updated Galician translations

 po/gl.po | 240
 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 174 insertions(+), 66 deletions(-)

commit d4b929e269d564b540b17fcd384cb481437c5e58
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Nov 8 08:45:34 2013 +0100

    Updated Serbian translation

 po/sr.po       | 160
 +++++++++++++++++++++++++++++++++++++++------------------
 po/sr@latin.po | 160
 +++++++++++++++++++++++++++++++++++++++------------------
 2 files changed, 222 insertions(+), 98 deletions(-)

commit f4861853833ae9f34f4238cf79ae59c2f3633c49
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 13:37:32 2013 +0000

    build: Remove unused variables from configure.ac

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit d0d94aeb5af7f5300a0dbe0eb756fd053d9e8f9f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 13:31:34 2013 +0000

    build: Update configure.ac as suggested by autoupdate

    Thanks, autoupdate.

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 configure.ac | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 8c5d7f90c1f0e872cdf25648bd721aaed90bf3b6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 13:24:32 2013 +0000

    build: Use AS_HELP_STRING instead of the deprecated AC_HELP_STRING

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 configure.ac | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 44dd8bbaadbf2e147d9ea91e64c9d527688cfc47
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 13:23:49 2013 +0000

    build: Build backend libraries before the backend modules themselves

    https://bugzilla.gnome.org/show_bug.cgi?id=711544

 backends/eds/Makefile.am          | 2 +-
 backends/libsocialweb/Makefile.am | 2 +-
 backends/telepathy/Makefile.am    | 2 +-
 backends/tracker/Makefile.am      | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit fded410fd72c290596fb2b2fb2929fa92339b1c6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jul 25 13:10:02 2012 -0600

    Bug 651672 — Individual should have a display-name property

    Based on work by Jeremy Whiting and Laurent Contzen.

    New API:
     • Individual.display_name
     • StructuredName.to_string_with_format()

    https://bugzilla.gnome.org/show_bug.cgi?id=651672

 NEWS                          |   3 +
 folks/individual.vala         | 233
 +++++++++++++++++++++++++++++++++++++++++-
 folks/name-details.vala       | 193 ++++++++++++++++++++++++++++++++--
 tests/folks/Makefile.am       |   5 +
 tests/folks/name-details.vala | 137 +++++++++++++++++++++++++
 5 files changed, 559 insertions(+), 12 deletions(-)

commit c9c428ee6713fcc40e5db636c81f2598cec572ee
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 08:40:56 2013 +0000

    core: Documentation clarifications on immutability

    Make it a little clearer which properties in PersonaStore can change,
    and when.

 folks/persona-store.vala | 28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)

commit 1493cd13e59725222fcfa5ad24e13be2b468a81a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 17:18:13 2013 +0000

    Post-release version bump

 NEWS         | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 939a104853bc5a3cf05afe2446104647c4d81406
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 16:35:08 2013 +0000

    Release version 0.9.6

 NEWS                                      |  4 +--
 backends/bluez/bluez-backend-factory.vala |  8 +++---
 backends/bluez/bluez-backend.vala         | 32 ++++++++++-----------
 backends/bluez/bluez-persona-store.vala   | 48
 +++++++++++++++----------------
 backends/bluez/bluez-persona.vala         | 24 ++++++++--------
 configure.ac                              |  8 +++---
 6 files changed, 62 insertions(+), 62 deletions(-)

commit 8fbfa165fe1f97b0dc4c9cb3145e5344229cb249
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 15:55:00 2013 +0000

    docs: Fix links in documentation comments

    This prevents valadoc throwing more of a hissy fit than usual.

 backends/eds/lib/edsf-persona-store.vala | 7 ++++---
 folks/backend.vala                       | 2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 27c7019fc0ebfdcedc58a0a1ef2c09cdcd37071c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Nov 6 16:36:20 2013 +0100

    Updated Polish translation

 po/pl.po | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit f675b4bbbf97c039fec8fed7f63f19925adc1998
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 10:59:18 2013 +0000

    tests: Add missing valgrind.mk include to test Makefile.ams

 tests/libsocialweb/Makefile.am | 1 +
 tests/tracker/Makefile.am      | 1 +
 2 files changed, 2 insertions(+)

commit b9c7ee26aeff54470beee8e90d980a11bd3a7c99
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 10:59:00 2013 +0000

    tests: Remove unused variables from Makefile.ams

 tests/eds/Makefile.am       | 4 ----
 tests/telepathy/Makefile.am | 1 -
 tests/tracker/Makefile.am   | 4 ----
 3 files changed, 9 deletions(-)

commit 8ffbdf104032df464c3bb6f65657dc80c2d81b1e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 10:21:24 2013 +0000

    eds: Remove unused -include in Makefile.am

 backends/eds/lib/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit d052041a4dd444648a708da5ecdc41f9cbbc68a4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 10:14:39 2013 +0000

    build: Add folks-internal.la to $(backend_libadd)

 backends/backend.mk | 1 +
 1 file changed, 1 insertion(+)

commit 1bcaac73f5a908e25e0c93847c04736babf3b2bc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 14:55:42 2013 +0000

    build: Drop GLib dependency to ≥ 2.38.2 (from 2.39.0)

    The GLib patches needed for the BlueZ backend to work properly
    have been
    backported to GLib 2.38, and will appear in the GLib 2.38.2 release.

    See: https://bugzilla.gnome.org/show_bug.cgi?id=710726

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c2b005182b114769a768890642d6302bd669f981
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 4 14:09:34 2013 +0000

    bluez: Prevent blocked Bluetooth devices from becoming persona stores

    If the user has explicitly blocked a Bluetooth phone from their
    laptop, they
    don’t want to try downloading contacts from it.

    https://bugzilla.gnome.org/show_bug.cgi?id=711406

 NEWS                              |  1 +
 backends/bluez/bluez-backend.vala | 21 +++++++++++++++++----
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 22cc13a4eefb5cc35d3baab23290f149e182ecca
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Nov 6 14:47:53 2013 +0000

    docs: Update NEWS with recent changes

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 5248f654d5f74b1565f485769cfc5108f2cacaa9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 4 13:42:41 2013 +0000

    ofono: Throw a useful error if prepare() fails for a missing D-Bus
    service

    Previously the error was completely unhelpful.

    https://bugzilla.gnome.org/show_bug.cgi?id=711403

 backends/ofono/ofono-backend.vala | 26 ++++++++++++++++++--------
 po/POTFILES.in                    |  1 +
 po/POTFILES.skip                  |  1 +
 3 files changed, 20 insertions(+), 8 deletions(-)

commit e49a256f89e49b1a08f04c19336bd0b18f2fe125
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Nov 4 13:41:59 2013 +0000

    core: Bless DBusError.SERVICE_UNKNOWN for D-Bus service problems
    on prepare()

    As folks acquires more D-Bus-enabled backends, we need a common
    error code
    for when the service can’t be started. In the Backend.prepare()
    documentation,
    bless DBusError.SERVICE_UNKNOWN as this error code.

    Also fix the BlueZ backend to emit it instead of a custom error code.

    https://bugzilla.gnome.org/show_bug.cgi?id=711403

 backends/bluez/bluez-backend.vala | 21 +++------------------
 folks/backend.vala                |  2 ++
 2 files changed, 5 insertions(+), 18 deletions(-)

commit 945b305c61bcd08cdd8c9120df7ed0bf285139ea
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Nov 5 08:38:49 2013 +0700

    Updated Indonesian translation

 po/id.po | 286
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 177 insertions(+), 109 deletions(-)

commit 3e5b86bd4e58da2d8f093324c7266784100d0d00
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Nov 3 17:11:07 2013 +0200

    Updated Lithuanian translation

 po/lt.po | 290
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 181 insertions(+), 109 deletions(-)

commit a700f7507bc0a976fa953159b99ec687554e8036
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Nov 3 08:48:24 2013 +0100

    Updated Serbian translation

 po/sr.po       | 287
 +++++++++++++++++++++++++++++++++++----------------------
 po/sr@latin.po | 287
 +++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 350 insertions(+), 224 deletions(-)

commit cdf212e690a99b65123ac4595b83847293403345
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Nov 2 14:41:46 2013 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5af32493f0e17146e3bb7882540edd85be096253
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Nov 2 14:08:17 2013 -0200

    Updated Brazilian Portuguese translation proofread by Enrico Nicoletto

 po/pt_BR.po | 435
 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 213 insertions(+), 222 deletions(-)

commit 008e003831a79020a6f87f189200195a90897bf2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Nov 1 19:50:54 2013 +0100

    Updated Slovenian translation

 po/sl.po | 297
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 186 insertions(+), 111 deletions(-)

commit ba8e75ef9b311eb02054cd92bfcdd4a894bdcb87
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Nov 1 16:18:34 2013 +0100

    Updated Galician translations

 po/gl.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit dd0c681dc0e51413f7cc834dbcfd41aa9f60e945
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Nov 1 11:27:42 2013 +0100

    Updated Galician translations

 po/gl.po | 271
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 163 insertions(+), 108 deletions(-)

commit f5406ec5c479871d13490e56a93de3c164e12f0c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Nov 1 00:40:53 2013 +0100

    Updated Polish translation

 po/pl.po | 290
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 182 insertions(+), 108 deletions(-)

commit 659a5c4539912bb3b31f7e55e48e6fd4215257f8
Author: Matthieu Bouron <matthieu.bouron@collabora.com>
Date:   Tue Aug 21 16:49:44 2012 +0530

    bluez: Add a Bluetooth Phonebook Access Profile backend using BlueZ 5

    This pulls contacts out of a paired Bluetooth device and dumps them in
    folks.

    No test cases are included.

    https://bugzilla.gnome.org/show_bug.cgi?id=685848

    This bumps the Vala and GLib dependencies of folks, needed for
    the following
    two fixes.
     • https://bugzilla.gnome.org/show_bug.cgi?id=710643
     • https://bugzilla.gnome.org/show_bug.cgi?id=710726

    https://bugzilla.gnome.org/show_bug.cgi?id=685848

 NEWS                                      |   5 +-
 backends/Makefile.am                      |   5 +
 backends/bluez/Makefile.am                |  41 ++
 backends/bluez/bluez-backend-factory.vala |  73 +++
 backends/bluez/bluez-backend.vala         | 636 ++++++++++++++++++++++
 backends/bluez/bluez-persona-store.vala   | 843
 ++++++++++++++++++++++++++++++
 backends/bluez/bluez-persona.vala         | 312 +++++++++++
 backends/bluez/org-bluez-obex-client.vala |  99 ++++
 backends/bluez/org-bluez.vala             | 116 ++++
 configure.ac                              |  28 +-
 folks/build-conf.vapi                     |   3 +
 po/POTFILES.in                            |   2 +
 po/POTFILES.skip                          |   2 +
 13 files changed, 2162 insertions(+), 3 deletions(-)

commit 1af18e6813cf1cb2e6319f03b7f5dd9bf22587bd
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 20:15:27 2013 +0100

    build: Fix PKG_CONFIG_PATH for calls to g-ir-scanner

    Ensure that g-ir-scanner’s PKG_CONFIG_PATH includes the build
    directory containing the generated -uninstalled.pc files for folks,
    so that the backends can link against it properly for being scanned.

    https://bugzilla.gnome.org/show_bug.cgi?id=708059

 NEWS                                        | 2 ++
 backends/eds/lib/Makefile.am                | 4 ++++
 backends/libsocialweb/lib/Makefile.am       | 4 ++++
 backends/telepathy/lib/Makefile.am          | 4 ++++
 backends/tracker/lib/Makefile.am            | 4 ++++
 configure.ac                                | 5 -----
 folks/Makefile.am                           | 4 ++++
 tests/lib/telepathy/contactlist/Makefile.am | 4 ++++
 8 files changed, 26 insertions(+), 5 deletions(-)

commit 0f43e0dc8220a3e4ce29e8f5663ce5369f39b658
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Oct 28 10:33:12 2013 +0000

    backends: Fix paths in *-uninstalled.pc.in pkg-config files

    Copy–paste errors.

 backends/eds/lib/folks-eds-uninstalled.pc.in                   | 2 +-
 backends/libsocialweb/lib/folks-libsocialweb-uninstalled.pc.in | 2 +-
 backends/tracker/lib/folks-tracker-uninstalled.pc.in           | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 1760767bfd73addf52b02063377ed921b52df09b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Oct 28 10:15:56 2013 +0000

    build: Factor common automakery out of backends’ Makefile.ams

    This makes the backends’ build process so much more consistent,
    and reduces
    a huge amount of copy–paste automakery.

 backends/Makefile.am              |  2 +
 backends/backend.mk               | 80
 +++++++++++++++++++++++++++++++++++++++
 backends/eds/Makefile.am          | 43 ++++-----------------
 backends/eds/backend.mk           |  1 -
 backends/key-file/Makefile.am     | 49 ++++++------------------
 backends/libsocialweb/Makefile.am | 49 ++++++------------------
 backends/ofono/Makefile.am        | 60 +++++++++--------------------
 backends/telepathy/Makefile.am    | 55 +++++++--------------------
 backends/tracker/Makefile.am      | 44 +++++----------------
 9 files changed, 154 insertions(+), 229 deletions(-)

commit 6cfcdc7d4aa5c7549180b2d6638c513844ab916a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Oct 28 09:53:32 2013 +0000

    backends: Remove BackendFactory classes

    They were constructed, made one method call in their constructor,
    and then
    sat there for the lifetime of the process, using a little bit of
    memory each,
    and not doing anything else.

    Instead, just add the new Backend to the BackendStore directly
    from the
    module initialiser. This cuts out a reasonable amount of generated
    C, and
    slightly reduces memory overheads. Yay!

 backends/eds/eds-backend-factory.vala         | 27
 ++++++---------------------
 backends/key-file/kf-backend-factory.vala     | 25
 ++++++-------------------
 backends/libsocialweb/sw-backend-factory.vala | 25
 ++++++-------------------
 backends/ofono/ofono-backend-factory.vala     | 23
 ++---------------------
 backends/telepathy/tp-backend-factory.vala    | 25
 ++++++-------------------
 backends/tracker/tr-backend-factory.vala      | 27
 +++++++--------------------
 6 files changed, 33 insertions(+), 119 deletions(-)

commit 92e545c90560a843bdf50b4512860bfc396939a0
Author: Renato Araujo Oliveira Filho <renatox@gmail.com>
Date:   Mon Oct 28 09:30:47 2013 +0000

    tests: Fix missing backslash in EDS tests Makefile.am

 tests/eds/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18c629cf1d40a72c5f9f04a31dbdf4a265306cd9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 18:09:50 2013 +0100

    build: Enable colourised output from GCC

    If GCC supports it, enable the -fdiagnostics-color=auto option,
    which adds
    colour to warnings and errors outputted by GCC. Enable this for
    both generated
    and non-generated C code.

    https://bugzilla.gnome.org/show_bug.cgi?id=710869

 configure.ac | 4 ++++
 1 file changed, 4 insertions(+)

commit ec466f400d79e58ac655919bf7c3047909c4aecd
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 11:50:31 2013 +0100

    build: Disable some GCC warnings for generated C code

    The GCC warning spew which results from Vala’s non-perfect
    generated C
    code is distracting and can mask genuine warnings from valac or GCC.

    This patch adds some #pragmas in warnings.h which disable as many
    of these
    warnings as possible. Unfortunately some of the warnings are for const
    qualifier discards and passing parameters of the wrong type, which
    (as far
    as I know) can’t be disabled.

    In any case, this patch eliminates GCC warnings for several C files,
    which is
    better than nothing.

    Note that warnings.h should only be included in build targets
    which compile
    only Vala, and don’t compile any non-generated C code. Non-generated
    C code
    should always be compiled with all warnings enabled, to catch
    legitimate
    errors. See the comment at the top of warnings.h.

    https://bugzilla.gnome.org/show_bug.cgi?id=710869

 NEWS                                  |  1 +
 backends/eds/Makefile.am              |  1 +
 backends/eds/lib/Makefile.am          |  5 +++
 backends/key-file/Makefile.am         |  1 +
 backends/libsocialweb/Makefile.am     |  1 +
 backends/libsocialweb/lib/Makefile.am |  5 +++
 backends/ofono/Makefile.am            |  1 +
 backends/telepathy/Makefile.am        |  1 +
 backends/telepathy/lib/Makefile.am    |  6 +++
 backends/tracker/Makefile.am          |  1 +
 backends/tracker/lib/Makefile.am      |  1 +
 folks/Makefile.am                     | 11 +++++
 folks/warnings.h                      | 85
 +++++++++++++++++++++++++++++++++++
 tests/eds/Makefile.am                 |  1 +
 tests/folks/Makefile.am               |  1 +
 tests/key-file/Makefile.am            |  1 +
 tests/lib/eds/Makefile.am             |  5 +++
 tests/lib/key-file/Makefile.am        |  5 +++
 tests/lib/libsocialweb/Makefile.am    |  5 +++
 tests/lib/telepathy/Makefile.am       |  5 +++
 tests/lib/tracker/Makefile.am         |  5 +++
 tests/libsocialweb/Makefile.am        |  1 +
 tests/telepathy/Makefile.am           |  1 +
 tests/tracker/Makefile.am             |  1 +
 tools/Makefile.am                     |  1 +
 tools/inspect/Makefile.am             |  1 +
 26 files changed, 153 insertions(+)

commit 3da175cc6cd81eeccbef602197d10813dadea0c9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 09:58:20 2013 +0100

    build: Whitespace cleanup in various Makefile.am files

 backends/eds/lib/Makefile.am          | 16 ++++++++--------
 backends/libsocialweb/lib/Makefile.am | 16 ++++++++--------
 backends/telepathy/lib/Makefile.am    | 22 +++++++++++-----------
 backends/tracker/lib/Makefile.am      | 16 ++++++++--------
 4 files changed, 35 insertions(+), 35 deletions(-)

commit 3251589b691a8dbec03aae03fc1b7ee61f49a1ac
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 09:56:34 2013 +0100

    telepathy: Remove redundant entries from a CPPFLAGS variable

    They’re already in AM_CPPFLAGS, which is substituted into that
    CPPFLAGS
    variable.

 backends/telepathy/lib/Makefile.am | 4 ----
 1 file changed, 4 deletions(-)

commit 7ad7164ba1e29db71d27329fb7263f9b4bccd8f2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 11:59:52 2013 +0100

    core: Remove an excess parameter from a printf()-format function call

 folks/object-cache.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9565b4711ff6499344fb607494705a8d3e60a0c7
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 11:59:28 2013 +0100

    core: Add [PrintfFormat] attributes to some internal debug methods

 folks/internal.vala | 2 ++
 1 file changed, 2 insertions(+)

commit b4ecf27b56ee09e42e7a4619f88988cb52d6db2e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Oct 25 11:58:58 2013 +0100

    core: Eliminate a shadowed variable

    Vala is fine with this but GCC complains. Let’s keep GCC happy.

 folks/individual-aggregator.vala | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 08eaf323c3045312296dce5145de44279c0057db
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Oct 21 16:36:51 2013 -0700

    test: bump the timeout for the Tracker favourite-updates test

    This may be a little excessive but smaller amounts occasionally
    caused a
    failure on timeout.

    In theory, this shouldn't matter too much, since the test exits
    early once
    conditions are satisfied.

 tests/tracker/favourite-updates.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d118e13f9a73e9ce4a9ff806150e36888f144f17
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Oct 21 10:29:02 2013 -0400

    Fix phone normalization

    This make the code actually match the algorithm described on
    http://blog.barisione.org/2010-06/handling-phone-numbers/

    It also use a StringBuilder instead of doing tones of string copy.

 NEWS                                 |  3 ++
 folks/phone-details.vala             | 70
 +++++++++++++++++++++++++-----------
 tests/folks/phone-field-details.vala |  3 ++
 3 files changed, 56 insertions(+), 20 deletions(-)

commit 20622279cb5cfef2b3201a7e122321377a1fc96a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Oct 8 15:06:13 2013 +0100

    backends: Work around a Vala const-array null-termination bug

    Bug #682698 means that Vala does not null-terminate const arrays,
    yet it
    expects them to be null terminated when returning them to
    g_object_get().
    This results in g_object_get() walking off into arbitrary memory,
    and Bad
    Things happen shortly afterwards.

    Work around this (because it doesn’t look like the Vala bug is
    going to be
    fixed any time soon) by manually null-terminating all const arrays
    (typically
    linkable_properties and writeable_properties lists in backends)
    and modifying
    code which iterates over them to ignore null entries.

    https://bugzilla.gnome.org/show_bug.cgi?id=682698

 NEWS                                        |  2 ++
 backends/eds/lib/edsf-persona.vala          | 12 ++++++++----
 backends/key-file/kf-persona-store.vala     |  3 ++-
 backends/key-file/kf-persona.vala           |  6 ++++--
 backends/libsocialweb/lib/swf-persona.vala  |  3 ++-
 backends/ofono/ofono-persona.vala           |  3 ++-
 backends/telepathy/lib/tpf-persona.vala     |  6 +++++-
 backends/tracker/lib/trf-persona-store.vala |  3 ++-
 backends/tracker/lib/trf-persona.vala       | 10 ++++++++--
 folks/individual-aggregator.vala            | 16 ++++++++++++++++
 10 files changed, 51 insertions(+), 13 deletions(-)

commit f9907524e16a121b7b88ca369b34a7719c510072
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Oct 15 12:27:06 2013 +0100

    ofono: Skip whitespace between vCards when splitting them up

    This eliminates the following libebook warning which we were
    triggering.
    libebook itself skips the whitespace, so this introduces no functional
    changes.

        libebook-contacts-WARNING **: vcard began without a BEGIN:VCARD

    https://bugzilla.gnome.org/show_bug.cgi?id=710178

 NEWS                                    | 1 +
 backends/ofono/ofono-persona-store.vala | 4 ++++
 2 files changed, 5 insertions(+)

commit cca234f0968e4f4fbeb7a3661df942a6e4e3003e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Oct 21 17:40:04 2013 +0100

    telepathy: Fix tp-zeitgeist-dummy to match changes in b38f7126

 backends/telepathy/lib/Makefile.am             | 3 +++
 backends/telepathy/lib/tp-zeitgeist-dummy.vala | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit b38f7126fd2ed166c7fdec9486ec509ddc7512a6
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Oct 21 11:56:10 2013 -0400

    Stop using lowlevel telepathy-glib API

 backends/telepathy/lib/tp-zeitgeist.vala      | 11 ++++++-----
 backends/telepathy/lib/tpf-persona-store.vala |  2 +-
 2 files changed, 7 insertions(+), 6 deletions(-)

commit dbd75fa4927537eb9723d523d08edb0e11b6ea82
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Mar 28 14:02:05 2013 +0000

    core: Connect to Persona::notify, not all its details, in Individual

    In practice, we care about basically every property anyway, and
    tests/eds/perf was spending more than 6% of its time connecting
    to these signals. Just connect to notify and demultiplex through a
    lookup table for about a 5% speed-up.

    In principle we could make the lookup table into a
    hash table if it proves to be worth it, but life is probably too
    short.

    https://bugzilla.gnome.org/show_bug.cgi?id=697209

 NEWS                  |   1 +
 folks/individual.vala | 234
 ++++++++++++++++++++++++--------------------------
 2 files changed, 113 insertions(+), 122 deletions(-)

commit 6f332795b9162fb7c8393a96848c8ff5ab35340b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Oct 8 19:51:30 2013 +0100

    Bug 709674 — Ignore non-phonebook-enabled modems in ofono backend

    Ignore ofono modems which don’t support the org.ofono.Phonebook
    interface,
    which is needed for accessing contacts stored on the SIM.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=709674

 NEWS                              |  1 +
 backends/ofono/ofono-backend.vala | 39
 ++++++++++++++++++++++++++++++++++-----
 2 files changed, 35 insertions(+), 5 deletions(-)

commit fd6f44d35663405fc93891a39a071fd6bedeecce
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Sep 24 16:23:46 2013 -0700

    Use autotools's parallel test harness

    We were already unintentionally using it in some cases (depending
    upon the
    developer's system) without the proper safeguards in place. Without
    them,
    the EDS and Tracker tests will mysteriously result in a ton of
    segfaulting
    background processes because they can't be safely run simultaneously.

    The upside of using the parallel harness is that it's still safe to
    use for
    the simpler test suites (eg, key-file, folks, telepathy) and should
    speed up
    their runtimes quite a bit. It also adds cleaner logging facilities
    and
    makes the default output a little cleaner.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=679826

 NEWS                      | 1 +
 configure.ac              | 3 ++-
 tests/eds/Makefile.am     | 6 ++++++
 tests/tracker/Makefile.am | 6 ++++++
 4 files changed, 15 insertions(+), 1 deletion(-)

commit c1a8fb61ec97d6c9f2ae50e02227e4305ee914bf
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Sep 30 10:45:38 2013 -0700

    Use git.mk's definitions to simplify configure.ac

 Makefile.am | 23 +++--------------------
 1 file changed, 3 insertions(+), 20 deletions(-)

commit 5e8f6ca7d82032feca0f30122aef557464def2b1
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Sep 30 09:43:32 2013 -0700

    Upgrade git.mk

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=679826

 git.mk | 40 +++++++++++++++++++++++++---------------
 1 file changed, 25 insertions(+), 15 deletions(-)

commit 4107cef64ae54fcd652fa64a6ef5b348fc77f8bc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Oct 8 19:29:38 2013 +0100

    ofono: Work around a Vala bug causing a double-free when adding
    a modem

    Work around Vala bug #709665:
	https://bugzilla.gnome.org/show_bug.cgi?id=709665
    which allowed an assignment of a string*[] value to a string[]
    variable.
    string*[] values need the container freeing, but not the members
    of the
    array. However, since the variable was a string[], Vala generated
    C code to
    free both the container and the members, resulting in a double-free
    of each
    member.

 backends/ofono/ofono-backend.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 64bca7fa674595f531d77aaf8c31253dc944413c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:	Fri Sep 27 16:21:48 2013 -0400

    Telepathy: use can_set_contact_alias() instead of fetching flags

 backends/telepathy/lib/tp-lowlevel.c	       | 71
 ---------------------------
 backends/telepathy/lib/tp-lowlevel.h	       | 11 -----
 backends/telepathy/lib/tpf-persona-store.vala | 31 +-----------
 3 files changed, 2 insertions(+), 111 deletions(-)

commit 47c63fd926cf1c6a6a0061e57662d3d3df1adc46
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:	Thu Sep 26 16:06:41 2013 -0400

    Tests: Do no hardcode individual sha1

    With telepathy 1.0 the account prefix is going to change, so all
    sha1 will have to be recalculated. It's better to calculate them
    so changing one line is enough to port to tp1.

 tests/folks/aggregation.vala		    | 42
 +++++++++-----------------
 tests/telepathy/individual-properties.vala | 11 +++++--
 tests/telepathy/individual-retrieval.vala  | 47
 ++++++++++++++----------------
 3 files changed, 43 insertions(+), 57 deletions(-)

commit d44ea3220de29a631eb888f9825fbd5f52f0bdde
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Sep 30 09:06:05 2013 -0700

    tests: fix trivial whitespace in Makefile

 tests/tracker/Makefile.am | 60
 +++++++++++++++++++++++------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit 63217d5cb7bc83b476b84313880a005e23223416
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Sat Aug 3 15:24:32 2013 +0200

    Bug 705403 — Use GLib.BytesIcon instead of Edsf.MemoryIcon

    Use GLib.BytesIcon internally instead of Edsf.MemoryIcon, which can
    be deleted. This bumps our GLib requirement to 2.37.6, but doesn’t
    affect API.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=705403

 NEWS				    |	2 +
 backends/eds/lib/Makefile.am	    |	1 -
 backends/eds/lib/edsf-persona.vala |	3 +-
 backends/eds/lib/memory-icon.vala  | 135
 -------------------------------------
 configure.ac			    |	2 +-
 5 files changed, 5 insertions(+), 138 deletions(-)

commit ffa5ed2e8e529cf31a26704aab438e3b7b5d0e69
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:	Thu Sep 26 14:44:54 2013 -0400

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 915d86dde9ea267020c6fef44811d291d9c43bee
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:	Wed Sep 25 16:23:15 2013 -0400

    Stop using deprecated EDS API

 backends/eds/lib/edsf-persona-store.vala   | 106
 +----------------------------
 tests/eds/helper-create-many-contacts.vala |	3 +-
 tests/eds/helper-delete-contacts.vala	    |	3 +-
 tests/lib/eds/backend.vala		    |	3 +-
 4 files changed, 4 insertions(+), 111 deletions(-)

commit 8833a224b50a871767d6ff67ef0ee929b2ebb557
Author: Osman Karagöz <osmank3@gmail.com>
Date:	Thu Sep 26 00:15:46 2013 +0300

    [l10n]Added Turkish translation

 po/LINGUAS |	1 +
 po/tr.po   | 707
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 708 insertions(+)

commit f707b604734f787692cf94a7daffb4edf349a476
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Wed Aug 7 14:54:56 2013 +0200

    build: Generate backends’ GIR files using valac rather than
    g-ir-scanner

    Vala knows more about the types used in the code, and doesn’t
    emit any
    GIR annotations; so g-ir-scanner is left guessing about (transfer)
    annotations (amongst others).

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=705608

 NEWS				       |  2 ++
 backends/eds/lib/Makefile.am	       | 44 +++++++---------------------
 backends/libsocialweb/lib/Makefile.am | 40 ++++++-------------------
 backends/telepathy/lib/Makefile.am    | 55
 ++++++-----------------------------
 backends/tracker/lib/Makefile.am      | 40 ++++++-------------------
 5 files changed, 39 insertions(+), 142 deletions(-)

commit dce786a2183d5ee575e2f1fadc7596dca315d451
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Sun Sep 22 11:35:45 2013 +0200

    Updated Basque language

 po/eu.po | 170
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 84 insertions(+), 86 deletions(-)

commit 26088349c14f06f13dc50b431d4975c2f66e8135
Author: Timo Jyrinki <timo@debian.org>
Date:	Wed Sep 18 13:59:33 2013 +0300

    Finnish translation by Jiri Grönroos

 po/LINGUAS |	1 +
 po/fi.po   | 683
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 684 insertions(+)

commit 9c61256d5f92950d7c8a96a7c17ef5a8bd911006
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Tue Aug 27 10:07:14 2013 -0700

    Set the GIR namespace and version for folks-generics

    This ends up avoiding a valadoc crasher (bgo#706857) which the
    maintainers
    can't reproduce.  Strictly speaking, we should have it in place
    anyhow, so
    it should be pretty safe.

    It also ends up passing these details along to folks-internal.vapi
    when it's
    generated as well.

 NEWS			   | 1 +
 folks/folks-generics.vapi | 1 +
 2 files changed, 2 insertions(+)

commit 67963cd34489610325a0eb87dcb288633ef572a3
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	Mon Aug 26 23:00:47 2013 -0600

    build: Fix autogen and configure

    Include ACLOCAL_FLAGS when setting. ACLOCAL_AMFLAGS.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=706826

 Makefile.am | 2 +-
 NEWS	     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9e943a6bfc43ee861b0e067d6edb96ffa3e4c690
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Wed Aug 28 10:59:22 2013 +0100

    update NEWS

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 97781980347c8205d9eba7319fc7f18b6122fadc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Fri Aug 23 18:23:12 2013 +0100

    PhoneFieldDetailsTests: make constant static strings unowned

    This works around Vala bug GNOME#646970, which is only fixed in a
    development version (0.21). Newer Vala versions automatically make
    these strings behave as if unowned anyway.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=706683
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip@tecnocode.co.uk>

 tests/folks/phone-field-details.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5e63c352343191ed74bbd9a7c23a89ff6d109c65
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Aug 26 18:23:44 2013 -0700

    Revert "Temporarily disable the Tracker tests, as they're currently
    broken"

    This reverts commit bfa9bad7c100e2f6cdbd8e42367fa515df5470d4.

 tests/Makefile.am | 6 ++++++
 1 file changed, 6 insertions(+)

commit 65b9164aba2779706ef45b19955ed313b8829462
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Aug 26 18:23:28 2013 -0700

    Revert "Temporarily disable docs for distcheck due to bgo#706857"

    This reverts commit 2c13f603fc0b865968cb581a40a0edcb450c9c7b.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit c8b2bbf877ae08c3d17d5d12d24996df6319e333
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Aug 26 18:23:06 2013 -0700

    Post-release version bump

 NEWS	      | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 93e79280c4017ced82d0fee3978d27e89d825d63
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Aug 26 17:37:47 2013 -0700

    Release version 0.9.5

 backends/telepathy/lib/tpf-persona.vala | 2 +-
 configure.ac				 | 6 +++---
 folks/individual-aggregator.vala	 | 8 ++++----
 folks/individual.vala			 | 2 +-
 folks/presence-details.vala		 | 2 +-
 5 files changed, 10 insertions(+), 10 deletions(-)

commit bfa9bad7c100e2f6cdbd8e42367fa515df5470d4
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Aug 26 18:13:15 2013 -0700

    Temporarily disable the Tracker tests, as they're currently broken

 tests/Makefile.am | 6 ------
 1 file changed, 6 deletions(-)

commit 2c13f603fc0b865968cb581a40a0edcb450c9c7b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Aug 26 17:42:28 2013 -0700

    Temporarily disable docs for distcheck due to bgo#706857

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 280da67ec436f1f12cecf1e44307284ffdd84a02
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Thu Apr 4 12:43:34 2013 +0100

    Do not distribute _gen/param-spec-struct.h in tarballs or scan it
    with g-i

    It isn't self-contained, and provokes a (non-fatal) syntax error from
    g-ir-scanner.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Acked-by: Philip Withnall
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=697261

 tests/lib/telepathy/contactlist/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit bced3b8a8e27d5b9a375125f9098d748699ad2ff
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	Thu Aug 22 07:50:19 2013 +0200

    Folks.SmallSet: return a value

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=706532

 NEWS		   | 1 +
 folks/small-set.c | 1 +
 2 files changed, 2 insertions(+)

commit 35c92614b88f54fb47b819595e96e93467f728fb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Wed Aug 7 12:45:18 2013 +0200

    core: Tidy up documentation in LocationDetails

 folks/location-details.vala | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 4322477661d63115af291da1afc91e090cf6cc06
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 5 14:30:13 2013 +0200

    use IndividualAggregator.dup () in tests and tools

    The default constructor has been deprecated.

    https://bugzilla.gnome.org/show_bug.cgi?id=705289

 tests/eds/add-contacts-stress-test.vala	     |	2 +-
 tests/eds/add-persona.vala			     |	2 +-
 tests/eds/anti-linking.vala			     |	4 ++--
 tests/eds/avatar-details.vala			     |	2 +-
 tests/eds/create-remove-stores.vala		     |	2 +-
 tests/eds/email-details.vala			     |	2 +-
 tests/eds/enable-disable-stores.vala		     |	2 +-
 tests/eds/helper-prepare-aggregator.vala	     |	2 +-
 tests/eds/im-details.vala			     |	2 +-
 tests/eds/individual-retrieval.vala		     |	2 +-
 tests/eds/link-personas-diff-stores.vala	     |	2 +-
 tests/eds/link-personas.vala			     |	2 +-
 tests/eds/linkable-properties.vala		     |	2 +-
 tests/eds/name-details.vala			     |	2 +-
 tests/eds/perf.vala				     |	2 +-
 tests/eds/phone-details.vala			     |	2 +-
 tests/eds/postal-address-details.vala		     |	2 +-
 tests/eds/remove-persona.vala			     |	2 +-
 tests/eds/removing-contacts.vala		     |	2 +-
 tests/eds/set-avatar.vala			     |	4 ++--
 tests/eds/set-birthday.vala			     |	2 +-
 tests/eds/set-emails.vala			     |	2 +-
 tests/eds/set-gender.vala			     |	2 +-
 tests/eds/set-im-addresses.vala		     |	2 +-
 tests/eds/set-is-favourite.vala		     |	2 +-
 tests/eds/set-names.vala			     |	2 +-
 tests/eds/set-notes.vala			     |	2 +-
 tests/eds/set-phones.vala			     |	2 +-
 tests/eds/set-postal-addresses.vala		     |	2 +-
 tests/eds/set-properties-race.vala		     |	2 +-
 tests/eds/set-roles.vala			     |	2 +-
 tests/eds/set-structured-name.vala		     |	2 +-
 tests/eds/set-urls.vala			     |	2 +-
 tests/eds/store-removed.vala			     |	2 +-
 tests/eds/updating-contacts.vala		     |	2 +-
 tests/folks/aggregation.vala			     | 18
 +++++++++---------
 tests/folks/init.vala				     |	4 ++--
 tests/key-file/individual-retrieval.vala	     |	4 ++--
 tests/libsocialweb/aggregation.vala		     |	2 +-
 tests/libsocialweb/dummy-lsw.vala		     |	2 +-
 tests/telepathy/fake-tp-backend.vala		     |	2 +-
 tests/telepathy/individual-properties.vala	     |	8 ++++----
 tests/telepathy/individual-retrieval.vala	     |	4 ++--
 tests/telepathy/individual-zeitgeist.vala	     |	2 +-
 tests/telepathy/init.vala			     |	2 +-
 tests/tracker/add-contact.vala			     |	2 +-
 tests/tracker/add-persona.vala			     |	2 +-
 tests/tracker/additional-names-updates.vala	     |	2 +-
 tests/tracker/avatar-details-interface.vala	     |	2 +-
 tests/tracker/avatar-updates.vala		     |	2 +-
 tests/tracker/birthday-details-interface.vala	     |	2 +-
 tests/tracker/birthday-updates.vala		     |	2 +-
 tests/tracker/default-contact.vala		     |	2 +-
 tests/tracker/duplicated-emails.vala		     |	2 +-
 tests/tracker/duplicated-phones.vala		     |	2 +-
 tests/tracker/email-details-interface.vala	     |	2 +-
 tests/tracker/emails-updates.vala		     |	2 +-
 tests/tracker/family-name-updates.vala		     |	2 +-
 tests/tracker/favourite-details-interface.vala      |	2 +-
 tests/tracker/favourite-updates.vala		     |	2 +-
 tests/tracker/fullname-updates.vala		     |	2 +-
 tests/tracker/gender-details-interface.vala	     |	2 +-
 tests/tracker/given-name-updates.vala		     |	2 +-
 tests/tracker/im-details-interface.vala	     |	2 +-
 tests/tracker/imaddresses-updates.vala		     |	2 +-
 tests/tracker/individual-retrieval.vala	     |	2 +-
 tests/tracker/link-personas-via-local-ids.vala      |	2 +-
 tests/tracker/link-personas.vala		     |	2 +-
 tests/tracker/match-all.vala			     |	2 +-
 tests/tracker/match-email-addresses.vala	     |	2 +-
 tests/tracker/match-im-addresses.vala		     |	2 +-
 tests/tracker/match-known-emails.vala		     |	2 +-
 tests/tracker/match-name.vala			     |	2 +-
 tests/tracker/match-phone-number.vala		     |	2 +-
 tests/tracker/name-details-interface.vala	     |	2 +-
 tests/tracker/nickname-updates.vala		     |	2 +-
 tests/tracker/note-details-interface.vala	     |	2 +-
 tests/tracker/phone-details-interface.vala	     |	2 +-
 tests/tracker/phones-updates.vala		     |	2 +-
 tests/tracker/postal-address-details-interface.vala |	2 +-
 tests/tracker/prefix-name-updates.vala		     |	2 +-
 tests/tracker/remove-contact.vala		     |	2 +-
 tests/tracker/remove-persona.vala		     |	2 +-
 tests/tracker/role-details-interface.vala	     |	2 +-
 tests/tracker/set-avatar.vala			     |	2 +-
 tests/tracker/set-birthday.vala		     |	2 +-
 tests/tracker/set-duplicate-email.vala		     |	2 +-
 tests/tracker/set-emails.vala			     |	2 +-
 tests/tracker/set-favourite.vala		     |	2 +-
 tests/tracker/set-full-name.vala		     |	2 +-
 tests/tracker/set-gender.vala			     |	2 +-
 tests/tracker/set-im-addresses.vala		     |	2 +-
 tests/tracker/set-nickname.vala		     |	2 +-
 tests/tracker/set-notes.vala			     |	2 +-
 tests/tracker/set-null-avatar.vala		     |	2 +-
 tests/tracker/set-phones.vala			     |	2 +-
 tests/tracker/set-postal-addresses.vala	     |	2 +-
 tests/tracker/set-roles.vala			     |	2 +-
 tests/tracker/set-structured-name.vala		     |	2 +-
 tests/tracker/set-urls.vala			     |	2 +-
 tests/tracker/suffix-name-updates.vala		     |	2 +-
 tests/tracker/url-details-interface.vala	     |	2 +-
 tests/tracker/website-updates.vala		     |	2 +-
 tools/import.vala				     |	2 +-
 tools/inspect/inspect.vala			     |	2 +-
 105 files changed, 121 insertions(+), 121 deletions(-)

commit ed8e3773ee788dc4687979fa9fc9e8431473d9f8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 5 11:10:46 2013 +0200

    aggregator: add dup() methods returning a singleton

    As discussed on bgo#705289 we don't support having different
    aggregator
    instances as they would share the same set of personas. Adding
    this singleton
    makes things easier for client applications.

    https://bugzilla.gnome.org/show_bug.cgi?id=705289

 NEWS				  |  7 +++
 folks/individual-aggregator.vala | 99
 +++++++++++++++++++++++++++++++++++++++-
 2 files changed, 104 insertions(+), 2 deletions(-)

commit 3ad367594fcea74bf3fe465a2dde256eeceba334
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 5 11:21:15 2013 +0200

    Revert "add unit test for bgo#705289"

    It doesn't make sense any more as multiple aggregators are not
    supported any
    more.

    This reverts commit 1b7e8d83bb7488aac7bcf2d59df3a7b35f316ae2.

 tests/eds/Makefile.am		  |   5 -
 tests/eds/double-aggregator.vala | 208
 ---------------------------------------
 2 files changed, 213 deletions(-)

commit 5b96d4894d1d0e5d2a8f31d97a7690208e600b7c
Author: 甘露(Gan  Lu) <rhythm.gan@gmail.com>
Date:	Sat Aug 3 21:29:32 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 134
 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 65 insertions(+), 69 deletions(-)

commit 53c8317563f26da4f673a4b03777796651fe17ff
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Fri Aug 2 16:11:44 2013 +0200

    tests: Fix implicit .begin usage in double-aggregator test

 tests/eds/double-aggregator.vala | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 1b7e8d83bb7488aac7bcf2d59df3a7b35f316ae2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 1 15:45:53 2013 +0200

    add unit test for bgo#705289

    https://bugzilla.gnome.org/show_bug.cgi?id=705289

    Change-Id: Ief7bef8651ae1df8b2a927ae22fd5fb162e43466

 tests/eds/Makefile.am		  |   5 +
 tests/eds/double-aggregator.vala | 202
 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 207 insertions(+)

commit 56df4afd2ba3fab1b06c0873382faba2b2ce8ac0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Fri Aug 2 11:34:06 2013 +0200

    Post-release version bump

 NEWS	      | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 95e6fb64f495faa20cf8347ed674fc7a9acb7b19
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Fri Aug 2 11:32:16 2013 +0200

    Release version 0.9.4

 configure.ac | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit e1da1db6af2930e9ed5045d3abb0c73c4f74d26e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Sun Jun 16 20:23:17 2013 +0100

    core: Keep leading ‘+’s when normalising phone numbers

    These are needed to indicate country codes for international numbers.

    See: https://bugzilla.gnome.org/show_bug.cgi?id=685992
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=701850

 NEWS				      |  2 ++
 folks/phone-details.vala	      |  5 +--
 tests/folks/Makefile.am	      |  5 +++
 tests/folks/phone-field-details.vala | 66
 ++++++++++++++++++++++++++++++++++++
 4 files changed, 76 insertions(+), 2 deletions(-)

commit 57621de89d49b06a1db7436de346afdd866b1637
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Wed Jul 31 14:24:58 2013 +0200

    build: Bump EDS dependency to 3.9.1

    This EDS version fixes a Vala binding which was causing folks to
    not build.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=703516

 NEWS	      | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit ba71ffbfc6b3c3f5e006e2d6e164bdd07b5c9b8a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Wed Jul 31 12:55:38 2013 +0200

    consider an individual as favorite if one of its persona is a favorite

    We used to consider all the personas as having the "is-favourite"
    property
    defined. So _update_single_valued_property was giving the priority
    to the
    primary store (usually EDS) leading to the individual being
    considered as
    unfavourite even if it has a Telepathy persona as favourite.

    We now consider the "is-favourite" property being defined if it's
    set to TRUE
    so any favourite persona will take presedence.

    https://bugzilla.gnome.org/show_bug.cgi?id=705196

 NEWS		       | 1 +
 folks/individual.vala | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit e43bc1e4b33ba211712fbf0b04e29406d511e983
Author: Gustavo Padovan <gustavo.padovan@collabora.co.uk>
Date:	Fri Jul 26 10:48:33 2013 +0100

    key-file: do not use deprecated loop_run_with_non_fatal_timeout()

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=704922

 NEWS					  |  1 +
 tests/key-file/individual-retrieval.vala | 16 +++++++++++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

commit d5fe08286a8c04bdba55d20416439b2804b7af0f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:	Mon Jul 29 10:34:39 2013 +0200

    Fix coding style in previous patch

 backends/telepathy/lib/tpf-persona-store.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0771853010037112233c4ff7977cf91de7e7b14a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:	Wed Jul 17 12:51:49 2013 +0200

    TpfPersona: Manage the TpContact weak ref ourself instead of using
    GWeakRef

    https://bugzilla.gnome.org/show_bug.cgi?id=702165

 backends/telepathy/lib/tpf-persona-store.vala |  2 +
 backends/telepathy/lib/tpf-persona.vala       | 68
 ++++++++++-----------------
 2 files changed, 26 insertions(+), 44 deletions(-)

commit deefe3f9194aca19f1b4f98dc16a736ae7e79e0a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jul 8 16:23:30 2013 -0700

    build: distcheck fails trying to remove a srcdir file

    When we referenced $(srcdir)/libfolks_telepathy_la_vala.stamp, we were
    telling automake that it was OK to delete it from the srcdir, which is
    considered bad form. By referring to it from the builddir, we don't
    implicitly suggest it can be deleted (as it is as a part of its
    creation
    process).

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703830

 NEWS				    | 2 ++
 backends/telepathy/lib/Makefile.am | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 61600fec79c2a437fb763257456a3e3b4c386388
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jul 8 10:15:35 2013 -0700

    docs: don't include the img/* content to avoid a build break

    This ignores content in the img/ subdir to avoid build errors if
    it's empty
    (as it currently is). This directory will store custom images,
    so if we add
    any, we will need to re-add those files to the appropriate *_DATA
    definitions.

 docs/Makefile.am | 28 ++++------------------------
 1 file changed, 4 insertions(+), 24 deletions(-)

commit 8a495d461ba4c61724218c7e5b5be87dace7197f
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jul 8 09:14:09 2013 -0700

    build: don't depend on tp-zeitgeist.vapi for --disable-zeitgeist

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=701099

 backends/telepathy/lib/Makefile.am | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit d5465ae044d5297102295a2cacd4c0438fefe47f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Mon Jul 8 15:05:42 2013 +0100

    Revert "docs: fix the path to the backend support library header
    files"

    This reverts commit a945327bcbbab2af0c4871e9cbb70080ec71db8b.

    See commit 311690817f40affee131cbd64870f9f5c4d32196 for details.

 docs/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 311690817f40affee131cbd64870f9f5c4d32196
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Mon Jul 8 12:49:16 2013 +0100

    Revert "build: Don’t build Vala headers in a subdirectory
    unnecessarily"

    This reverts commit 4c06ecc26bfde7397357ef4ae7ad83a5925db43d
    because it caused build failures when building folks for the
    first time
    without a system-installed copy of the development headers.

 backends/eds/lib/Makefile.am	       | 6 +++---
 backends/libsocialweb/lib/Makefile.am | 6 +++---
 backends/telepathy/lib/Makefile.am    | 6 +++---
 backends/tracker/lib/Makefile.am      | 6 +++---
 4 files changed, 12 insertions(+), 12 deletions(-)

commit 2ebe3cbddf7c422c3001a8c4127958f5167e9f66
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Mon Jul 8 12:41:16 2013 +0100

    Bug 703709 — can't compile folks. fails at GISCAN TpLowlevel-0.6.gir

    Add a missing GNU Make dependency for the GIR file.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=703709

 NEWS				    | 1 +
 backends/telepathy/lib/Makefile.am | 2 ++
 2 files changed, 3 insertions(+)

commit 7825e0a76dcb999c2643898adfb26d421dc042b1
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jul 5 15:41:39 2013 -0700

    docs: links cannot span multiple lines

 folks/presence-details.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit bd7d1fa5aabeadfeec70387dcb39b4a55dc17ee2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jul 5 15:39:19 2013 -0700

    docs: correctly delimit links in the tp-zeitgeist comments

 backends/telepathy/lib/tp-zeitgeist-dummy.vala | 2 +-
 backends/telepathy/lib/tp-zeitgeist.vala	| 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b8f430b58ac2836e8b341c9ba324cbf7eca8a136
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jul 5 15:20:13 2013 -0700

    docs: only use one copy of the tp-zeitgeist interface

    We can't include both tp-zeitgeist and tp-zeitgeist-dummy because
    valadoc
    will complain of re-definitions. Using the dummy version seems to
    work even
    if --enable-zeitgeist is used, so this should cover us in all cases.

 docs/Makefile.am | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit a945327bcbbab2af0c4871e9cbb70080ec71db8b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jul 5 15:05:41 2013 -0700

    docs: fix the path to the backend support library header files

 docs/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5d4005fb91fafa82d9e7e4c721453e8f5ba820ef
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jul 5 15:02:47 2013 -0700

    docs: Use the correct Vala version string for valadoc

    It was failing to find the expected driver, previously, which
    broke the
    build

 docs/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d603892ebdd8bad978771bcb090d4d2a2cc330f4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Fri Jul 5 19:22:42 2013 +0100

    build: Remove redundant variable from Makefile.am

 tests/lib/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 5867cda8e899a873e65796b9aa0492bfc32b95f0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Fri Jul 5 15:26:51 2013 +0100

    telepathy: Fix build with --disable-zeitgeist

    Vala doesn’t pass #if conditionals through to generated C code,
    so when
    building folks from a tarball, the --[enable|disable]-zeitgeist
    option was
    having no effect, and Zeitgeist was always being pulled into the
    build.

    Fix this by separating the Zeitgeist code out into a small noinst shim
    library and always generating C code for two versions of it: one with
    Zeitgeist enabled, and one with it disabled. The correct one’s C
    code is
    then compiled and linked into libfolks-telepathy.la when building
    from the
    tarball.

    This is a horrible, ugly fix, but the only better fix is to disable
    distribution of generated C code. This was attempted, but thwarted by
    automake’s Vala support.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=701099

 backends/telepathy/lib/Makefile.am		| 142 ++++++++++++++-
 backends/telepathy/lib/tp-zeitgeist-dummy.vala |  50 ++++++
 backends/telepathy/lib/tp-zeitgeist.vala	| 231
 +++++++++++++++++++++++++
 backends/telepathy/lib/tpf-persona-store.vala	| 166 ++----------------
 backends/telepathy/lib/tpf-persona.vala	|  18 +-
 configure.ac					|   1 +
 6 files changed, 437 insertions(+), 171 deletions(-)

commit 6afd8a4f4d2a8f799aee98ba72d3b5e4ea4d3bb4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Fri Jul 5 11:09:51 2013 +0100

    telepathy: Move Zeitgeist code entirely into Tpf.PersonaStore

    Ready to split it out into a shim library.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=701099

 backends/telepathy/lib/tpf-persona-store.vala | 20 +++++++-
 backends/telepathy/lib/tpf-persona.vala       | 66
 ++++++++++++---------------
 2 files changed, 48 insertions(+), 38 deletions(-)

commit 6b47d66df3f3079880b4b51656886a7cb5fdbec8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 17:28:35 2013 +0100

    build: Makefile whitespace fixes

 backends/libsocialweb/lib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04537355224ae5615b2eb3c40c2236702e7473e1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 17:27:50 2013 +0100

    build: Reorder DIST_SUBDIRS to match SUBDIRS

    So we don’t encounter problems during `make dist` due to recursing
    in
    a different order from normal.

 Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4c06ecc26bfde7397357ef4ae7ad83a5925db43d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 17:27:24 2013 +0100

    build: Don’t build Vala headers in a subdirectory unnecessarily

 backends/eds/lib/Makefile.am	       | 6 +++---
 backends/libsocialweb/lib/Makefile.am | 6 +++---
 backends/telepathy/lib/Makefile.am    | 6 +++---
 backends/tracker/lib/Makefile.am      | 6 +++---
 4 files changed, 12 insertions(+), 12 deletions(-)

commit 9423e5e214110e3d4d3b77482db87a0ec310599b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 17:26:02 2013 +0100

    build: Remove generated C/H/vapi/stamp files from MAINTAINERCLEANFILES

    As long as --vapi and -H/-h options are correctly passed to a
    target-specific
    VALAFLAGS, automake will automatically add these generated files
    to the
    maintainer-clean target.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=701099

 backends/eds/lib/Makefile.am	       | 14 +------
 backends/libsocialweb/lib/Makefile.am | 15 +-------
 backends/telepathy/lib/Makefile.am    | 15 +-------
 backends/tracker/lib/Makefile.am      | 15 +-------
 tests/eds/Makefile.am		       | 10 +----
 tests/folks/Makefile.am	       | 23 ------------
 tests/key-file/Makefile.am	       | 15 --------
 tests/lib/Makefile.am		       |  9 +----
 tests/lib/eds/Makefile.am	       |  5 ---
 tests/lib/key-file/Makefile.am        |  5 ---
 tests/lib/libsocialweb/Makefile.am    |  5 ---
 tests/lib/telepathy/Makefile.am       | 11 ------
 tests/lib/tracker/Makefile.am	       |  5 ---
 tests/libsocialweb/Makefile.am        | 16 --------
 tests/telepathy/Makefile.am	       | 11 ------
 tests/tracker/Makefile.am	       | 69
 ++---------------------------------
 16 files changed, 14 insertions(+), 229 deletions(-)

commit 037caf3a4d1d1b8de5fb6c4d78887793f36700a8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 17:21:41 2013 +0100

    build: Use target-specific VALAFLAGS rather than AM_VALAFLAGS

    This allows automake to parse the flags for each target and generate
    appropriate rules. For example, by explicitly specifying “--vapi
    foo.vapi” in
    foo_VALAFLAGS (not just specifying “--library foo”), dependency
    and clean-up
    rules for foo.vapi will be generated by automake. Accordingly,
    this commit
    also adds missing --vapi flags.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=701099

 backends/eds/Makefile.am	       | 32
 +++++++++++++++----------------
 backends/eds/lib/Makefile.am	       |  6 ------
 backends/libsocialweb/Makefile.am     | 21 +++++++++-----------
 backends/libsocialweb/lib/Makefile.am | 36
 ++++++++++++++---------------------
 backends/telepathy/Makefile.am        | 21 +++++++++-----------
 backends/telepathy/lib/Makefile.am    |  1 +
 backends/tracker/Makefile.am	       | 27 ++++++++++++--------------
 backends/tracker/lib/Makefile.am      | 11 +----------
 folks/Makefile.am		       | 11 -----------
 tests/lib/Makefile.am		       |  7 ++++++-
 tests/lib/eds/Makefile.am	       | 12 +++++++-----
 tests/lib/key-file/Makefile.am        | 12 +++++++-----
 tests/lib/libsocialweb/Makefile.am    | 12 +++++++-----
 tests/lib/telepathy/Makefile.am       | 16 +++++++++-------
 tests/lib/tracker/Makefile.am	       | 16 +++++++---------
 tests/telepathy/Makefile.am	       |  9 ---------
 16 files changed, 104 insertions(+), 146 deletions(-)

commit 8ebe13c457660de380521874a006425083151741
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jul 4 21:57:04 2013 +0100

    build: Disable fatal warnings when making distcheck

    It’s just too painful. They’re normally turned on during
    development
    anyway.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=703514

 Makefile.am | 1 +
 NEWS	     | 2 ++
 2 files changed, 3 insertions(+)

commit 268ee7a387eb505f8a4f5c6c0ab6dc036e65e5e1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 16:35:00 2013 +0100

    build: Remove redundant entries from GITIGNOREFILES

    Now that git.mk has been modified to add better Vala support, these
    are unnecessary.

 backends/eds/Makefile.am	    | 6 ------
 backends/key-file/Makefile.am	    | 6 ------
 backends/libsocialweb/Makefile.am  | 6 ------
 backends/ofono/Makefile.am	    | 5 -----
 backends/telepathy/Makefile.am     | 6 ------
 backends/tracker/Makefile.am	    | 6 ------
 folks/Makefile.am		    | 9 +--------
 tests/lib/Makefile.am		    | 5 +++++
 tests/lib/eds/Makefile.am	    | 5 -----
 tests/lib/key-file/Makefile.am     | 5 -----
 tests/lib/libsocialweb/Makefile.am | 5 -----
 tests/lib/telepathy/Makefile.am    | 4 ----
 tests/lib/tracker/Makefile.am	    | 5 -----
 tools/Makefile.am		    | 5 -----
 tools/inspect/Makefile.am	    | 5 -----
 15 files changed, 6 insertions(+), 77 deletions(-)

commit e0052149c672f41a5d367d83bc1ef229a937abda
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 16:09:36 2013 +0100

    build: Modify git.mk to ignore generated C/H files and Vala .stamp
    files

    These modifications are being submitted upstream.

 git.mk | 4 ++++
 1 file changed, 4 insertions(+)

commit a5ca31d956d9461fd9d399f18921e39a1f3052ff
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Thu Jun 20 16:08:54 2013 +0100

    build: Update git.mk from upstream

    Upstream is now located at https://github.com/behdad/git.mk. The
    file hasn’t
    been modified from upstream.

 git.mk | 175
 ++++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 140 insertions(+), 35 deletions(-)

commit 3a4c15da4a23a0a8d12af11de8c6732de97c69a0
Author: Markus Lehtonen <markus.lehtonen@linux.intel.com>
Date:	Fri Jun 28 10:47:59 2013 +0300

    Do not install the TpLowlevel.{gir,typelib}

    Adapted from a patch by Markus Lehtonen
    <markus.lehtonen@linux.intel.com>

 backends/telepathy/lib/Makefile.am | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 3a643d48655bdebe48cfbc69f6598c2e922eeca4
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Tue Jul 2 09:35:17 2013 -0700

    Make the last commit change use the same formatting for Tp backend

 backends/telepathy/lib/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 754c4c17d10d6b5dc07412f6f6749fb3b44944fc
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Jul 2 11:50:41 2013 +0200

    Link the support library GIRs against libfolks

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703450

 NEWS				       | 1 +
 backends/eds/lib/Makefile.am	       | 5 ++++-
 backends/libsocialweb/lib/Makefile.am | 5 ++++-
 backends/telepathy/lib/Makefile.am    | 4 +++-
 backends/tracker/lib/Makefile.am      | 5 ++++-
 5 files changed, 16 insertions(+), 4 deletions(-)

commit bfec44aba7d7ad3dae9acb5dc811186880984e38
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Thu Jun 27 15:57:33 2013 -0700

    Add namespace and version to libfolks-tracker GIR

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703402

 NEWS					 |  1 +
 backends/tracker/lib/Makefile.am	 |  1 +
 backends/tracker/lib/trf-namespace.vala | 30
 ++++++++++++++++++++++++++++++
 3 files changed, 32 insertions(+)

commit 2e68ed13a6155af34ff5a76b03b0fd1f5f17d796
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Thu Jun 27 15:31:03 2013 -0700

    Add namespace and version to libfolks-libsocialweb GIR

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703402

 backends/libsocialweb/lib/Makefile.am	      |  1 +
 backends/libsocialweb/lib/swf-namespace.vala | 30
 ++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

commit 2579f677bdc28a319589f24960abe6f53cfb9564
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Thu Jun 27 15:26:55 2013 -0700

    Add namespace and version to libfolks-eds GIR

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703402

 backends/eds/lib/Makefile.am	      |  1 +
 backends/eds/lib/edsf-namespace.vala | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

commit abf23432c4c7dc289e10f338a4b323e7ccd3cd43
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Thu Jun 27 11:50:53 2013 -0700

    Add namespace and version to libfolks-telepathy GIR

    Without this in place, JavaScript (and probably other introspected)
    code
    calling Vala client code can end up mysteriously hitting this error:

    CRITICAL **: g_irepository_find_by_name: assertion 'typelib !=
    NULL' failed

    because it fails to locate the proper typelib.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703402

 backends/telepathy/lib/Makefile.am	   |  1 +
 backends/telepathy/lib/tpf-namespace.vala | 30
 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

commit 0659f8b044d7d2845502c07ef775ecf1b854e68a
Author: Serhat Demircan <demircan.serhat@gmail.com>
Date:	Tue May 7 22:27:53 2013 +0300

    core: Add PresenceDetails::client-types and implement on Individual
    and Tpf.Persona

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=699865

 NEWS					 |  6 ++++++
 backends/telepathy/lib/tpf-persona.vala | 23 +++++++++++++++++++++++
 folks/individual.vala			 | 15 ++++++++++++++-
 folks/presence-details.vala		 | 13 +++++++++++++
 4 files changed, 56 insertions(+), 1 deletion(-)

commit c4063335d4b2d0438c5a6d543cfea145c2402d56
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 24 17:54:43 2013 -0700

    Post-release version bump

 NEWS	      | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 152c3b6e77da997e5e94ecd74c2af9f21b2b1b86
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 24 16:32:32 2013 -0700

    Release version 0.9.3

 NEWS	      | 4 ----
 configure.ac | 8 ++++----
 2 files changed, 4 insertions(+), 8 deletions(-)

commit 6b13ff00c0f9e9fb1729c87aa5b92982933f37e2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 24 16:24:24 2013 -0700

    Added GIR bindings for the backend support libraries

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit e963463c22dc9b0bb23dd9dc8f602c65cf78025a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 17 18:22:19 2013 -0700

    Generate FolksTracker gir file

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 backends/tracker/lib/Makefile.am | 57
 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 82ce4aaa2b4c04701cafc428c15bd8eac770f32c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 17 17:49:24 2013 -0700

    Generate FolksLibsocialweb gir file

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 backends/libsocialweb/lib/Makefile.am | 57
 +++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 2616fa0cfb54fa082f59aecada0ffc65f521328f
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 17 11:40:36 2013 -0700

    Generate FolksEds gir file

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 backends/eds/lib/Makefile.am | 60
 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

commit 333b534cca278496777035f523dd1549fdd23220
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 14 09:50:00 2013 -0700

    Generate FolksTelepathy gir file

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 backends/telepathy/lib/Makefile.am | 131
 ++++++++++++++++++++++++++-----------
 1 file changed, 94 insertions(+), 37 deletions(-)

commit 66844b833f37c489cabf47a0ec27845828d83860
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 14 17:54:51 2013 -0700

    Clean up version and capitalization for TpLowlevel GIR

    This is required to make it actually usable by FolksTelepathy's GIR

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 backends/telepathy/lib/Makefile.am | 29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit cb23c94e592115f9cb4cad977db9e279fb3abe91
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 24 11:11:42 2013 -0700

    Split the API version definition so it can be used more extensively

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 configure.ac	   | 8 ++++++--
 folks/Makefile.am | 6 +++---
 2 files changed, 9 insertions(+), 5 deletions(-)

commit b1735191b8119484488c0deadd3e9c1b9ff38eb0
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 21 17:41:24 2013 -0700

    Include /folks in PKG_CONFIG_PATH

    This is required for the gobject-introspection tools to find the folks
    pkgconfig files.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=702490

 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

commit 22a3a490ad5af2a2615cce5a1b64acf7a1a9c749
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 14 10:51:51 2013 -0700

    Include GIR version number in folks.vapi

    The fact that this was missing was causing build warnings for
    all clients

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=698890

 NEWS			    |  1 +
 folks/Makefile.am	    |  1 +
 folks/folks-namespace.vala | 29 +++++++++++++++++++++++++++++
 3 files changed, 31 insertions(+)

commit e390d8084b1d03e6dbd5e3d59251d88285669ed2
Author: Seif Lotfy <seif@lotfy.com>
Date:	Sat Jun 22 02:07:27 2013 +0200

    Update NEWS

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 6348181ac01f6b1c21d16873ea37f99a761e4e39
Author: Seif Lotfy <seif@lotfy.com>
Date:	Tue Jun 18 17:21:42 2013 +0200

    Partially revert commit c5ada29a75e9c5a1 for the telepathy tests

    Fixes #686715

    Signed-off-by: Seif Lotfy <seif@lotfy.com>

 tests/telepathy/Makefile.am | 6 ++++++
 tests/telepathy/init.vala   | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c26ba6bb8a9e2556e14253a9c2849fd0f2701baf
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:	Fri Jun 21 14:52:22 2013 +0200

    telepathy: Port to zeitgeist 2.0

    Signed-off-by: Seif Lotfy <seif@lotfy.com>

 backends/telepathy/lib/tpf-persona-store.vala | 43
 ++++++++++++++++++---------
 backends/telepathy/lib/tpf-persona.vala       | 14 ++++-----
 configure.ac				       | 10 +++----
 docs/Makefile.am			       |  2 +-
 4 files changed, 42 insertions(+), 27 deletions(-)

commit 0a37ea2c9e89db646701586623fa9ce3e9b83893
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Sat Jun 22 00:01:07 2013 +0100

    eds: Clarify mapping between properties and vCard fields in EDS

 backends/eds/lib/edsf-persona.vala | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 2210c05ddd7df0ae3a3131222f8b8720bf5e31bc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Sat Jun 22 00:00:41 2013 +0100

    docs: Clarify use of interfaces for property access on Folks.Persona

 folks/persona.vala | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 643cf9434c2b8ea3c20a22c3cdd806eb738697f1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Sat Jun 15 09:00:02 2013 +0100

    tests: Fix whitespace in Makefile

 tests/folks/Makefile.am | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 2a0168f81b05f2854be4fcd1878ccb1791f136be
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 17:54:39 2013 -0700

    Revert "Temporarily work around valadoc crasher with eds docs"

    This reverts commit f2e229d963bd6f10a8e9210688cc144e449e756c.

 docs/Makefile.am | 137
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 68 insertions(+), 69 deletions(-)

commit 77d9fbcf41c980bb78a3a651cd41c3b07b8d31e5
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 17:54:28 2013 -0700

    Revert "Temporarily work around valadoc crasher with Telepathy docs"

    This reverts commit 0b3481831b43b9bc8dd9133bfe6d78f1a0103fe0.

 docs/Makefile.am | 135
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 67 insertions(+), 68 deletions(-)

commit b325b6074e53d1180b9c83c4e0c825d9e590219a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 17:54:14 2013 -0700

    Post-release version bump

 NEWS	      | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 64c1c8db6988a230d66f3b70e1d93dc6838c556b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 15:20:17 2013 -0700

    Release version 0.9.2

 configure.ac | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f2e229d963bd6f10a8e9210688cc144e449e756c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 16:14:56 2013 -0700

    Temporarily work around valadoc crasher with eds docs

 docs/Makefile.am | 137
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 69 insertions(+), 68 deletions(-)

commit 0b3481831b43b9bc8dd9133bfe6d78f1a0103fe0
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 15:31:22 2013 -0700

    Temporarily work around valadoc crasher with Telepathy docs

 docs/Makefile.am | 135
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 68 insertions(+), 67 deletions(-)

commit db34229d48f33f9d936a892d4fe91989043e1bc6
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 15:19:08 2013 -0700

    Cut excess line

 NEWS | 1 -
 1 file changed, 1 deletion(-)

commit f447a3f9c0c64a4256b274645e4ac604cca20f44
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 15:15:35 2013 -0700

    Set release version of new API and update NEWS

 NEWS				    |  2 ++
 backends/eds/lib/edsf-persona.vala |  4 ++--
 folks/location-details.vala	    | 14 +++++++-------
 folks/persona-store.vala	    |  2 +-
 4 files changed, 12 insertions(+), 10 deletions(-)

commit 4bd87783b97955a2dce0f0ba3d4cbf96d3c2ab20
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 15:01:35 2013 -0700

    Make Telepathy docs build defs stand-alone

 docs/Makefile.am | 49 ++++++++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 19 deletions(-)

commit f2ac22ee276ef9b7ae3e8baed920cc5d991b78ef
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Fri Jun 7 09:11:04 2013 -0700

    Pass the --driver version to valadoc to minimize complications.

    This ensures that we're building the library with the same version
    of Vala
    that valadoc uses

 docs/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 1db949c7d168209f2f09ba017a72ecb12f4fe278
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Thu Jun 6 17:08:19 2013 -0700

    Use correct @return instead of @returns (which breaks valadoc)

 backends/ofono/ofono-backend.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 93b4b88da85ca305a38b62fccc88046a8f807169
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Thu Jun 6 16:01:48 2013 -0700

    Bump libebook requirement to un-break GIR bindings.

    E.BookClient.connect() had been annotated to return void so this
    should fix
    the issue.

 NEWS	      | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit f1e24400a254e9d3f14a9660379f01ed9dc793bc
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:	Mon May 13 21:22:02 2013 +0100

    backends: eds: make the personna store backend more 'async'

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=700253

 NEWS					  | 2 +-
 backends/eds/lib/edsf-persona-store.vala | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a24ec72eecd68cda328cd93f8896e3c1d9952452
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Thu Apr 25 17:45:42 2013 -0700

    Correctly check for existence of Zeitgeist.

 configure.ac | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 204c5394a7120b4ad6f4e90efb4d1b03daa08cf4
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Wed Apr 24 11:22:15 2013 -0700

    Correct the terminology in Zeitgeist check failure

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9ae3100a70f89ace7c6a853dfbc1ebd22d5802f
Author: Maciej Piechotka <uzytkownik2@gmail.com>
Date:	Sat Apr 20 13:32:19 2013 +0200

    Remove autodependency on zeitgeist

 configure.ac | 31 ++++++++++++++++++++++++++++---
 1 file changed, 28 insertions(+), 3 deletions(-)

commit 4ed7142e476edc26a51c37dc0294025b7a8705cb
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Apr 22 16:21:37 2013 -0700

    build fix: include folks-generics in docs arguments

 docs/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 43155c19ebbd06be0538926ca8eb4a33214395a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Thu Apr 11 11:53:41 2013 +0100

    Add warnings (normally fatal) on use of archaic C features

    We don't want these even in C code generated by Vala, and certainly
    not
    in hand-written C code.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=697354
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip@tecnocode.co.uk>

 configure.ac | 30 ++++++++++++++++++++++++++----
 1 file changed, 26 insertions(+), 4 deletions(-)

commit fa1a9b56a8f420b2672f668a558c42d17429f760
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Thu Apr 11 12:05:08 2013 +0100

    Ensure that the C bits of TestCase are pre-declared in a header

    This lets us verify that their Vala and C ABIs are the same: if they
    are not, compilation will fail.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=697354
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip@tecnocode.co.uk>

 tests/lib/Makefile.am		   | 1 +
 tests/lib/haze-remove-directory.c | 2 +-
 tests/lib/test-case-helper.c	   | 2 +-
 tests/lib/test-case.vala	   | 2 +-
 4 files changed, 4 insertions(+), 3 deletions(-)

commit 7a9c8133468c1f8eb7fbb0e68a6a7e061b9452fb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Fri Apr 12 12:20:43 2013 +0100

    Declare internal function
    folks_persona_store_set_is_user_set_default()

    As explained in the comment, I can't find any better way to do this.
    Implicit declarations are Bad, so we should be making them into errors
    by default.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=697354
    Reviewed-by: Philip Withnall <philip@tecnocode.co.uk>
    [added a comment as requested -smcv]
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 backends/eds/lib/Makefile.am	|  1 +
 folks/Makefile.am		|  1 +
 folks/persona-store.vala	|  4 ++++
 folks/redeclare-internal-api.h | 46
 ++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 52 insertions(+)

commit 43da0b634ede2fcbc17ce470f86158c2efe00ed3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Mon Apr 8 11:50:38 2013 +0100

    Include ERROR_CFLAGS everywhere we compile C code

    AM_CFLAGS was missing from a couple of foo_CFLAGS variables (it isn't
    "inherited" automatically), so add that too.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=697354
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip@tecnocode.co.uk>

 backends/eds/Makefile.am		     | 1 +
 backends/eds/lib/Makefile.am		     | 1 +
 backends/key-file/Makefile.am		     | 1 +
 backends/libsocialweb/Makefile.am	     | 1 +
 backends/libsocialweb/lib/Makefile.am	     | 2 ++
 backends/ofono/Makefile.am		     | 1 +
 backends/telepathy/Makefile.am		     | 1 +
 backends/telepathy/lib/Makefile.am	     | 1 +
 backends/tracker/Makefile.am		     | 1 +
 backends/tracker/lib/Makefile.am	     | 1 +
 folks/Makefile.am			     | 1 +
 tests/eds/Makefile.am			     | 4 ++++
 tests/folks/Makefile.am		     | 4 ++++
 tests/key-file/Makefile.am		     | 4 ++++
 tests/lib/Makefile.am			     | 1 +
 tests/lib/eds/Makefile.am		     | 2 ++
 tests/lib/key-file/Makefile.am		     | 2 ++
 tests/lib/libsocialweb/Makefile.am	     | 2 ++
 tests/lib/telepathy/Makefile.am	     | 2 ++
 tests/lib/telepathy/contactlist/Makefile.am | 2 ++
 tests/lib/tracker/Makefile.am		     | 2 ++
 tests/libsocialweb/Makefile.am		     | 4 ++++
 tests/telepathy/Makefile.am		     | 4 ++++
 tests/tracker/Makefile.am		     | 4 ++++
 tools/Makefile.am			     | 1 +
 tools/inspect/Makefile.am		     | 1 +
 26 files changed, 51 insertions(+)

commit f5271892dac5137a824781f75ea03ee8a8df53dc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Mon Apr 8 11:43:25 2013 +0100

    Re-brand ERROR_CFLAGS to C_ERROR_CFLAGS

    These are flags that we only use when compiling hand-written C code,
    mostly originating from telepathy-glib. We can't be that strict with
    the C code generated by Vala, because it's full of questionable things
    (which the Vala compiler verifies are OK, but the C compiler still
    warns
    about).

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=697354
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip@tecnocode.co.uk>

 backends/telepathy/lib/Makefile.am	     |	2 +-
 configure.ac				     | 22 ++++++++++++++--------
 tests/lib/telepathy/contactlist/Makefile.am |	2 +-
 3 files changed, 16 insertions(+), 10 deletions(-)

commit c6c0635599b8540cb7f9395e95dd533bf866bf90
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	Thu Apr 11 11:03:26 2013 +0100

    TpfPersonaStore: make _supported_fields, _supported_fields_ro private

    Making them "internal" means we end up #include'ing small-set.h, which
    we don't install, so nothing can be built against the installed
    libfolks-telepathy. Nothing outside this file uses those members
    directly anyway.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=697542
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

